#ifndef _DB_PUT_ELM_H_
#define _DB_PUT_ELM_H_

#include "goldenconn.h"

/** Abstract class to insert *ELEMENT keywords data into database
  */
class DBPutElements
{
public:
   /** Function to insert *ELEMENT keywords data into database
     * \param model_name Name of model from which *ELEMENTS cards are to be taken
     * \param golden_conn Connection object to connect to database
     */
   static int insert(const char *model_name, GoldenConn *golden_conn);
};

#endif

