#ifndef _OGL_CMDS_H_
#define _OGL_CMDS_H_

#include <string>
#include <GL/gl.h>

using namespace std;

class OglCmds
{
public:
   static void getInitCmds
	       (
		  unsigned int wh[2],
		  float exts[6],
		  string & cmds_string
	       );

   static void getPartCmd
	       (
		  unsigned int & part_index,
		  string & cmds_string,
		  unsigned int draw_type = GL_QUADS
	       );

   static void getPartCmdModify
        (
           unsigned int & part_index,
           string & cmds_string,
           unsigned int draw_type = GL_QUADS
        );

   static void getEndCmds
	       (
		  string & cmds_string
	       );
};

const static char *PART_NODES_ARRAY_NAME = "pNodeA";
const static char *PART_SHELLS_ARRAY_NAME = "pShellA";
const static char *PART_NODE_NORMAL_ARRAY_NAME = "pNormalA";
const static char *PART_COLOR_ARRAY_NAME = "pCA";
#endif

