#include "dbabwangnefske.hpp"
#include "dbabwangnefskejetting.hpp"
#include "dbabwangnefskejettingcm.hpp"
#include "dbabwangnefskemultiplejetting.hpp"
#include "dbabwangnefskemultiplejettingcm.hpp"
#include "dbabwangnefskepop.hpp"
#include "exptypemap.h"
#include "abexport.h"

void ABExport::initExportWangTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE, importDBABWangNefske) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_ID, importDBABWangNefske) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_JETTING, importDBABWangNefskeJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_ID, importDBABWangNefskeJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_CM, importDBABWangNefskeJettingCM) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_CM_ID, importDBABWangNefskeJettingCM) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING, importDBABWangNefskeMultipleJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_ID, importDBABWangNefskeMultipleJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM, importDBABWangNefskeMultipleJettingCM) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM_ID, importDBABWangNefskeMultipleJettingCM) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_POP, importDBABWangNefskePop) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_WANG_NEFSKE_POP_ID, importDBABWangNefskePop) );
}
