#include "dbbdrysphflow.hpp"
#include "dbbdrysphsymplane.hpp"
#include "dbbdrypresoutflowseg.hpp"
#include "dbbdrypresoutflowset.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportOutflowTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPH_FLOW, importDBBdrySphFlow) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPH_SYMMETRY_PLANE, importDBBdrySphSymPlane) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESSURE_OUTFLOW_SEGMENT, importDBBdryPresOutflowSeg) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESSURE_OUTFLOW_SET, importDBBdryPresOutflowSet) );
}
