#include "dbbdrypresmotion.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportPrescribedTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_NODE, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_NODE_ID, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_ID, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL_ID, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_SET, importDBBdryPresMotion) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_MOTION_SET_ID, importDBBdryPresMotion) );
}
