#include "dbdatabasecrosssectionplane.hpp"
#include "dbdatabasecrosssectionset.hpp"
#include "dbdatabasetracer.hpp"
#include "exptypemap.h"
#include "databaseexport.h"

void DatabaseExport::initExportCrossSectionTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_CROSS_SECTION_PLANE, importDBDatabaseCrossSectionPlane) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_CROSS_SECTION_PLANE_ID, importDBDatabaseCrossSectionPlane) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_CROSS_SECTION_SET, importDBDatabaseCrossSectionSet) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_CROSS_SECTION_SET_ID, importDBDatabaseCrossSectionSet) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_TRACER, importDBDatabaseTracer) );
}
