#include "dbdatabaseadams.hpp"
#include "dbdatabaseformat.hpp"
#include "dbdatabasespringforward.hpp"
#include "dbdatabasesuperplasticforming.hpp"
#include "exptypemap.h"
#include "databaseexport.h"

void DatabaseExport::initExportSimpleTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_ADAMS, importDBDatabaseAdams) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_FORMAT, importDBDatabaseFormat) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_SPRING_FORWARD, importDBDatabaseSpringForward) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_SUPERPLASTIC_FORMING, importDBDatabaseSuperplasticForming) );
}
