#include "dbdefinealebagbag.hpp"
#include "dbdefinealebaghole.hpp"
#include "dbdefinealebaginflator.hpp"
#include "dbdefinecontactvolume.hpp"
#include "dbdefinedeathtimesoption.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportAleTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_ALEBAG_BAG, importDBDefineAlebagBag) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_ALEBAG_HOLE, importDBDefineAlebagHole) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_ALEBAG_INFLATOR, importDBDefineAlebagInflator) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CONTACT_VOLUME, importDBDefineContactVolume) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_DEATH_TIMES_NODES, importDBDefineDeathTimesOption) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_DEATH_TIMES_RIGID, importDBDefineDeathTimesOption) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_DEATH_TIMES_SET, importDBDefineDeathTimesOption) );
}
