#include "dbdefinebox.hpp"
#include "dbdefineboxadaptive.hpp"
#include "dbdefineboxcoarsen.hpp"
#include "dbdefineboxdrawbead.hpp"
#include "dbdefineboxsph.hpp"
#include "dbdefinecurvesmooth.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportBoxTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_BOX, importDBDefineBox) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_BOX_ADAPTIVE, importDBDefineBoxAdaptive) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_BOX_COARSEN, importDBDefineBoxCoarsen) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_BOX_DRAWBEAD, importDBDefineBoxDrawbead) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_BOX_SPH, importDBDefineBoxSph) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_SMOOTH, importDBDefineCurveSmooth) );
}
