#include "dbeosidealgas.hpp"
#include "dbeosignitionandgrowthofreactioninhe.hpp"
#include "dbeosjwl.hpp"
#include "dbeosjwlb.hpp"
#include "dbeospropellantdeflagration.hpp"
#include "dbeostensorporecollapse.hpp"
#include "exptypemap.h"
#include "eosexport.h"

void EosExport::initExportJwlTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(EOS_IDEAL_GAS, importDBEosIdealGas) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_IGNITION_AND_GROWTH_OF_REACTION_IN_HE, importDBEosIgnitionAndGrowthOfReactionInHe) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_JWL, importDBEosJwl) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_JWLB, importDBEosJwlb) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_PROPELLANT_DEFLAGRATION, importDBEosPropellantDeflagration) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_TENSOR_PORE_COLLAPSE, importDBEosTensorPoreCollapse) );
}
