#include "dbincludecompensationblankafterspringback.hpp"
#include "dbincludecompensationblankbeforespringback.hpp"
#include "dbincludecompensationcompensatedshape.hpp"
#include "dbincludecompensationcurrenttools.hpp"
#include "dbincludecompensationdesiredblankshape.hpp"
#include "exptypemap.h"
#include "includeexport.h"

void IncludeExport::initExportCompensateTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_COMPENSATION_BLANK_AFTER_SPRINGBACK, importDBIncludeCompensationBlankAfterSpringback) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_COMPENSATION_BLANK_BEFORE_SPRINGBACK, importDBIncludeCompensationBlankBeforeSpringback) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_COMPENSATION_COMPENSATED_SHAPE, importDBIncludeCompensationCompensatedShape) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_COMPENSATION_CURRENT_TOOLS, importDBIncludeCompensationCurrentTools) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_COMPENSATION_DESIRED_BLANK_SHAPE, importDBIncludeCompensationDesiredBlankShape) );
}
