#include "dbinitialfoamreferencegeometry.hpp"
#include "dbinitialstrainshell.hpp"
#include "dbinitialstrainsolid.hpp"
#include "dbinitialtemperaturenode.hpp"
#include "exptypemap.h"
#include "initialexport.h"

void InitialExport::initExportStrainTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_FOAM_REFERENCE_GEOMETRY, importDBInitialFoamReferenceGeometry) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_STRAIN_SHELL, importDBInitialStrainShell) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_STRAIN_SOLID, importDBInitialStrainSolid) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_TEMPERATURE_NODE, importDBInitialTemperatureNode) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_TEMPERATURE_SET, importDBInitialTemperatureNode) );
}
