#include "dbintegrationbeam.hpp"
#include "dbintegrationshell.hpp"
#include "exptypemap.h"
#include "integrationexport.h"

void IntegrationExport::initExportIntegrationTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INTEGRATION_BEAM, importDBIntegrationBeam) );
   expTypeFuncMap.insert( expTypeFuncPair(INTEGRATION_SHELL, importDBIntegrationShell) );
}
