#include "dbmatcompositedamage.hpp"
#include "dbmatcompositefailureshellmodel.hpp"
#include "dbmatenhancedcompositedamage.hpp"
#include "dbmatlaminatedcompositefabric.hpp"
#include "dbmatunifiedcreep.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportCompositeTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COMPOSITE_DAMAGE, importDBMatCompositeDamage) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COMPOSITE_FAILURE_SHELL_MODEL, importDBMatCompositeFailureShellModel) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COMPOSITE_FAILURE_SOLID_MODEL, importDBMatCompositeFailureShellModel) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_ENHANCED_COMPOSITE_DAMAGE, importDBMatEnhancedCompositeDamage) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_LAMINATED_COMPOSITE_FABRIC, importDBMatLaminatedCompositeFabric) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_UNIFIED_CREEP, importDBMatUnifiedCreep) );
}
