#include "dbmatmodifiedzerilliarmstrong.hpp"
#include "dbmatmooneyrivlinrubber.hpp"
#include "dbmatmts.hpp"
#include "dbmatnonlocal.hpp"
#include "dbmatnull.hpp"
#include "dbmatogdenrubber.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportModifyTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_ZERILLI_ARMSTRONG, importDBMatModifiedZerilliArmstrong) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MOONEY_RIVLIN_RUBBER, importDBMatMooneyRivlinRubber) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MTS, importDBMatMts) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_NONLOCAL, importDBMatNonlocal) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_NULL, importDBMatNull) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_OGDEN_RUBBER, importDBMatOgdenRubber) );
}
