#include "dbmatcscm.hpp"
#include "dbmatspotweld.hpp"
#include "dbmatspotwelddaimlerchrysler.hpp"
#include "dbmatspotwelddamagefailure.hpp"
#include "dbmatwood.hpp"
#include "dbmatwoodpine.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportWeldTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_CSCM, importDBMatCscm) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_SPOTWELD, importDBMatSpotweld) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_SPOTWELD_DAIMLERCHRYSLER, importDBMatSpotweldDaimlerchrysler) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_SPOTWELD_DAMAGE_FAILURE, importDBMatSpotweldDamageFailure) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_WOOD, importDBMatWood) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_WOOD_FIR, importDBMatWoodPine) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_WOOD_PINE, importDBMatWoodPine) );
}
