#include "dbsectionbeam.hpp"
#include "dbsectionseatbelt.hpp"
#include "dbsectionsolid.hpp"
#include "dbsectionsph.hpp"
#include "exptypemap.h"
#include "sectionexport.h"

void SectionExport::initExportSolidTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_BEAM, importDBSectionBeam) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SEATBELT, importDBSectionSeatbelt) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SOLID, importDBSectionSolid) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SOLID_ALE, importDBSectionSolid) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SOLID_EFG, importDBSectionSolid) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SPH, importDBSectionSph) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SPH_TENSOR, importDBSectionSph) );
   expTypeFuncMap.insert( expTypeFuncPair(SECTION_SPH_USER, importDBSectionSph) );
}
