#include "dbsetpart.hpp"
#include "dbsetpartadd.hpp"
#include "dbsetpartcolumn.hpp"
#include "dbsetnodelistgenerate.hpp"
#include "dbsetshell.hpp"
#include "dbsetshelladd.hpp"
#include "dbsetshellcolumn.hpp"
#include "dbsetnodegeneral.hpp"
#include "dbsetelement.hpp"
#include "dbsetgeneral.hpp"
#include "dbsetgenerate.hpp"
#include "exptypemap.h"
#include "setexport.h"

void SetExport::initExportPartTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(SET_PART, importDBSetPart) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_PART_ADD, importDBSetPartAdd) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_PART_COLUMN, importDBSetPartColumn) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_PART_LIST, importDBSetPart) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_PART_LIST_GENERATE, importDBSetNodeListGenerate) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL, importDBSetShell) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL_ADD, importDBSetShellAdd) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL_COLUMN, importDBSetShellColumn) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL_GENERAL, importDBSetNodeGeneral) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL_LIST, importDBSetShell) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_SHELL_LIST_GENERATE, importDBSetNodeListGenerate) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_TSHELL, importDBSetElement) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_TSHELL_GENERAL, importDBSetGeneral) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_TSHELL_GENERATE, importDBSetGenerate) );
}
