#include "dbterminationbody.hpp"
#include "dbterminationcontact.hpp"
#include "dbterminationcurve.hpp"
#include "dbterminationdeletedshells.hpp"
#include "dbterminationnode.hpp"
#include "exptypemap.h"
#include "termexport.h"

void TermExport::initExportTermTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_BODY, importDBTerminationBody) );
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_CONTACT, importDBTerminationContact) );
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_CURVE, importDBTerminationCurve) );
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_DELETED_SHELLS, importDBTerminationDeletedShells) );
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_DELETED_SHELLS_SET, importDBTerminationDeletedShells) );
   expTypeFuncMap.insert( expTypeFuncPair(TERMINATION_NODE, importDBTerminationNode) );
}
