#include "dbuserinterfacecontrol.hpp"
#include "dbuserloading.hpp"
#include "exptypemap.h"
#include "userexport.h"

void UserExport::initExportUserTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(USER_INTERFACE_CONTROL, importDBUserInterfaceControl) );
   expTypeFuncMap.insert( expTypeFuncPair(USER_INTERFACE_FRICTION, importDBUserInterfaceControl) );
   expTypeFuncMap.insert( expTypeFuncPair(USER_LOADING, importDBUserLoading) );
}
