#include "abhybrid.hpp"
#include "abhybridjetting.hpp"
#include "abhybridjettingcm.hpp"
#include "typemap.h"
#include "abimport.h"

void ABImport::initHybridTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID, importABHybrid) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID_ID, importABHybrid) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID_JETTING, importABHybridJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID_JETTING_ID, importABHybridJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID_JETTING_CM, importABHybridJettingCM) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_HYBRID_JETTING_CM_ID, importABHybridJettingCM) );
}
