#include "bdrypresorientrigidangles.hpp"
#include "bdrypresorientrigiddircos.hpp"
#include "bdrypresorientrigideulerp.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initOrientTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_ANGLES, importBdryPresOrientRigidAngles) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_DIRCOS, importBdryPresOrientRigidDirCos) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_EULERP, importBdryPresOrientRigidEulerp) );
}
