#include "bdryradiationsegment.hpp"
#include "bdryradiationsegmentvf.hpp"
#include "bdryradiationset.hpp"
#include "bdryradiationsetef.hpp"
#include "bdryradiationsetvf.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initRadiationTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SEGMENT, importBdryRadiationSegment) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SEGMENT_VF_READ, importBdryRadiationSegmentVF) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SEGMENT_VF_CALCULATE, importBdryRadiationSegmentVF) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SET, importBdryRadiationSet) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SET_EF_READ, importBdryRadiationSetEF) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SET_EF_CALCULATE, importBdryRadiationSetEF) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SET_VF_READ, importBdryRadiationSetVF) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_RADIATION_SET_VF_CALCULATE, importBdryRadiationSetVF) );
}
