#include "bdrytemperature.hpp"
#include "bdrythermalweld.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initTemperatureTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_TEMPERATURE_NODE, importBdryTemperature) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_TEMPERATURE_SET, importBdryTemperature) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_THERMAL_WELD, importBdryThermalWeld) );
}
