#include "constadapt.hpp"
#include "consteuler.hpp"
#include "constextranodes.hpp"
#include "constglobal.hpp"
#include "constinterpolation.hpp"
#include "constinterpollocal.hpp"
#include "typemap.h"
#include "constimport.h"

void ConstImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_ADAPTIVITY, importConstAdapt) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_EULER_IN_EULER, importConstEuler) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_EXTRA_NODES_NODE, importConstExtraNodes) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_EXTRA_NODES_SET, importConstExtraNodes) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_GLOBAL, importConstGlobal) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_INTERPOLATION, importConstInterpolation) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_INTERPOLATION_LOCAL, importConstInterpolLocal) );
}
