#include "card4autosurfacetiebreak.hpp"
#include "card4constsurface.hpp"
#include "card4drawbead.hpp"
#include "card4drawbeadinit.hpp"
#include "card4erodingsurface.hpp"
#include "card4surfinter.hpp"
#include "card4rigidtorigid.hpp"
#include "card4surftosurfjoint.hpp"
#include "card4tiebreaksurface.hpp"
#include "card4tiebreaksurftosurf.hpp"
#include "typemap.h"
#include "card4import.h"

void Card4Import::initCard4TypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK, importCard4AutoSurfaceTiebreak) );
   typeFuncMap.insert( typeFuncPair(CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK, importCard4AutoSurfaceTiebreak) );
   typeFuncMap.insert( typeFuncPair(CONTACT_CONSTRAINT_NODES_TO_SURFACE, importCard4ConstSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_CONSTRAINT_SURFACE_TO_SURFACE, importCard4ConstSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_DRAWBEAD, importCard4Drawbead) );
   typeFuncMap.insert( typeFuncPair(CONTACT_DRAWBEAD_INITIALIZE, importCard4DrawbeadInit) );
   typeFuncMap.insert( typeFuncPair(CONTACT_ERODING_NODES_TO_SURFACE, importCard4ErodingSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_ERODING_SINGLE_SURFACE, importCard4ErodingSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_ERODING_SURFACE_TO_SURFACE, importCard4ErodingSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_NODES_TO_SURFACE_INTERFERENCE, importCard4SurfInter) );
   typeFuncMap.insert( typeFuncPair(CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE, importCard4SurfInter) );
   typeFuncMap.insert( typeFuncPair(CONTACT_RIGID_BODY_ONE_WAY_TO_RIGID_BODY, importCard4RigidToRigid) );
   typeFuncMap.insert( typeFuncPair(CONTACT_RIGID_BODY_TWO_WAY_TO_RIGID_BODY, importCard4RigidToRigid) );
   typeFuncMap.insert( typeFuncPair(CONTACT_RIGID_NODES_TO_RIGID_BODY, importCard4RigidToRigid) );
   typeFuncMap.insert( typeFuncPair(CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT, importCard4SurfToSurfJoint) );
   typeFuncMap.insert( typeFuncPair(CONTACT_SURFACE_TO_SURFACE_INTERFERENCE, importCard4SurfInter) );
   typeFuncMap.insert( typeFuncPair(CONTACT_TIEBREAK_NODES_ONLY, importCard4TiebreakSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_TIEBREAK_NODES_TO_SURFACE, importCard4TiebreakSurface) );
   typeFuncMap.insert( typeFuncPair(CONTACT_TIEBREAK_SURFACE_TO_SURFACE, importCard4TiebreakSurfToSurf) );
}
