#include "databasebinary.hpp"
#include "databasebinaryd3plot.hpp"
#include "databasebinaryd3prop.hpp"
#include "databasenodalforcegroup.hpp"
#include "typemap.h"
#include "databaseimport.h"

void DatabaseImport::initBinaryTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3DRLF, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3CRACK, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3DUMP, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3PART, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3PLOT, importDatabaseBinaryD3plot) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3PROP, importDatabaseBinaryD3prop) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_D3THDT, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_FSIFOR, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_INTFOR, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_RUNRSF, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BINARY_XTFILE, importDatabaseBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_NODAL_FORCE_GROUP, importDatabaseNodalForceGroup) );
}
