#include "databasecrosssectionplane.hpp"
#include "databasecrosssectionset.hpp"
#include "databasetracer.hpp"
#include "typemap.h"
#include "databaseimport.h"

void DatabaseImport::initCrossSectionTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DATABASE_CROSS_SECTION_PLANE, importDatabaseCrossSectionPlane) );
   typeFuncMap.insert( typeFuncPair(DATABASE_CROSS_SECTION_PLANE_ID, importDatabaseCrossSectionPlane) );
   typeFuncMap.insert( typeFuncPair(DATABASE_CROSS_SECTION_SET, importDatabaseCrossSectionSet) );
   typeFuncMap.insert( typeFuncPair(DATABASE_CROSS_SECTION_SET_ID, importDatabaseCrossSectionSet) );
   typeFuncMap.insert( typeFuncPair(DATABASE_TRACER, importDatabaseTracer) );
}
