#include "databaseabstat.hpp"
#include "databasefsi.hpp"
#include "databasefsisensor.hpp"
#include "typemap.h"
#include "databaseimport.h"

void DatabaseImport::initOptionTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DATABASE_AVSFLT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_BNDOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_DCFAIL, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_DEFGEO, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_DEFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_ELOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_FSI, importDatabaseFsi) );
   typeFuncMap.insert( typeFuncPair(DATABASE_FSI_SENSOR, importDatabaseFsiSensor) );
   typeFuncMap.insert( typeFuncPair(DATABASE_GCEOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_GLSTAT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_GLSTAT_MASS_PROPERTIES, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_H3OUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_JNTFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_MATSUM, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_MOVIE, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_MPGS, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_NCFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_NODFOR, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_NODOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_ABSTAT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_RBDOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_RCFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_RWFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SBTOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SECFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SLEOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SPCFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SPHOUT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SSSTAT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SSSTAT_MASS_PROPERTIES, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SWFORC, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_TPRINT, importDatabaseAbstat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_TRHIST, importDatabaseAbstat) );
}
