#include "databaseadams.hpp"
#include "databaseformat.hpp"
#include "databasespringforward.hpp"
#include "databasesuperplasticforming.hpp"
#include "typemap.h"
#include "databaseimport.h"

void DatabaseImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DATABASE_ADAMS, importDatabaseAdams) );
   typeFuncMap.insert( typeFuncPair(DATABASE_FORMAT, importDatabaseFormat) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SPRING_FORWARD, importDatabaseSpringForward) );
   typeFuncMap.insert( typeFuncPair(DATABASE_SUPERPLASTIC_FORMING, importDatabaseSuperplasticForming) );
}
