#include "definecurve.hpp"
#include "definecurvecompensation.hpp"
#include "definecurvedrawbead.hpp"
#include "definecurveentity.hpp"
#include "definecurvefeedback.hpp"
#include "definecurvetrim.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initCurveTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_3858, importDefineCurve) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_5434a, importDefineCurve) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_COMPENSATION, importDefineCurveCompensation) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_DRAWBEAD, importDefineCurveDrawbead) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_ENTITY, importDefineCurveEntity) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_FEEDBACK, importDefineCurveFeedback) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE, importDefineCurve) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_TRIM, importDefineCurveTrim) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_TRIM_3D, importDefineCurveTrim) );
}
