#include "defineconstructionstages.hpp"
#include "definefriction.hpp"
#include "definesetadaptive.hpp"
#include "definestagedconstructionpart.hpp"
#include "definetable.hpp"
#include "definevector.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_CONSTRUCTION_STAGES, importDefineConstructionStages) );
   typeFuncMap.insert( typeFuncPair(DEFINE_FRICTION, importDefineFriction) );
   typeFuncMap.insert( typeFuncPair(DEFINE_SET_ADAPTIVE, importDefineSetAdaptive) );
   typeFuncMap.insert( typeFuncPair(DEFINE_STAGED_CONSTRUCTION_PART, importDefineStagedConstructionPart) );
   typeFuncMap.insert( typeFuncPair(DEFINE_TABLE, importDefineTable) );
   typeFuncMap.insert( typeFuncPair(DEFINE_VECTOR, importDefineVector) );
}
