#include "deformabletorigid.hpp"
#include "deformabletorigidautomatic.hpp"
#include "deformabletorigidinertia.hpp"
#include "typemap.h"
#include "deformimport.h"

void DeformImport::initDeformTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFORMABLE_TO_RIGID, importDeformableToRigid) );
   typeFuncMap.insert( typeFuncPair(DEFORMABLE_TO_RIGID_AUTOMATIC, importDeformableToRigidAutomatic) );
   typeFuncMap.insert( typeFuncPair(DEFORMABLE_TO_RIGID_INERTIA, importDeformableToRigidInertia) );
}
