#include "efcontrol.hpp"
#include "efgrid.hpp"
#include "efmaterial.hpp"
#include "eftoggles.hpp"
#include "typemap.h"
#include "efimport.h"

void EFImport::initEFTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(EF_CONTROL, importEfControl) );
   typeFuncMap.insert( typeFuncPair(EF_GRID, importEfGrid) );
   typeFuncMap.insert( typeFuncPair(EF_MATERIAL, importEfMaterial) );
   typeFuncMap.insert( typeFuncPair(EF_TOGGLES, importEfToggles) );
}
