#include "elementseatbelt.hpp"
#include "elementseatbeltaccelerometer.hpp"
#include "elementseatbeltpretensioner.hpp"
#include "elementseatbeltretractor.hpp"
#include "elementseatbeltsensor.hpp"
#include "elementseatbeltslipring.hpp"
#include "typemap.h"
#include "elementimport.h"

void ElementImport::initSeatbeltTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT, importElementSeatbelt) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT_ACCELEROMETER, importElementSeatbeltAccelerometer) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT_PRETENSIONER, importElementSeatbeltPretensioner) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT_RETRACTOR, importElementSeatbeltRetractor) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT_SENSOR, importElementSeatbeltSensor) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SEATBELT_SLIPRING, importElementSeatbeltSlipring) );
}
