#include "elementdirectmatrixinput.hpp"
#include "elementdiscrete.hpp"
#include "elementinertia.hpp"
#include "elementinertiaoffset.hpp"
#include "elementmass.hpp"
#include "elementmasspart.hpp"
#include "elementplotel.hpp"
#include "elementsph.hpp"
#include "elementtrim.hpp"
#include "typemap.h"
#include "elementimport.h"

void ElementImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(ELEMENT_DIRECT_MATRIX_INPUT, importElementDirectMatrixInput) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_DISCRETE, importElementDiscrete) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_INERTIA, importElementInertia) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_INERTIA_OFFSET, importElementInertiaOffset) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_MASS, importElementMass) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_MASS_NODE_SET, importElementMass) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_MASS_PART, importElementMassPart) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_MASS_PART_SET, importElementMassPart) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_PLOTEL, importElementPlotel) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_SPH, importElementSph) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_TRIM, importElementTrim) );
}
