#include "eosgasket.hpp"
#include "eostabulated.hpp"
#include "eostabulatedcompaction.hpp"
#include "eosuserdefined.hpp"
#include "typemap.h"
#include "eosimport.h"

void EosImport::initTableTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(EOS_GASKET, importEosGasket) );
   typeFuncMap.insert( typeFuncPair(EOS_TABULATED, importEosTabulated) );
   typeFuncMap.insert( typeFuncPair(EOS_TABULATED_COMPACTION, importEosTabulatedCompaction) );
   typeFuncMap.insert( typeFuncPair(EOS_USER_DEFINED, importEosUserDefined) );
}
