#ifndef _MAN_TYPES_H_
#define _MAN_TYPES_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/** Types of groups to store a set of keywords */
typedef enum _ManType
{
   SECTION,
   DEFINE,
   EOS,
   HG,
   MAT,
   PARTC,
   ELEMENT,
   NOD,
   DAMPING,
   COMP,
   EF,
   PARAM,
   TERM,
   DEFORM,
   SENSOR,
   INTERFACE,
   INTEGRATION,
   USER,
   CONTROL,
   AIRBAG,
   CONST,
   PERTURB,
   SET,
   RIGIDWALL,
   CONTACT,
   INC,
   DATABASE,
   INITIAL,
   LOAD,
   BDRY,
   ALE,
   RAIL,

   THERMAL,
   CURVE,
   BOX,
   COORDINATE,
   ALEBAG,
   BAGHOLE,
   INFLATOR,
   VECTOR,
   TRANS,
   SHELL,
   SBRETRACTOR,
   SBELEMENT,
   SBSENSOR,
   SBPRETEN,
   SBSLIPRING,
   SBACCEL,
   SOLID,
   TSHELL,
   INERTIA,
   MASS,
   BEAM,
   DISCRETE,
   TABLE,
   MMG,
   SEGMENT,
   GROUP,
   SWITCH,
   FSI,
   VOLUME,
   SPH,
   MOTION,
   SPC,
   JOINT,
   STIFFNESS,
   POINTS,
   CS,
   KW, //for *KEYWORD

   MAN_NEW_TYPE
}
  ManType;

#endif

