#include "initialvoidpart.hpp"
#include "initialvolumefraction.hpp"
#include "initialvolumefractiongeometry.hpp"
#include "typemap.h"
#include "initialimport.h"

void InitialImport::initVolumeTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INITIAL_VOID_PART, importInitialVoidPart) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VOID_SET, importInitialVoidPart) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VOLUME_FRACTION, importInitialVolumeFraction) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VOLUME_FRACTION_GEOMETRY, importInitialVolumeFractionGeometry) );
}
