#include "integrationbeam.hpp"
#include "integrationshell.hpp"
#include "typemap.h"
#include "integrationimport.h"

void IntegrationImport::initIntegrationTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INTEGRATION_BEAM, importIntegrationBeam) );
   typeFuncMap.insert( typeFuncPair(INTEGRATION_SHELL, importIntegrationShell) );
}
