#include "matcohesiveelastic.hpp"
#include "matcohesivegeneral.hpp"
#include "matcohesivemixedmode.hpp"
#include "matcohesiveth.hpp"
#include "matfhwasoil.hpp"
#include "matfhwasoilnebraska.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initCohesiveTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_COHESIVE_ELASTIC, importMatCohesiveElastic) );
   typeFuncMap.insert( typeFuncPair(MAT_COHESIVE_GENERAL, importMatCohesiveGeneral) );
   typeFuncMap.insert( typeFuncPair(MAT_COHESIVE_MIXED_MODE, importMatCohesiveMixedMode) );
   typeFuncMap.insert( typeFuncPair(MAT_COHESIVE_TH, importMatCohesiveTh) );
   typeFuncMap.insert( typeFuncPair(MAT_FHWA_SOIL, importMatFhwaSoil) );
   typeFuncMap.insert( typeFuncPair(MAT_FHWA_SOIL_NEBRASKA, importMatFhwaSoilNebraska) );
}
