#include "matconcretedamage.hpp"
#include "matconcretedamagerel3.hpp"
#include "matcscmconcrete.hpp"
#include "matwinfrithconcrete.hpp"
#include "matwinfrithconcretereinforcement.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initConcreteTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_CONCRETE_DAMAGE, importMatConcreteDamage) );
   typeFuncMap.insert( typeFuncPair(MAT_CONCRETE_DAMAGE_REL3, importMatConcreteDamageRel3) );
   typeFuncMap.insert( typeFuncPair(MAT_CSCM_CONCRETE, importMatCscmConcrete) );
   typeFuncMap.insert( typeFuncPair(MAT_WINFRITH_CONCRETE, importMatWinfrithConcrete) );
   typeFuncMap.insert( typeFuncPair(MAT_WINFRITH_CONCRETE_REINFORCEMENT, importMatWinfrithConcreteReinforcement) );
}
