#include "nodecard.hpp"
#include "noderigidsurface.hpp"
#include "nodescalar.hpp"
#include "nodescalarvalue.hpp"
#include "nodetransform.hpp"
#include "typemap.h"
#include "nodimport.h"

void NodImport::initNodTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(NODE, importNodeCard) );
   typeFuncMap.insert( typeFuncPair(NODE_RIGID_SURFACE, importNodeRigidSurface) );
   typeFuncMap.insert( typeFuncPair(NODE_SCALAR, importNodeScalar) );
   typeFuncMap.insert( typeFuncPair(NODE_SCALAR_VALUE, importNodeScalarValue) );
   typeFuncMap.insert( typeFuncPair(NODE_TRANSFORM, importNodeTransform) );
}
