#include "partadaptivefailure.hpp"
#include "partcomposite.hpp"
#include "partmodes.hpp"
#include "partmove.hpp"
#include "partsensor.hpp"
#include "typemap.h"
#include "partcimport.h"

void PartCImport::initPartCTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(PART_ADAPTIVE_FAILURE, importPartAdaptiveFailure) );
   typeFuncMap.insert( typeFuncPair(PART_COMPOSITE, importPartComposite) );
   typeFuncMap.insert( typeFuncPair(PART_COMPOSITE_CONTACT, importPartComposite) );
   typeFuncMap.insert( typeFuncPair(PART_MODES, importPartModes) );
   typeFuncMap.insert( typeFuncPair(PART_MOVE, importPartMove) );
   typeFuncMap.insert( typeFuncPair(PART_SENSOR, importPartSensor) );
}
