#include "perturbationnode.hpp"
#include "perturbationshellthickness.hpp"
#include "typemap.h"
#include "perturbimport.h"

void PerturbImport::initPerturbTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(PERTURBATION_NODE, importPerturbationNode) );
   typeFuncMap.insert( typeFuncPair(PERTURBATION_SHELL_THICKNESS, importPerturbationShellThickness) );
}
