#include "sectionbeam.hpp"
#include "sectionseatbelt.hpp"
#include "sectionsolid.hpp"
#include "sectionsph.hpp"
#include "typemap.h"
#include "sectionimport.h"

void SectionImport::initSolidTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(SECTION_BEAM, importSectionBeam) );
   typeFuncMap.insert( typeFuncPair(SECTION_SEATBELT, importSectionSeatbelt) );
   typeFuncMap.insert( typeFuncPair(SECTION_SOLID, importSectionSolid) );
   typeFuncMap.insert( typeFuncPair(SECTION_SOLID_ALE, importSectionSolid) );
   typeFuncMap.insert( typeFuncPair(SECTION_SOLID_EFG, importSectionSolid) );
   typeFuncMap.insert( typeFuncPair(SECTION_SPH, importSectionSph) );
   typeFuncMap.insert( typeFuncPair(SECTION_SPH_TENSOR, importSectionSph) );
   typeFuncMap.insert( typeFuncPair(SECTION_SPH_USER, importSectionSph) );
}
