#include "setpart.hpp"
#include "setpartadd.hpp"
#include "setpartcolumn.hpp"
#include "setnodelistgenerate.hpp"
#include "setshell.hpp"
#include "setshelladd.hpp"
#include "setshellcolumn.hpp"
#include "setnodegeneral.hpp"
#include "setelement.hpp"
#include "setgeneral.hpp"
#include "setgenerate.hpp"
#include "typemap.h"
#include "setimport.h"

void SetImport::initPartTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(SET_PART, importSetPart) );
   typeFuncMap.insert( typeFuncPair(SET_PART_ADD, importSetPartAdd) );
   typeFuncMap.insert( typeFuncPair(SET_PART_COLUMN, importSetPartColumn) );
   typeFuncMap.insert( typeFuncPair(SET_PART_LIST, importSetPart) );
   typeFuncMap.insert( typeFuncPair(SET_PART_LIST_GENERATE, importSetNodeListGenerate) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL, importSetShell) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL_ADD, importSetShellAdd) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL_COLUMN, importSetShellColumn) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL_GENERAL, importSetNodeGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL_LIST, importSetShell) );
   typeFuncMap.insert( typeFuncPair(SET_SHELL_LIST_GENERATE, importSetNodeListGenerate) );
   typeFuncMap.insert( typeFuncPair(SET_TSHELL, importSetElement) );
   typeFuncMap.insert( typeFuncPair(SET_TSHELL_GENERAL, importSetGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_TSHELL_GENERATE, importSetGenerate) );
}
