#include "set2dsegment.hpp"
#include "setelement.hpp"
#include "setbeamadd.hpp"
#include "setgeneral.hpp"
#include "setgenerate.hpp"
#include "setdiscreteadd.hpp"
#include "setmultimaterialgrouplist.hpp"
#include "setsegment.hpp"
#include "setnodegeneral.hpp"
#include "setshelladd.hpp"
#include "typemap.h"
#include "setimport.h"

void SetImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(SET_2D_SEGMENT, importSet2dSegment) );
   typeFuncMap.insert( typeFuncPair(SET_2D_SEGMENT_SET, importSet2dSegment) );
   typeFuncMap.insert( typeFuncPair(SET_BEAM, importSetElement) );
   typeFuncMap.insert( typeFuncPair(SET_BEAM_ADD, importSetBeamAdd) );
   typeFuncMap.insert( typeFuncPair(SET_BEAM_GENERAL, importSetGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_BEAM_GENERATE, importSetGenerate) );
   typeFuncMap.insert( typeFuncPair(SET_DISCRETE, importSetElement) );
   typeFuncMap.insert( typeFuncPair(SET_DISCRETE_ADD, importSetDiscreteAdd) );
   typeFuncMap.insert( typeFuncPair(SET_DISCRETE_GENERAL, importSetGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_DISCRETE_GENERATE, importSetGenerate) );
   typeFuncMap.insert( typeFuncPair(SET_MULTI_MATERIAL_GROUP_LIST, importSetMultiMaterialGroupList) );
   typeFuncMap.insert( typeFuncPair(SET_SEGMENT, importSetSegment) );
   typeFuncMap.insert( typeFuncPair(SET_SEGMENT_GENERAL, importSetNodeGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_SOLID, importSetElement) );
   typeFuncMap.insert( typeFuncPair(SET_SOLID_ADD, importSetShellAdd) );
   typeFuncMap.insert( typeFuncPair(SET_SOLID_GENERAL, importSetGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_SOLID_GENERATE, importSetGenerate) );
}
