#include "userinterfacecontrol.hpp"
#include "userloading.hpp"
#include "typemap.h"
#include "userimport.h"

void UserImport::initUserTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(USER_INTERFACE_CONTROL, importUserInterfaceControl) );
   typeFuncMap.insert( typeFuncPair(USER_INTERFACE_FRICTION, importUserInterfaceControl) );
   typeFuncMap.insert( typeFuncPair(USER_LOADING, importUserLoading) );
}
