#ifndef _IO_TEST_H_
#define _IO_TEST_H_

#include "manager.h"
#include "mysqlconn.h"

int importAirbags(FILE *fp, DataLoc *data_loc, char *file_name);
int importALECards(FILE *fp, DataLoc *data_loc, char *file_name);
int importBdryCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importCompCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importConstCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importContactCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importControlCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importDampingCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importDatabaseCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importDefineCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importDeformCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importEFCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importEosCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importHgCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importIncludeCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importInitialCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importIntegrationCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importInterfaceCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importLoadCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importNodCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importParameterCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importPartCCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importPerturbCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importRailCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importRigidwallCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importSectionCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importSensorCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importSetCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importTermCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importUserCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importElementCards(FILE *fp, DataLoc *data_loc, char *file_name);
int importMatCards(FILE *fp, DataLoc *data_loc, char *file_name);

//int exportAllEntities(DataLoc *data_loc, const char *out_file);
int exportAllEntities(const char *out_file);
void resetAllManagers();

int importDynaFile(FILE *fp, DataLoc *data_loc, char *file_name);

int insertDataIntoDB(char *file_name, GoldenConn *gold_conn);
int getDataFromDB(char *file_name, GoldenConn *gold_conn);

int getIncludeFiles(const char *main_file, vector<string> & file_list,
			vector<DataLoc *> & dataloc_list);

#endif

