#ifndef _BdryType_h_
#define _BdryType_h_

typedef enum _BdryType
{
   BOUNDARY_ACOUSTIC_COUPLING = 1,
   BOUNDARY_AMBIENT_EOS = 2,
   BOUNDARY_CYCLIC = 3,
   BOUNDARY_MCOL = 4,
   BOUNDARY_PRESCRIBED_ACCELEROMETER_RIGID = 5,
   BOUNDARY_SLIDING_PLANE = 6,
   BOUNDARY_SYMMETRY_FAILURE = 7,
   BOUNDARY_USA_SURFACE = 8,
   BOUNDARY_ELEMENT_METHOD_ACOUSTIC = 9,
   BOUNDARY_ELEMENT_METHOD_CONTROL = 10,
   BOUNDARY_ELEMENT_METHOD_FLOW = 11,
   BOUNDARY_ELEMENT_METHOD_SYMMETRY = 12,
   BOUNDARY_ELEMENT_METHOD_NEIGHBOR = 13,
   BOUNDARY_ELEMENT_METHOD_WAKE = 14,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_ANGLES = 15,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_DIRCOS = 16,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_EULERP = 17,
   BOUNDARY_PRESCRIBED_MOTION_NODE = 18,
   BOUNDARY_PRESCRIBED_MOTION_NODE_ID = 19,
   BOUNDARY_PRESCRIBED_MOTION_RIGID = 20,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_ID = 21,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL = 22,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL_ID = 23,
   BOUNDARY_PRESCRIBED_MOTION_SET = 24,
   BOUNDARY_PRESCRIBED_MOTION_SET_ID = 25,
   BOUNDARY_RADIATION_SEGMENT = 26,
   BOUNDARY_RADIATION_SEGMENT_VF_READ = 27,
   BOUNDARY_RADIATION_SEGMENT_VF_CALCULATE = 28,
   BOUNDARY_RADIATION_SET = 29,
   BOUNDARY_RADIATION_SET_EF_READ = 30,
   BOUNDARY_RADIATION_SET_EF_CALCULATE = 31,
   BOUNDARY_RADIATION_SET_VF_READ = 32,
   BOUNDARY_RADIATION_SET_VF_CALCULATE = 33,
   BOUNDARY_SPC_NODE = 34,
   BOUNDARY_SPC_NODE_ID = 35,
   BOUNDARY_SPC_SET = 36,
   BOUNDARY_SPC_SET_ID = 37,
   BOUNDARY_TEMPERATURE_NODE = 38,
   BOUNDARY_TEMPERATURE_SET = 39,
   BOUNDARY_THERMAL_WELD = 40,
   BOUNDARY_SPH_FLOW = 41,
   BOUNDARY_SPH_SYMMETRY_PLANE = 42,
   BOUNDARY_PRESSURE_OUTFLOW_SEGMENT = 43,
   BOUNDARY_PRESSURE_OUTFLOW_SET = 44,
   BOUNDARY_CONVECTION_SEGMENT = 45,
   BOUNDARY_CONVECTION_SET = 46,
   BOUNDARY_NON_REFLECTING = 47,
   BOUNDARY_NON_REFLECTING_2D = 48,
   BOUNDARY_FLUX_SEGMENT = 49,
   BOUNDARY_FLUX_SET = 50,

   BDRY_NEW_TYPE
}
   BdryType;

#endif

