#ifndef _ConstType_h_
#define _ConstType_h_

typedef enum _ConstType
{
   CONSTRAINED_LAGRANGE_IN_SOLID = 1,
   CONSTRAINED_LAGRANGE_IN_SOLID_EDGE = 2,
   CONSTRAINED_LAGRANGE_IN_SOLID_EDGE_TITLE = 3,
   CONSTRAINED_LAGRANGE_IN_SOLID_TITLE = 4,
   CONSTRAINED_LINEAR_GLOBAL = 5,
   CONSTRAINED_LINEAR_LOCAL = 6,
   CONSTRAINED_LOCAL = 7,
   CONSTRAINED_RIGID_BODIES = 8,
   CONSTRAINED_RIGID_BODY_STOPPERS = 9,
   CONSTRAINED_JOINT_CYLINDRICAL_ID_FAILURE = 10,
   CONSTRAINED_JOINT_CYLINDRICAL_ID_FAILURE_LOCAL = 11,
   CONSTRAINED_JOINT_CYLINDRICAL_ID_LOCAL = 12,
   CONSTRAINED_JOINT_CYLINDRICAL_ID_LOCAL_FAILURE = 13,
   CONSTRAINED_JOINT_CYLINDRICAL_FAILURE = 14,
   CONSTRAINED_JOINT_CYLINDRICAL_FAILURE_ID = 15,
   CONSTRAINED_JOINT_CYLINDRICAL_FAILURE_ID_LOCAL = 16,
   CONSTRAINED_JOINT_CYLINDRICAL_FAILURE_LOCAL = 17,
   CONSTRAINED_JOINT_CYLINDRICAL_FAILURE_LOCAL_ID = 18,
   CONSTRAINED_JOINT_CYLINDRICAL = 19,
   CONSTRAINED_JOINT_CYLINDRICAL_ID = 20,
   CONSTRAINED_JOINT_CYLINDRICAL_LOCAL = 21,
   CONSTRAINED_JOINT_CYLINDRICAL_LOCAL_ID = 22,
   CONSTRAINED_JOINT_CYLINDRICAL_LOCAL_ID_FAILURE = 23,
   CONSTRAINED_JOINT_CYLINDRICAL_LOCAL_FAILURE = 24,
   CONSTRAINED_JOINT_CYLINDRICAL_LOCAL_FAILURE_ID = 25,
   CONSTRAINED_JOINT_GEARS = 26,
   CONSTRAINED_JOINT_GEARS_ID = 27,
   CONSTRAINED_JOINT_GEARS_ID_FAILURE = 28,
   CONSTRAINED_JOINT_GEARS_ID_FAILURE_LOCAL = 29,
   CONSTRAINED_JOINT_GEARS_ID_LOCAL = 30,
   CONSTRAINED_JOINT_GEARS_ID_LOCAL_FAILURE = 31,
   CONSTRAINED_JOINT_GEARS_FAILURE = 32,
   CONSTRAINED_JOINT_GEARS_FAILURE_ID = 33,
   CONSTRAINED_JOINT_GEARS_FAILURE_ID_LOCAL = 34,
   CONSTRAINED_JOINT_GEARS_FAILURE_LOCAL = 35,
   CONSTRAINED_JOINT_GEARS_FAILURE_LOCAL_ID = 36,
   CONSTRAINED_JOINT_GEARS_LOCAL = 37,
   CONSTRAINED_JOINT_GEARS_LOCAL_ID = 38,
   CONSTRAINED_JOINT_GEARS_LOCAL_ID_FAILURE = 39,
   CONSTRAINED_JOINT_GEARS_LOCAL_FAILURE = 40,
   CONSTRAINED_JOINT_GEARS_LOCAL_FAILURE_ID = 41,
   CONSTRAINED_JOINT_LOCKING = 42,
   CONSTRAINED_JOINT_LOCKING_ID = 43,
   CONSTRAINED_JOINT_LOCKING_ID_FAILURE = 44,
   CONSTRAINED_JOINT_LOCKING_ID_FAILURE_LOCAL = 45,
   CONSTRAINED_JOINT_LOCKING_ID_LOCAL = 46,
   CONSTRAINED_JOINT_LOCKING_ID_LOCAL_FAILURE = 47,
   CONSTRAINED_JOINT_LOCKING_FAILURE = 48,
   CONSTRAINED_JOINT_LOCKING_FAILURE_ID = 49,
   CONSTRAINED_JOINT_LOCKING_FAILURE_ID_LOCAL = 50,
   CONSTRAINED_JOINT_LOCKING_FAILURE_LOCAL = 51,
   CONSTRAINED_JOINT_LOCKING_FAILURE_LOCAL_ID = 52,
   CONSTRAINED_JOINT_LOCKING_LOCAL = 53,
   CONSTRAINED_JOINT_LOCKING_LOCAL_ID = 54,
   CONSTRAINED_JOINT_LOCKING_LOCAL_ID_FAILURE = 55,
   CONSTRAINED_JOINT_LOCKING_LOCAL_FAILURE = 56,
   CONSTRAINED_JOINT_LOCKING_LOCAL_FAILURE_ID = 57,
   CONSTRAINED_JOINT_PLANAR_ID_FAILURE = 58,
   CONSTRAINED_JOINT_PLANAR_ID_FAILURE_LOCAL = 59,
   CONSTRAINED_JOINT_PLANAR_ID_LOCAL = 60,
   CONSTRAINED_JOINT_PLANAR_ID_LOCAL_FAILURE = 61,
   CONSTRAINED_JOINT_PLANAR = 62,
   CONSTRAINED_JOINT_PLANAR_ID = 63,
   CONSTRAINED_JOINT_PLANAR_FAILURE = 64,
   CONSTRAINED_JOINT_PLANAR_FAILURE_ID = 65,
   CONSTRAINED_JOINT_PLANAR_FAILURE_ID_LOCAL = 66,
   CONSTRAINED_JOINT_PLANAR_FAILURE_LOCAL = 67,
   CONSTRAINED_JOINT_PLANAR_FAILURE_LOCAL_ID = 68,
   CONSTRAINED_JOINT_PLANAR_LOCAL = 69,
   CONSTRAINED_JOINT_PLANAR_LOCAL_ID = 70,
   CONSTRAINED_JOINT_PLANAR_LOCAL_ID_FAILURE = 71,
   CONSTRAINED_JOINT_PLANAR_LOCAL_FAILURE = 72,
   CONSTRAINED_JOINT_PLANAR_LOCAL_FAILURE_ID = 73,
   CONSTRAINED_JOINT_PULLEY = 74,
   CONSTRAINED_JOINT_PULLEY_ID = 75,
   CONSTRAINED_JOINT_PULLEY_ID_FAILURE = 76,
   CONSTRAINED_JOINT_PULLEY_ID_FAILURE_LOCAL = 77,
   CONSTRAINED_JOINT_PULLEY_ID_LOCAL = 78,
   CONSTRAINED_JOINT_PULLEY_ID_LOCAL_FAILURE = 79,
   CONSTRAINED_JOINT_PULLEY_FAILURE = 80,
   CONSTRAINED_JOINT_PULLEY_FAILURE_ID = 81,
   CONSTRAINED_JOINT_PULLEY_FAILURE_ID_LOCAL = 82,
   CONSTRAINED_JOINT_PULLEY_FAILURE_LOCAL = 83,
   CONSTRAINED_JOINT_PULLEY_FAILURE_LOCAL_ID = 84,
   CONSTRAINED_JOINT_PULLEY_LOCAL = 85,
   CONSTRAINED_JOINT_PULLEY_LOCAL_ID = 86,
   CONSTRAINED_JOINT_PULLEY_LOCAL_ID_FAILURE = 87,
   CONSTRAINED_JOINT_PULLEY_LOCAL_FAILURE = 88,
   CONSTRAINED_JOINT_PULLEY_LOCAL_FAILURE_ID = 89,
   CONSTRAINED_JOINT_RACK_AND_PINION = 90,
   CONSTRAINED_JOINT_RACK_AND_PINION_ID = 91,
   CONSTRAINED_JOINT_RACK_AND_PINION_ID_FAILURE = 92,
   CONSTRAINED_JOINT_RACK_AND_PINION_ID_FAILURE_LOCAL = 93,
   CONSTRAINED_JOINT_RACK_AND_PINION_ID_LOCAL = 94,
   CONSTRAINED_JOINT_RACK_AND_PINION_ID_LOCAL_FAILURE = 95,
   CONSTRAINED_JOINT_RACK_AND_PINION_FAILURE = 96,
   CONSTRAINED_JOINT_RACK_AND_PINION_FAILURE_ID = 97,
   CONSTRAINED_JOINT_RACK_AND_PINION_FAILURE_ID_LOCAL = 98,
   CONSTRAINED_JOINT_RACK_AND_PINION_FAILURE_LOCAL = 99,
   CONSTRAINED_JOINT_RACK_AND_PINION_FAILURE_LOCAL_ID = 100,
   CONSTRAINED_JOINT_RACK_AND_PINION_LOCAL = 101,
   CONSTRAINED_JOINT_RACK_AND_PINION_LOCAL_ID = 102,
   CONSTRAINED_JOINT_RACK_AND_PINION_LOCAL_ID_FAILURE = 103,
   CONSTRAINED_JOINT_RACK_AND_PINION_LOCAL_FAILURE = 104,
   CONSTRAINED_JOINT_RACK_AND_PINION_LOCAL_FAILURE_ID = 105,
   CONSTRAINED_JOINT_REVOLUTE_ID_FAILURE = 106,
   CONSTRAINED_JOINT_REVOLUTE_ID_FAILURE_LOCAL = 107,
   CONSTRAINED_JOINT_REVOLUTE_ID_LOCAL = 108,
   CONSTRAINED_JOINT_REVOLUTE_ID_LOCAL_FAILURE = 109,
   CONSTRAINED_JOINT_REVOLUTE_FAILURE = 110,
   CONSTRAINED_JOINT_REVOLUTE_FAILURE_ID = 111,
   CONSTRAINED_JOINT_REVOLUTE_FAILURE_ID_LOCAL = 112,
   CONSTRAINED_JOINT_REVOLUTE_FAILURE_LOCAL = 113,
   CONSTRAINED_JOINT_REVOLUTE_FAILURE_LOCAL_ID = 114,
   CONSTRAINED_JOINT_REVOLUTE_LOCAL = 115,
   CONSTRAINED_JOINT_REVOLUTE_LOCAL_ID = 116,
   CONSTRAINED_JOINT_REVOLUTE_LOCAL_ID_FAILURE = 117,
   CONSTRAINED_JOINT_REVOLUTE_LOCAL_FAILURE = 118,
   CONSTRAINED_JOINT_REVOLUTE_LOCAL_FAILURE_ID = 119,
   CONSTRAINED_JOINT_REVOLUTE = 120,
   CONSTRAINED_JOINT_REVOLUTE_ID = 121,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR = 122,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_ID = 123,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_ID_FAILURE = 124,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_ID_FAILURE_LOCAL = 125,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_ID_LOCAL = 126,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_ID_LOCAL_FAILURE = 127,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_FAILURE = 128,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_FAILURE_ID = 129,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_FAILURE_ID_LOCAL = 130,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_FAILURE_LOCAL = 131,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_FAILURE_LOCAL_ID = 132,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_LOCAL = 133,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_LOCAL_ID = 134,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_LOCAL_ID_FAILURE = 135,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_LOCAL_FAILURE = 136,
   CONSTRAINED_JOINT_ROTATIONAL_MOTOR_LOCAL_FAILURE_ID = 137,
   CONSTRAINED_JOINT_SCREW = 138,
   CONSTRAINED_JOINT_SCREW_ID = 139,
   CONSTRAINED_JOINT_SCREW_ID_FAILURE = 140,
   CONSTRAINED_JOINT_SCREW_ID_FAILURE_LOCAL = 141,
   CONSTRAINED_JOINT_SCREW_ID_LOCAL = 142,
   CONSTRAINED_JOINT_SCREW_ID_LOCAL_FAILURE = 143,
   CONSTRAINED_JOINT_SCREW_FAILURE = 144,
   CONSTRAINED_JOINT_SCREW_FAILURE_ID = 145,
   CONSTRAINED_JOINT_SCREW_FAILURE_ID_LOCAL = 146,
   CONSTRAINED_JOINT_SCREW_FAILURE_LOCAL = 147,
   CONSTRAINED_JOINT_SCREW_FAILURE_LOCAL_ID = 148,
   CONSTRAINED_JOINT_SCREW_LOCAL = 149,
   CONSTRAINED_JOINT_SCREW_LOCAL_ID = 150,
   CONSTRAINED_JOINT_SCREW_LOCAL_ID_FAILURE = 151,
   CONSTRAINED_JOINT_SCREW_LOCAL_FAILURE = 152,
   CONSTRAINED_JOINT_SCREW_LOCAL_FAILURE_ID = 153,
   CONSTRAINED_JOINT_SPHERICAL_ID_FAILURE = 154,
   CONSTRAINED_JOINT_SPHERICAL_ID_FAILURE_LOCAL = 155,
   CONSTRAINED_JOINT_SPHERICAL_ID_LOCAL = 156,
   CONSTRAINED_JOINT_SPHERICAL_ID_LOCAL_FAILURE = 157,
   CONSTRAINED_JOINT_SPHERICAL_FAILURE = 158,
   CONSTRAINED_JOINT_SPHERICAL_FAILURE_ID = 159,
   CONSTRAINED_JOINT_SPHERICAL_FAILURE_ID_LOCAL = 160,
   CONSTRAINED_JOINT_SPHERICAL_FAILURE_LOCAL = 161,
   CONSTRAINED_JOINT_SPHERICAL_FAILURE_LOCAL_ID = 162,
   CONSTRAINED_JOINT_SPHERICAL = 163,
   CONSTRAINED_JOINT_SPHERICAL_ID = 164,
   CONSTRAINED_JOINT_SPHERICAL_LOCAL = 165,
   CONSTRAINED_JOINT_SPHERICAL_LOCAL_ID = 166,
   CONSTRAINED_JOINT_SPHERICAL_LOCAL_ID_FAILURE = 167,
   CONSTRAINED_JOINT_SPHERICAL_LOCAL_FAILURE = 168,
   CONSTRAINED_JOINT_SPHERICAL_LOCAL_FAILURE_ID = 169,
   CONSTRAINED_JOINT_TRANSLATIONAL = 170,
   CONSTRAINED_JOINT_TRANSLATIONAL_ID = 171,
   CONSTRAINED_JOINT_TRANSLATIONAL_ID_FAILURE = 172,
   CONSTRAINED_JOINT_TRANSLATIONAL_ID_FAILURE_LOCAL = 173,
   CONSTRAINED_JOINT_TRANSLATIONAL_ID_LOCAL = 174,
   CONSTRAINED_JOINT_TRANSLATIONAL_ID_LOCAL_FAILURE = 175,
   CONSTRAINED_JOINT_TRANSLATIONAL_FAILURE = 176,
   CONSTRAINED_JOINT_TRANSLATIONAL_FAILURE_ID = 177,
   CONSTRAINED_JOINT_TRANSLATIONAL_FAILURE_ID_LOCAL = 178,
   CONSTRAINED_JOINT_TRANSLATIONAL_FAILURE_LOCAL = 179,
   CONSTRAINED_JOINT_TRANSLATIONAL_FAILURE_LOCAL_ID = 180,
   CONSTRAINED_JOINT_TRANSLATIONAL_LOCAL = 181,
   CONSTRAINED_JOINT_TRANSLATIONAL_LOCAL_ID = 182,
   CONSTRAINED_JOINT_TRANSLATIONAL_LOCAL_ID_FAILURE = 183,
   CONSTRAINED_JOINT_TRANSLATIONAL_LOCAL_FAILURE = 184,
   CONSTRAINED_JOINT_TRANSLATIONAL_LOCAL_FAILURE_ID = 185,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR = 186,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_ID = 187,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_ID_FAILURE = 188,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_ID_FAILURE_LOCAL = 189,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_ID_LOCAL = 190,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_ID_LOCAL_FAILURE = 191,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_FAILURE = 192,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_FAILURE_ID = 193,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_FAILURE_ID_LOCAL = 194,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_FAILURE_LOCAL = 195,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_FAILURE_LOCAL_ID = 196,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_LOCAL = 197,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_LOCAL_ID = 198,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_LOCAL_ID_FAILURE = 199,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_LOCAL_FAILURE = 200,
   CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR_LOCAL_FAILURE_ID = 201,
   CONSTRAINED_JOINT_UNIVERSAL_ID_FAILURE = 202,
   CONSTRAINED_JOINT_UNIVERSAL_ID_FAILURE_LOCAL = 203,
   CONSTRAINED_JOINT_UNIVERSAL_ID_LOCAL = 204,
   CONSTRAINED_JOINT_UNIVERSAL_ID_LOCAL_FAILURE = 205,
   CONSTRAINED_JOINT_UNIVERSAL_FAILURE = 206,
   CONSTRAINED_JOINT_UNIVERSAL_FAILURE_ID = 207,
   CONSTRAINED_JOINT_UNIVERSAL_FAILURE_ID_LOCAL = 208,
   CONSTRAINED_JOINT_UNIVERSAL_FAILURE_LOCAL = 209,
   CONSTRAINED_JOINT_UNIVERSAL_FAILURE_LOCAL_ID = 210,
   CONSTRAINED_JOINT_UNIVERSAL_LOCAL = 211,
   CONSTRAINED_JOINT_UNIVERSAL_LOCAL_ID = 212,
   CONSTRAINED_JOINT_UNIVERSAL_LOCAL_ID_FAILURE = 213,
   CONSTRAINED_JOINT_UNIVERSAL_LOCAL_FAILURE = 214,
   CONSTRAINED_JOINT_UNIVERSAL_LOCAL_FAILURE_ID = 215,
   CONSTRAINED_JOINT_UNIVERSAL = 216,
   CONSTRAINED_JOINT_UNIVERSAL_ID = 217,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY = 218,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_ID = 219,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_ID_FAILURE = 220,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_ID_FAILURE_LOCAL = 221,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_ID_LOCAL = 222,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_ID_LOCAL_FAILURE = 223,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_FAILURE = 224,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_FAILURE_ID = 225,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_FAILURE_ID_LOCAL = 226,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_FAILURE_LOCAL = 227,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_FAILURE_LOCAL_ID = 228,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_LOCAL = 229,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_LOCAL_ID = 230,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_LOCAL_ID_FAILURE = 231,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_LOCAL_FAILURE = 232,
   CONSTRAINED_JOINT_CONSTANT_VELOCITY_LOCAL_FAILURE_ID = 233,
   CONSTRAINED_NODAL_RIGID_BODY_TITLE = 234,
   CONSTRAINED_NODAL_RIGID_BODY = 235,
   CONSTRAINED_NODAL_RIGID_BODY_INERTIA = 236,
   CONSTRAINED_NODAL_RIGID_BODY_INERTIA_TITLE = 237,
   CONSTRAINED_NODAL_RIGID_BODY_SPC = 238,
   CONSTRAINED_NODAL_RIGID_BODY_SPC_TITLE = 239,
   CONSTRAINED_NODAL_RIGID_BODY_SPC_INERTIA = 240,
   CONSTRAINED_NODAL_RIGID_BODY_SPC_INERTIA_TITLE = 241,
   CONSTRAINED_NODE_SET = 242,
   CONSTRAINED_NODE_SET_ID = 243,
   CONSTRAINED_POINTS = 244,
   CONSTRAINED_ADAPTIVITY = 245,
   CONSTRAINED_EULER_IN_EULER = 246,
   CONSTRAINED_EXTRA_NODES_NODE = 247,
   CONSTRAINED_EXTRA_NODES_SET = 248,
   CONSTRAINED_GLOBAL = 249,
   CONSTRAINED_INTERPOLATION = 250,
   CONSTRAINED_INTERPOLATION_LOCAL = 251,
   CONSTRAINED_JOINT_STIFFNESS_FLEXION_TORSION = 252,
   CONSTRAINED_JOINT_STIFFNESS_GENERALIZED = 253,
   CONSTRAINED_JOINT_STIFFNESS_TRANSLATIONAL = 254,
   CONSTRAINED_SHELL_TO_SOLID = 255,
   CONSTRAINED_SPLINE = 256,
   CONSTRAINED_TIE_BREAK = 257,
   CONSTRAINED_TIED_NODES_FAILURE = 258,
   CONSTRAINED_BUTT_WELD = 259,
   CONSTRAINED_GENERALIZED_WELD_BUTT = 260,
   CONSTRAINED_GENERALIZED_WELD_BUTT_ID = 261,
   CONSTRAINED_GENERALIZED_WELD_COMBINED = 262,
   CONSTRAINED_GENERALIZED_WELD_COMBINED_ID = 263,
   CONSTRAINED_GENERALIZED_WELD_CROSS_FILLET = 264,
   CONSTRAINED_GENERALIZED_WELD_CROSS_FILLET_ID = 265,
   CONSTRAINED_GENERALIZED_WELD_FILLET = 266,
   CONSTRAINED_GENERALIZED_WELD_FILLET_ID = 267,
   CONSTRAINED_GENERALIZED_WELD_SPOT = 268,
   CONSTRAINED_GENERALIZED_WELD_SPOT_ID = 269,
   CONSTRAINED_RIVET = 270,
   CONSTRAINED_RIVET_ID = 271,
   CONSTRAINED_SPOTWELD = 272,
   CONSTRAINED_SPOTWELD_ID = 273,
   CONSTRAINED_SPOTWELD_ID_FILTERED_FORCE = 274,
   CONSTRAINED_SPOTWELD_FILTERED_FORCE = 275,
   CONSTRAINED_SPOTWELD_FILTERED_FORCE_ID = 276,

   CONST_NEW_TYPE
}
   ConstType;

#endif

