#ifndef _ElementType_h_
#define _ElementType_h_

typedef enum _ElementType
{
   ELEMENT_BEAM = 1,
   ELEMENT_BEAM_OFFSET = 2,
   ELEMENT_BEAM_ORIENTATION = 3,
   ELEMENT_BEAM_PID = 4,
   ELEMENT_BEAM_SCALAR = 5,
   ELEMENT_BEAM_SCALR = 6,
   ELEMENT_BEAM_SECTION = 7,
   ELEMENT_BEAM_THICKNESS = 8,
   ELEMENT_BEAM_WARPAGE = 9,
   ELEMENT_SEATBELT = 10,
   ELEMENT_SEATBELT_ACCELEROMETER = 11,
   ELEMENT_SEATBELT_PRETENSIONER = 12,
   ELEMENT_SEATBELT_RETRACTOR = 13,
   ELEMENT_SEATBELT_SENSOR = 14,
   ELEMENT_SEATBELT_SLIPRING = 15,
   ELEMENT_SHELL = 16,
   ELEMENT_SHELL_BETA = 17,
   ELEMENT_SHELL_DOF = 18,
   ELEMENT_SHELL_MCD = 19,
   ELEMENT_SHELL_OFFSET = 20,
   ELEMENT_SHELL_SOURCE_SINK = 21,
   ELEMENT_SHELL_THICKNESS = 22,
   ELEMENT_SOLID = 23,
   ELEMENT_SOLID_DOF = 24,
   ELEMENT_SOLID_ORTHO = 25,
   ELEMENT_TSHELL = 26,
   ELEMENT_DIRECT_MATRIX_INPUT = 27,
   ELEMENT_DISCRETE = 28,
   ELEMENT_INERTIA = 29,
   ELEMENT_INERTIA_OFFSET = 30,
   ELEMENT_MASS = 31,
   ELEMENT_MASS_NODE_SET = 32,
   ELEMENT_MASS_PART = 33,
   ELEMENT_MASS_PART_SET = 34,
   ELEMENT_PLOTEL = 35,
   ELEMENT_SPH = 36,
   ELEMENT_TRIM = 37,

   ELEMENT_NEW_TYPE
}
   ElementType;

#endif

