#ifndef _BASE_H_
#define _BASE_H_

#include "typedefs.h"
#include "object.h"

/** Base class for all Manager objects and Data objects. Stores ID for each
  * object.
  */
class Base : public Object
{
public:
   /** Constructor to create this object with an ID 
     * \param id ID of object to store
     */
   Base(unsigned int id)
   {
      ID = id;
   }

   /** Constructor without any arguments
     */
   Base()
   {
   }

   virtual ~Base()
   {
   }

   void tostring(char *){}

public:
   /** ID of each object is stored here */
   unsigned int	ID;
};

#endif
