#ifndef _LoadType_h_
#define _LoadType_h_

typedef enum _LoadType
{
   LOAD_BODY_GENERALIZED = 1,
   LOAD_BODY_PARTS = 2,
   LOAD_BODY_POROUS = 3,
   LOAD_BODY_RX = 4,
   LOAD_BODY_RY = 5,
   LOAD_BODY_RZ = 6,
   LOAD_BODY_X = 7,
   LOAD_BODY_Y = 8,
   LOAD_BODY_Z = 9,
   LOAD_GRAVITY_PART = 10,
   LOAD_REMOVE_PART = 11,
   LOAD_STIFFEN_PART = 12,
   LOAD_BEAM_ELEMENT = 13,
   LOAD_BEAM_SET = 14,
   LOAD_HEAT_GENERATION_SET = 15,
   LOAD_HEAT_GENERATION_SOLID = 16,
   LOAD_MOVING_PRESSURE = 17,
   LOAD_RIGID_BODY = 18,
   LOAD_SHELL_ELEMENT = 19,
   LOAD_SHELL_ELEMENT_ID = 20,
   LOAD_SHELL_SET = 21,
   LOAD_SHELL_SET_ID = 22,
   LOAD_SUPERPLASTIC_FORMING = 23,
   LOAD_SURFACE_STRESS = 24,
   LOAD_SURFACE_STRESS_SET = 25,
   LOAD_HEAT_CONTROLLER = 26,
   LOAD_MOTION_NODE = 27,
   LOAD_NODE_POINT = 28,
   LOAD_NODE_SET = 29,
   LOAD_SEGMENT = 30,
   LOAD_SEGMENT_ID = 31,
   LOAD_SEGMENT_NONUNIFORM = 32,
   LOAD_SEGMENT_NONUNIFORM_ID = 33,
   LOAD_SEGMENT_SET = 34,
   LOAD_SEGMENT_SET_ID = 35,
   LOAD_SEGMENT_SET_NONUNIFORM = 36,
   LOAD_SEGMENT_SET_NONUNIFORM_ID = 37,
   LOAD_ALE_CONVECTION = 38,
   LOAD_ALE_CONVECTION_ID = 39,
   LOAD_BLAST = 40,
   LOAD_BRODE = 41,
   LOAD_DENSITY_DEPTH = 42,
   LOAD_MASK = 43,
   LOAD_SSA = 44,
   LOAD_VOLUME_LOSS = 45,
   LOAD_THERMAL_CONSTANT = 46,
   LOAD_THERMAL_CONSTANT_NODE = 47,
   LOAD_THERMAL_LOAD_CURVE = 48,
   LOAD_THERMAL_TOPAZ = 49,
   LOAD_THERMAL_VARIABLE = 50,
   LOAD_THERMAL_VARIABLE_NODE = 51,
   LOAD_THERMAL_VARIABLE_SHELL = 52,
   LOAD_THERMAL_VARIABLE_SHELL_SET = 53,

   LOAD_NEW_TYPE
}
   LoadType;

#endif

