<?php

   include '../../html_gen_inc.php';

   $dir_name = "contact/";
   //$web_root = "/home/krishna/WEB_ROOT/lsdyna/";
   $doc_root = getenv("WEB_ROOT");
   if( $doc_root == null )
   {
      echo "set WEB_ROOT enviroment variable\n";
      return;
   }
   $web_root = $doc_root . "/lsdyna/";
   $comp_dir = $web_root . $dir_name;
   if( !file_exists($comp_dir) )
      mkdir($comp_dir);

   $id_str = getCardsFromXml("../contact_id.xml");
   $auto_str = getCardsFromXml("contact_2d_auto.xml");
   $no_auto_str = getCardsFromXml("contact_2d_non_auto.xml");
   $thermal_str = getCardsFromXml("contact_2d_thermal.xml");
   $opt_a_str = getCardsFromXml("contact_2d_option_a.xml");
   $pen_fric_str = getCardsFromXml("contact_2d_pen_fric.xml");

   $kw_list = array();
   $link_list = array();
   $str = "";

   $CONTACT_ID_TITLE = 0;
   $CONTACT_MPP = 1;
   $CONTACT_THERMAL = 2;
   $CONTACT_THERMAL_FRICTION = 3;
   $CONTACT_2D_AUTOMATIC = 4;
   $CONTACT_SET = 5;
   $CONTACT_OFFSET = 6;
   $CONTACT_BEAM_OFFSET = 7;
   $CONTACT_CONSTRAINED_OFFSET = 8;




   $con_types[0] = "CONTACT_2D_SLIDING_ONLY";
   $con_types[1] = "CONTACT_2D_TIED_SLIDING";
   $con_types[2] = "CONTACT_2D_SLIDING_VOIDS";
   $con_types[3] = "CONTACT_2D_PENALTY_FRICTION";
   $con_types[4] = "CONTACT_2D_PENALTY";
   $con_types[5] = "CONTACT_2D_AUTOMATIC_SINGLE_SURFACE";
   $con_types[6] = "CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE";
   $con_types[7] = "CONTACT_2D_AUTOMATIC_NODE_TO_SURFACE";
   $con_types[8] = "CONTACT_2D_SURFACE_IN_CONTINUUM";
   $con_types[9] = "CONTACT_2D_AUTOMATIC_TIED";
   $con_types[10] = "CONTACT_2D_AUTOMATIC_TIED_ONE_WAY";

   $thermal_types[0] = "THERMAL";
   $id_type[0] = "TITLE";

   $kw_str = "";
   $cnt_num = 201;
   $kw_array = array();
   foreach ($con_types as $con_type)
   {
      $kw_short_name = "CNT_" . $cnt_num;
      $kw_array["$con_type"] = $kw_short_name;
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
               $bin_flag = 0;
               $kw = $con_type . "_" . $thermal . "_" . $id;
               //$kw_str .= "*" . $kw . "\n";
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               $kw_str .= $id_str;
               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
                  $bin_flag |= (1 << $CONTACT_2D_AUTOMATIC);
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;

               $bin_flag |= (1 << $CONTACT_THERMAL);
               $bin_flag |= (1 << $CONTACT_ID_TITLE);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
               $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
//echo $kw_str;

         }
      }
      $cnt_num++;
   }






   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
               $bin_flag = 0;
	    $kw = $con_type . "_" . $thermal;

	    //$kw_str .= "*" . $kw . "\n";
               //$kw_str = startOfPage($kw);
               $kw_str = "";

               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
                  $bin_flag |= (1 << $CONTACT_2D_AUTOMATIC);
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

	    $kw_str .= $thermal_str;
	    $kw_str .= $opt_a_str;


               $bin_flag |= (1 << $CONTACT_THERMAL);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
               $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }






   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($id_type as $id)
      {
            $bin_flag = 0;
	    $kw = $con_type . "_" . $id;
               //$kw_str .= "*" . $kw . "\n";
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               $kw_str .= $id_str;

               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
                  $bin_flag |= (1 << $CONTACT_2D_AUTOMATIC);
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

//echo "TYPE=" . $con_type . "\n";
	       $kw_str .= $opt_a_str;

               $bin_flag |= (1 << $CONTACT_ID_TITLE);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
               $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";

      }
   }

   $dir_name = "contact";
   //createLinks($dir_name, $web_root, $link_list);
   //these 3 lines are commented to merge all the contact things together
   //createJSFiles($dir_name, $web_root, $link_list);
   //ksort($kw_list);
   //createKeywordMapFile($dir_name, $web_root, $kw_list);

   $keys = array_keys($kw_list);
   $values = array_values($kw_list);
   file_put_contents("keywords", implode(",", $keys));
   file_put_contents("values", implode(",", $values));
?>
