<?php
   include '../html_gen_inc.php';

   $dir_name = "part/";
   //$web_root = "/home/krishna/WEB_ROOT/lsdyna/";
   $doc_root = getenv("WEB_ROOT");
   if( $doc_root == null )
   {
      echo "set WEB_ROOT enviroment variable\n";
      return;
   }
   $web_root = $doc_root . "/lsdyna/";
   $comp_dir = $web_root . $dir_name;
   if( !file_exists($comp_dir) )
      mkdir($comp_dir);

   $kw_list = array();
   $link_list = array();
   $str = "";

   $mand_str = getCardsFromXml("part_cards.xml");
   $print_str = getCardsFromXml("part_print.xml");
   $inertia_str = getCardsFromXml("part_inertia.xml");
   $repose_str = getCardsFromXml("part_reposition.xml");
   $contact_str = getCardsFromXml("part_contact.xml");
   $attach_str = getCardsFromXml("part_attachment_nodes.xml");

   $part_types[0] = "PART";

   $opt1_types[0] = "";
   $opt1_types[1] = "_INERTIA";
   $opt1_types[2] = "_REPOSITION";

   $opt2_types[0] = "";
   $opt2_types[1] = "_CONTACT";

   $opt3_types[0] = "";
   $opt3_types[1] = "_PRINT";

   $opt4_types[0] = "";
   $opt4_types[1] = "_ATTACHMENT_NODES";

   $PART_ADAPTIVE_FAILURE = 0;
   $PART_COMPOSITE = 1;
   $PART_COMPOSITE_CONTACT = 2;
   $PART_MODES = 3;
   $PART_MOVE = 4;
   $PART_SENSOR = 5;
   $PART = 6;
   $PART_INERTIA = 7;
   $PART_REPOSITION = 8;
   $PART_CONTACT = 9;
   $PART_PRINT = 10;
   $PART_ATTACH = 11;

   $kw_str = "";

   foreach ($part_types as $part_type)
   {
      //$part_flag = 0;
      //$part_flag |= (1 << $PART);
      foreach ($opt1_types as $opt1_type)
      {
	 foreach ($opt2_types as $opt2_type)
	 {
	    foreach ($opt3_types as $opt3_type)
	    {
	       foreach ($opt4_types as $opt4_type)
	       {
		  $part_flag = 0;
		  $part_flag |= (1 << $PART);
	          $kw = $part_type . $opt1_type . $opt2_type . $opt3_type . $opt4_type;
//echo "$kw\n";
		  //$kw_str = startOfPage($kw);
		  $kw_str = "";

                  $kw_str .= $mand_str;

                  if( strstr($kw, "_INERTIA") )
                  {
                     $kw_str .= $inertia_str;
		     $part_flag |= (1 << $PART_INERTIA);
                  }
                  else if( strstr($kw, "_REPOSITION") )
                  {
                     $kw_str .= $repose_str;
		     $part_flag |= (1 << $PART_REPOSITION);
                  }

		  if( strstr($kw, "_CONTACT") )
		  {
		     $kw_str .= $contact_str;
		     $part_flag |= (1 << $PART_CONTACT);
		  }

		  if( strstr($kw, "_PRINT" ) )
		  {
		     $kw_str .= $print_str;
		     $part_flag |= (1 << $PART_PRINT);
		  }

		  if( strstr($kw, "_ATTACHMENT") )
		  {
		     $kw_str .= $attach_str;
		     $part_flag |= (1 << $PART_ATTACH);
//echo "ATTACH=$part_flag\n";
		  }

		  $kw_short_name = "PRT_" . $part_flag;
		  $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

		  $kw_str .= endOfPage($kw, $kw_short_name);
                  $kw_list["$kw"] = $kw_short_name;
		  
		  $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);

		  $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
		  $file_name = $comp_dir . strtolower($kw) . ".php";
		  $file_ptr = fopen($file_name, 'w');
		  fwrite($file_ptr, $kw_str);
		  fclose($file_ptr);
		  $kw_str = "";
               }
            }
         }
      }
   }

   $adp_str = getCardsFromXml("part_adaptive_failure.xml");
   $comp_str = getCardsFromXml("part_composite.xml");
   $modes_str = getCardsFromXml("part_modes.xml");
   $move_str = getCardsFromXml("part_move.xml");
   $sensor_str = getCardsFromXml("part_sensor.xml");

   $prt_types[0] = "PART_ADAPTIVE_FAILURE";
   $prt_types[1] = "PART_COMPOSITE";
   $prt_types[2] = "PART_COMPOSITE_CONTACT";
   $prt_types[3] = "PART_MODES";
   $prt_types[4] = "PART_MOVE";
   $prt_types[5] = "PART_SENSOR";

   foreach ($prt_types as $prt_type)
   {
      $part_flag = 0;
      $kw = $prt_type;
      //$kw_str = startOfPage($kw);
      $kw_str = "";

      if( strstr($prt_type, "_ADAPTIVE") )
      {
	 $kw_str .= $adp_str;
	 $part_flag |= (1 << $PART_ADAPTIVE_FAILURE);
      }
      else if( strstr($prt_type, "_COMPOSITE_CON") )
      {
	 $kw_str .= $comp_str;
	 $part_flag |= (1 << $PART_COMPOSITE_CONTACT);
      }
      else if( strstr($prt_type, "_COMPOSITE") )
      {
	 $kw_str .= $comp_str;
	 $part_flag |= (1 << $PART_CONTACT);
      }
      else if( strstr($prt_type, "_MODES" ) )
      {
	 $kw_str .= $modes_str;
	 $part_flag |= (1 << $PART_MODES);
      }
      else if( strstr($prt_type, "_MOVE") )
      {
	 $kw_str .= $move_str;
	 $part_flag |= (1 << $PART_MOVE);
      }
      else if( strstr($prt_type, "_SENSOR") )
      {
	 $kw_str .= $sensor_str;
	 $part_flag |= (1 << $PART_SENSOR);
      }

      $kw_short_name = "PRT_" . $part_flag;
      $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

      $kw_str .= endOfPage($kw, $kw_short_name);
      $kw_list["$kw"] = $kw_short_name;
      
      $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
      $kw_str = str_replace("impObj->getKeyword().data()", "\"$kw\"", $kw_str);

      $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
      $file_name = $comp_dir . strtolower($kw) . ".php";
      $file_ptr = fopen($file_name, 'w');
      fwrite($file_ptr, $kw_str);
      fclose($file_ptr);
      $kw_str = "";
   }

   $dir_name = "part";
   //createLinks($dir_name, $web_root, $link_list);
   createJSFiles($dir_name, $web_root, $link_list);
   ksort($kw_list);
   createKeywordMapFile($dir_name, $web_root, $kw_list);
?>
