#ifndef _GEN_MATH_H_
#define _GEN_MATH_H_

#include <math.h>

static void normalize(float *vector)
{
   float len = sqrt(vector[0] * vector[0] + vector[1] * vector[1] + 
                                            vector[2] * vector[2]);
   vector[0] /= len;
   vector[1] /= len;
   vector[2] /= len;
}

static float dotProduct(float *u, float *v)
{
   return (u[0] * v[0] + u[1] * v[1] + u[2] * v[2]);
}

#endif

