#ifndef _SAVE_TO_PNG_H_
#define _SAVE_TO_PNG_H_

#include <iostream>
#include <GL/gl.h>
#include "png.h"

using namespace std;

class SaveToPng
{
public:
   SaveToPng(char *file_name) : filePtr(NULL)
   {
      filePtr = fopen(file_name, "wb");
      if( !filePtr )
         cout << "Unable to open file <" << file_name << ">\n";
   }

   ~SaveToPng()
   {
      filePtr ? fclose( filePtr ) : NULL;
   }

   int save
       (
	  unsigned char **data, 
	  int  width, 
	  int  height, 
	  int  pixel_type,
          int compress_level = 9
       );

private:
   FILE  *filePtr;
};

#endif

