#ifndef _NODE_SORT_H_
#define _NODE_SORT_H_

#define COMPARE_FUNC( AXIS )                                   \
static int compare_axis_##AXIS( const void *a, const void *b )	\
{							\
   float t = ( (*(NodeStr *)a).coords[AXIS] -	\
               (*(NodeStr *)b).coords[AXIS] );	\
							\
   return (t > 0) ? 1 : (t < 0) ? -1 : 0;		\
}

COMPARE_FUNC(0)
COMPARE_FUNC(1)
COMPARE_FUNC(2)

int (*(compare[3]))( const void *a, const void *b ) =
{
   compare_axis_0,
   compare_axis_1,
   compare_axis_2,
};

static int compareIDs(const void *p1, const void *p2)
{
   return ( ((NodeStr *)p1)->id > ((NodeStr *)p2)->id ) ? 1 :
          ( ((NodeStr *)p1)->id < ((NodeStr *)p2)->id ) ? -1 : 0;
}

#endif

