#ifndef _SPH_ELEMENT_H_
#define _SPH_ELEMENT_H_

#include "datatypes.h"

typedef struct _StressStr
{
   FWORD sx, sy, sz, sxy, syz, sxz;
}
  StressStr, *StressPtr;

typedef struct _StrainStr
{
   FWORD ex, ey, ez, exy, eyz, exz;
}
  StrainStr, *StrainPtr;

typedef struct _SPHElementStr
{
   FWORD   matNumber;
   FWORD   radius;
   FWORD   pressure;
   StressPtr stress;
   FWORD   ps;//plastic strain
   FWORD   rho;
   FWORD   ie;//internal energy strain
   FWORD   nn;//number of neighbours
   StrainPtr strain;
}
  SPHElementStr, *SPHElementPtr;
    
#endif

