#include <iostream>
#include <libgen.h>
#include <string.h>
#include <stdio.h>
#include "glstat.hpp"

int main(int argc, char *argv[])
{
   if( argc < 4 )
   {
      cout << "Usage:texts text_file_path user_dir model_name\n";
      return 1;
   }

cout << "FILE NAME=" << argv[1] << endl;

   FILE *fp = fopen(argv[1], "r");

   if( !fp )
   {
      cout << "Unable to open " << argv[1] << endl;
      return 2;
   }

   DataLine data_line(fp);

   char *ftype = basename(argv[1]);
cout << "FILE=" << ftype << endl;

   if( !strcmp(ftype, "glstat") )
   {
      importGlStat(&data_line);
   }

   return 0;
}

