<?php
/** Fetches available databases for a particular user excluding the
  * system tables
  * @param my_sql_con [in] database connection
  * @param db_array [out] list of databases queried
  */
function getDBs(&$mysql_con, &$db_array)
{
   $my_dbs = mysql_query("show databases;", $mysql_con);

   if( $my_dbs == false )
   {
      echo "Query failed for database 1 <br>";
      return;
   }

   $num_rows = mysql_num_rows($my_dbs);
   //$db_array = Array();
   for($i = 0; $i < $num_rows; $i++)
   {
      $db_list = mysql_fetch_row($my_dbs);
      if( $db_list[0] == 'information_schema' || $db_list[0] == 'mysql' )
	 continue;
      if( $db_list[0] == 'performance_schema' || $db_list[0] == 'mysql' )
	 continue;
      array_push($db_array, $db_list[0]);
   }
   mysql_free_result($my_dbs);
   asort($db_array);
}

/** Fetches model names for a given databse
  * @param mysql_con [in] Database connection
  * @param db_name [in] Database name in particular
  * @param model_array [out] List of Model names
  */
function getModelsList(&$mysql_con, &$db_name, &$model_array)
{
   //locates all node tables inside the database as for any model
   //nodes are the basic need.
   //$qry_str = "show table status like '%\_\_\_%';";
   $qry_str = "show table status like '%MAIN%';";
   getModelArray($mysql_con, $db_name, $qry_str, $model_array);

   //locates all include tables inside the database as for some models
   //nodes are included in include files
/*
   $qry_str = "show table status like '%___INCLUDES';";
   getModelArray($mysql_con, $db_name, $qry_str, $model_array);
*/
   asort($model_array);
}

function getModelArray(&$mysql_con, &$db_name, &$qry_str, &$model_array)
{
   $my_tabs = mysql_db_query($db_name, $qry_str, $mysql_con);

   if( $my_tabs == false )
   {
      echo "Query failed for database $db_name 2<br>";
      return;
   }

   $num_rows = mysql_num_rows($my_tabs);
   $temp_array = Array();
   for($i = 0; $i < $num_rows; $i++)
   {
      $row = mysql_fetch_row($my_tabs);
      $loc = strpos($row[0], "___");
      $model = substr($row[0], 0, $loc);
      array_push($temp_array, $model);
   }

   $m_array = array_unique($temp_array);
   foreach($m_array as $m)
      array_push($model_array, $m);
   mysql_free_result($my_tabs);
}

function getModelDetails(&$mysql_con, &$db_name, &$model_name, &$ent_list)
{
   $qry_str = "show table status like '$model_name" . "\_\_\_%';";
   $my_tabs = mysql_db_query($db_name, $qry_str, $mysql_con);
   if( $my_tabs == false )
   {
      echo "Query failed for database $db_name 3<br>";
      return;
   }

   $num_rows = mysql_num_rows($my_tabs);
   $tab_array = Array();
   for($i = 0; $i < $num_rows; $i++)
   {
      $row = mysql_fetch_row($my_tabs);
      array_push($tab_array, $row[0]);
   }
   mysql_free_result($my_tabs);

   foreach($tab_array as $tab_name)
   {
      $loc1 = strpos($tab_name, "___");
      if( $loc1 == -1 )
	 continue;
      //$loc2 = strpos($tab_name, "_TABLE");
      //if( $loc2 == -1 )
	 //continue;
      $loc1 = $loc1 + 3;
      //$ent = substr($tab_name, $loc1, $loc2-$loc1);
      $ent = substr($tab_name, $loc1);
      switch($ent)
      {
	 case 'NODES':
	 {
	    $qry_str = "select count(card_index) from `$tab_name`;";
	    $my_tabs = mysql_db_query($db_name, $qry_str, $mysql_con);
	    if( $my_tabs == false )
	    {
	       echo "Query failed for nodes in $db_name 4<br>";
	       return;
	    }

            $row = mysql_fetch_row($my_tabs);
	    //$num_rows = mysql_num_rows($my_tabs);
	    $ent_list['*NODES'] = $row[0];
	    mysql_free_result($my_tabs);
	 }
	 break;
	 case 'ELEMENTS':
	    getElementsDetails($mysql_con, $db_name, $tab_name, $ent_list);
	 break;
         default:
	 {
	    $qry_str = "select count(card_index) from `$tab_name` where value1='$';";
	    $my_tabs = mysql_db_query($db_name, $qry_str, $mysql_con);
	    if( $my_tabs == false )
	    {
	       echo "Query failed for nodes in $db_name 5<br>";
	       return;
	    }
	    //$num_rows = mysql_num_rows($my_tabs);
            $row = mysql_fetch_row($my_tabs);
	    $ent_list["*$ent"] = $row[0];
	    mysql_free_result($my_tabs);
	 }
         break;
      }
   }
}

function getElementsDetails(&$mysql_con, &$db_name, &$tab_name, &$ent_list)
{
   include 'lsdyna/element/element_array.php';

   $qry_str = "select kw_type from `$tab_name` group by kw_type;";
   $elm_types = mysql_db_query($db_name, $qry_str, $mysql_con);
   if( $elm_types == false )
   {
      echo "Query failed for element types in $db_name 6<br>";
      echo mysql_error() . "<br>";
      return;
   }
   $num_rows = mysql_num_rows($elm_types);
   $type_array = Array();
   for($i = 0; $i < $num_rows; $i++)
   {
      $row = mysql_fetch_row($elm_types);
      array_push($type_array, $row[0]);
   }
   mysql_free_result($elm_types);
   foreach($type_array as $elm_type)
   {
      $qry_str = "select count(card_index) from `$tab_name` where kw_type='$elm_type';";
      $elm_list = mysql_db_query($db_name, $qry_str, $mysql_con);
      if( $elm_list == false )
      {
	 echo "Query failed for element type count in $db_name 8<br>";
         echo mysql_error() . "<br>";
	 return;
      }
      //$num_rows = mysql_num_rows($elm_list);
      $row = mysql_fetch_row($elm_list);
      $ent_name = "ELM_" . "$elm_type";
      $ent_type = array_search($ent_name, $element_array);
      $ent_list["*$ent_type"] = $row[0];
      mysql_free_result($elm_list);
   }
}

/** finding the available DB tables from the model name and getting the kws
    from the table names like C1500_NODES. we get here NODE as the kw_type */
function getModelKWs(&$mysql_con, &$db_name, &$model_name, &$ent_list)
{
   $qry_str = "show table status like '$model_name" . "\_\_\_%';";
   $my_tabs = mysql_db_query($db_name, $qry_str, $mysql_con);
   if( $my_tabs == false )
   {
      echo "Query failed for database $db_name 7<br>";
      return;
   }

   $num_rows = mysql_num_rows($my_tabs);
   for($i = 0; $i < $num_rows; $i++)
   {
      $row = mysql_fetch_row($my_tabs);
      $loc1 = strpos($row[0], "___");
      if( $loc1 == -1 )
	 continue;
      //$loc2 = strpos($row[0], "_TABLE");
      //if( $loc2 == -1 )
	 //continue;
      $loc1 += 3;
      //$ent = substr($row[0], $loc1, $loc2-$loc1-1);
      $loc2 = strlen($row[0])-1;
      $ent = substr($row[0], $loc1, $loc2-$loc1);
      array_push($ent_list, "$ent");
   }
   mysql_free_result($my_tabs);
}
function getJSKWString(&$src_type, &$db_name, &$model_name, &$mysql_con, &$js_str)
{
   $ent_list = Array();
   getModelDetails($mysql_con, $db_name, $model_name, $ent_list);

   $str = "var names_list=[''";
   $str1 = "var values_list=[''";
   $i = 0;
   if( count($ent_list) )
   {
      $ent_keys = array_keys($ent_list);
      $ent = $ent_keys[0];

      $str = "var names_list=['$ent -- " . $ent_list[$ent] . "'";
      $str1 = "var values_list=['$ent'";
      $i = 1;
   }

   for(;$i < count($ent_keys); $i++)
   {
      $ent = $ent_keys[$i];
      $str .= ",'$ent -- " . $ent_list[$ent] . "'";
      $str1 .= ",'$ent'";
   }
  
   $str .= "];\n";
   $str1 .= "];\n";

   $js_str .= $str;
   $js_str .= $str1;
   $js_str .= "var options=document.moveDetailsForm." . $src_type . "EntList.options;";
   $js_str .= "modifyKWList(options,names_list,values_list);";
}
?>
