#include "dbputelm.h"
#include "dbelmnode.h"
#include "elementmanager.h"

int  DBPutElements::insert(const char *model_name, GoldenConn *golden_conn)
{
   ElementManager *elm_man = ElementManager::create();

   if( !elm_man->length() )
      return 0;

   string modelName = model_name;
   string table_name = "`" + modelName + "___ELEMENTS`";

   string create_query = "DROP TABLE IF EXISTS ";
   create_query += table_name;
   create_query += ";";

   if( golden_conn->executeQuery( create_query.data() ) )
   {
      cout << golden_conn->error() << endl;
      return 4;
   }

   create_query = ("CREATE TABLE ");
   create_query += table_name;
   create_query += " (CARD_INDEX int not null primary key auto_increment, KW_TYPE int not null,VALUE1 varchar(16), VALUE2 varchar(16), VALUE3 varchar(16), VALUE4 varchar(16), VALUE5 varchar(16), VALUE6 varchar(16), VALUE7 varchar(16), VALUE8 varchar(16), VALUE9 varchar(16), VALUE10 varchar(16));";

   if( golden_conn->executeQuery( create_query.data() ) )
   {
      cout << golden_conn->error() << endl;
      return 5;
   }
   
cout << "FROM ELEMENT INSERT CALLBACK" << endl;
   return insertNodesOrElementsIntoDB(10, table_name, elm_man, golden_conn);
}

