#ifndef _DB_PUT_NODES_H_
#define _DB_PUT_NODES_H_

#include "goldenconn.h"

/** Abstract class to put *NODE keywords data into database for a given model
  */
class DBPutNodes
{
public:
   /** Function to insert the nodes into database
     * \param model_name Name of the model for which the data is to be inserted
     * \param golden_conn GoldenConn connection object to access database
     */
   static int insert(const char *model_name, GoldenConn *golden_conn);
};

#endif

