#ifndef _DB_PUT_SETS_H_
#define _DB_PUT_SETS_H_

#include "goldenconn.h"

/** Abstract class to put *SET keywords into database */
class DBPutSets
{
public:
   /** Function for inserting *SET keyword data into database 
     * \param model_name Name of the model to which the data to be added
     * \param golden_conn GoldenConn pointer to access the database
     */
   static int insert(const char *model_name, GoldenConn *golden_conn);
};

#endif

