#ifndef NORMAL_H
#define NORMAL_H

class Normal
{
public:
    Normal(float _x, float _y, float _z)
    {
        x = _x;
        y = _y;
        z = _z;
    }
    void normalize()
    {
        float sqr = x * x + y * y + z * z;
        float len = sqrt(sqr);
        x /= len;
        y /= len;
        z /= len;
    }
public:
    float x,y,z;
};

#endif // NORMAL_H
