#ifndef _NODE_H_
#define _NODE_H_

#include <iostream>
#include <vector>

using namespace std;

class Node
{
public:
   Node(float _x, float _y, float _z)
   {
      x = _x;
      y = _y;
      z = _z;
   }

   Node(char *_x, char *_y, char *_z)
   {
      x = atof(_x);	y = atof(_y);	z = atof(_z);
   }

   friend std::ostream & operator<<(std::ostream & os, Node *ptr)
   {
      os << "X = " << ptr->x << endl
	      << "Y = " << ptr->y << endl
	      << "Z = " << ptr->z << endl;
      return os;
   }

   virtual ~Node(){}

public:
   float	x, y, z;
   unsigned int idx;
};

typedef std::pair<unsigned int, Node *> IDNodePtrPair;
typedef std::map<unsigned int, Node *>::iterator IDNodePtrIterator;
typedef std::vector<Node *>::iterator NodePtrIterator;

#endif

