#include "dbtohtmlgen.h"
#include "dbcard.h"
#include <math.h>
#include <map>

#define NODE_ELM_FLAG (1<<1)

using namespace std;

void DBToHtml::getRangeFromCount
     (
        unsigned int & count, 
        string & count_str
     )
{
   char buf[128];
   unsigned int i;
   unsigned int num = (unsigned int)floor((float)count/COUNT_LIMIT);
cout << "NUM = " << num << endl;
   unsigned int offset = COUNT_LIMIT/1000;
   if( !(count % COUNT_LIMIT) )
      num--;

   count_str += "<?php\n";
   count_str +="$mkw_type = getVarValue('HeadFrame','Gui','ModelKWType');\n";
   count_str +="$model_kw = getVarValue('HeadFrame','Gui',\"$mkw_type\");\n";
   count_str +="$ent_range=getVarValue('ObjectFrame','Gui',\"$model_kw\");\n";
   count_str += "echo \"<tr><td><select title='Range' name='EntityRange' style='width:100%' onchange=\\\"sendRequestAndLoad('$mkw_type', '$model_kw', this.value)\\\">";

   for(i = 0; i <= num; i+= offset)
   {
      sprintf(buf, "<option value='%u'>%u-%uK</option>\n", i, i, i+offset);
      count_str += buf;
   }

   count_str += "</select></td></tr>";
   count_str += "<script language='javascript' type='text/javascript'>";
   count_str += "var ent_range_list = parent.frames['ObjectFrame'].document.entityForm.EntityRange.options;\n";
   count_str += "selectOption(ent_range_list, '$ent_range');\n";
   //count_str += "alert('$ent_range');\n";
   count_str += "</script>\";\n";
   count_str += "?>\n";
}

ImportObject* DBToHtml::getJSCode
     (
        unsigned int & kw_type,
        string & input_kw,
        string & html_str,
        unsigned int total_ent,
        unsigned int edit_index,
        string *edit_str
     )
{
   const char *ptr;

   StrUIIterator iter = kwListMap->find(input_kw), b = kwListMap->begin(),
                 e = kwListMap->end();

cout << "NUM KWS=" << kwListMap->size() << endl;

cout << "IN GEN KW_NAME = " << input_kw << " TYpe= " << kw_type << endl;

   if( iter == e )
   {
      input_kw = b->first;
      kw_type = b->second;
   }
   else
   {
      input_kw = iter->first;
      kw_type = iter->second;
   }

cout << "IN GEN KW_NAME = " << input_kw << " TYpe= " << kw_type << endl;

   html_str = "<html><head><title>";
   html_str += input_kw;
   html_str += "</title><script language='javascript' type='text/javascript' src='/js/jquery.js'></script>\n";
   //html_str += "<link href='/css/bootstrap.min.css' rel='stylesheet'>";
   //html_str += "<script src='/assets/js/vendor/popper.min.js'/>";
   //html_str += "<script src='/js/bootstrap.min.js'/>";

   string script_str ="<script language='javascript' type='text/javascript' src='/js/lsd.js'></script>\n";
   script_str += "<script language='javascript' type='text/javascript' src='/js/lsdxmlhttp.js'></script>\n";

   script_str +="<script language='javascript' type='text/javascript'>\n";
   script_str += "var model_kw_list = parent.frames['HeadFrame'].document.mainForm.ModelKWList.options;\n";

   getKeywordsJSCode(script_str);

   //selecting the model keyword from the session using the php code
   script_str += "<?php\n";
   script_str += "include '../../../../lsdyna/lsd.php';\n";
   script_str += "$mkw_type = getVarValue('HeadFrame','Gui','ModelKWType');\n";
   script_str += "$model_kw = getVarValue('HeadFrame','Gui',\"$mkw_type\");\n";
   script_str += "if( $model_kw != null )\n";
   script_str += "{\n";
   script_str += "   echo \"selectOption(model_kw_list, '$model_kw');\";\n";
   script_str += "}\n";
   script_str += "else\n";
   script_str += "{\n";

   ptr = &(b->first)[1];

   script_str += "   setValue('HeadFrame', 'Gui', $mkw_type, '";
   script_str += ptr;
   script_str += "');\n}\n";

   script_str += "echo \"</script>\";\n";
   script_str += "?>\n";

   html_str += script_str;

   html_str += "</head><body><form name='entityForm' method='post' action=''>";
   html_str += "<table style='width:100%;margin-left:15px' class='fields'><tr><td>";
   html_str += input_kw;
   html_str += "</td></tr>";

   /* this is for nodes and elements. if the count is gt 1000 then there will
    * be a range selection box. the ranges does'nt reflect the
    * node or element ids. TO BE DONE */
   if( total_ent > COUNT_LIMIT )
   {
      string count_str;
      getRangeFromCount(total_ent, count_str);
      html_str += count_str;
   }
   //else
   //{
      //html_str +="<?php\nsetValue('ObjectFrame','Gui','EntityRange','');\n?>\n";
   //}

   /* if entities are there then only have the edit and delete buttons */
   string options_str;
   unsigned int card_index = 0, total = 0;
   ImportObject *imp_obj = NULL;

   if( !edit_index )
      getHtml(options_str, kw_type);
   else
      getHtml(options_str, kw_type, edit_index, &card_index, &total, &imp_obj);

   html_str += "<tr><td><select style='width:100%' name='EntityIDs' multiple='yes'>\n";
   html_str += options_str;
   html_str += "</select></td></tr>";
   html_str += "</table>";

   html_str += "<table style='width:100%;margin-left:15px' class='fields'>\n";
   /* edit button */
   html_str += "<tr><td style='color:#0000ff;font-size:10px;font-weight:bold;'><input style='width:100%' class='okProp' type='button' name='Edit' value='Edit' onclick=\"editEntity(EntityIDs.options)\" title='Modify entity'></input></td>";
   /* ON button */
   html_str += "<td><input style='width:100%' type='button' class='okProp' name='On' value='On' onclick=\"return displayEntities(EntityIDs.options, '1', All.checked)\" title='Display entity only'></input></td>";
   /* Delete button */
   html_str += "<tr><td style='color:#ff0000;font-size:10px;font-weight:bold;'><input style='width:100%' class='resetProp' disabled='true' type='button' name='Del' value='Del' onclick=\"return deleteEntities(EntityIDs.options, All.checked)\" title='delete entity'></input></td>";
   /* Off button */
   html_str += "<td><input style='width:100%' type='button' class='resetProp' name='Off' value='Off' onclick=\"return displayEntities(EntityIDs.options, '0', All.checked)\" title='Undisplay entity only'></input></td></tr>\n";
   /* Sel button */
   html_str += "<tr><td style='color:#ff0000;font-size:10px;font-weight:bold;'><input style='width:100%' class='okProp' type='button' name='Sel' value='Sel' onclick=\"return displayEntities(EntityIDs.options, '2', All.checked)\" title='Entity added to object'></input></td>";
   /* High button */
   html_str += "<td style='color:#0000ff;font-size:10px;font-weight:bold;'><input type='button' style='width:100%' class='okProp' name='HL' value='HL' onclick=\"return displayEntities(EntityIDs.options, '3', All.checked)\" title='Show entity'></input></td></tr>\n";
   /* Delete all check box */
   html_str += "<tr><td><input type='checkbox' name='All' value='All' onclick=\"sendRequest('ObjectFrame','Gui','All',this.checked)\" title='All entities are selected'>ALL</input></td></tr>";

   if( imp_obj )
   {
      createEditFile(card_index, total, imp_obj, edit_str);
   }
   else if( edit_index != 0 )
   {
      cout << "WARNING: " << input_kw << " with index = " << edit_index
           << " not found" << endl;
   }

   html_str += "</table><div id='testElm'></div></form></body></html>\n";
   
   return imp_obj;
}

void DBToHtml::getHtml
     (
        string & user_str,
        unsigned int & kw_type,
        unsigned int edit_index,
        unsigned int *ret_card_idx,
        unsigned int *total,
        ImportObject **ret_obj
     )
{
   char         buf[256], *str_value = NULL;
   unsigned int i, count = 0, index, total_cards = 0;
   unsigned int kwtype, elm_node_flag = 0;
   int          objid, num_cards, repeatFlag = 0;
   double       d_value;
   Data         *data = NULL;
   ImportObject *imp_obj = NULL;

   vector<ImportObject *> & impobj_list = manPtr->getImportObjectList();
   vector<ImportObject *>::iterator b = impobj_list.begin(),
				    e = impobj_list.end();
   string & kw_name = impobj_list[0]->getKeyword();

   if(!strncmp(kw_name.data(),"*ELEM",5) || !strncmp(kw_name.data(),"*NODE",5))
      elm_node_flag |= NODE_ELM_FLAG;

   for(; b != e; b++)
   {
      imp_obj = *b;

      kwtype = imp_obj->getKeywordType();
      if( kwtype != kw_type )
	 continue;

      vector<Card *> & card_list = imp_obj->getCardList();

//cout << "KW=" << imp_obj->getKeyword() << endl;
//cout << "NUMCARDS=" << card_list.size() << endl;
      index = ((ExportObject *)imp_obj)->noCardsIndex;
      if( !card_list.size() && index )
      {
cout << "NO CARDS INDEX=" << index << endl;
         if( index == edit_index )
         {
            *ret_obj = imp_obj;
            *total = 1;
            *ret_card_idx = 0;
         }
	 /* no cards at all */
	 sprintf(buf, "<option value='%u_1'>%s_%u</option>\n", 
		  index, imp_obj->getKeyword().data(), index);
         user_str += buf;
         continue;
      }

      num_cards = 0;
      for(i = 0; i < card_list.size(); i++)
      {
//cout << "card name=" << card_list[i]->getName() << endl;
	 vector<string> & var_names = card_list[i]->getVarNames();
//cout << "NUM VARS=" << var_names.size() << endl;

	 if( var_names.size() )
	    num_cards++;
	 else
         {
	    vector<Data *> & var_values = card_list[i]->getVarValues();
	    vector<string> & blanks = card_list[i]->getBlankFields();
//cout << "NUM BLANKS=" << blanks.size() << endl;
	    if( blanks.size() && !var_values.size() )
	       num_cards++;
            else
	       break;
         }
      }

      if( elm_node_flag & NODE_ELM_FLAG )
	 total_cards = num_cards;
      else
	 total_cards = num_cards + 1;

//cout << "NCARDS=" << num_cards << endl;

      count = 0;
      for(i = 0; i < card_list.size(); i += num_cards, count++)
      {
	 index = ((DBCard *)card_list[i])->index;

         if( index == edit_index )
         {
            *ret_obj = imp_obj;
            *total = num_cards;
            *ret_card_idx = i;
         }

	 if( count >= COUNT_LIMIT )
	 {
            cout << "WARNING: count is limited to " << COUNT_LIMIT << " only\n";
	    break;
	 }

	 vector<Data *> & var_values = card_list[i]->getVarValues();
 
	 if( !var_values.size() )
         {
            /* there are blank fields in the card */ 
            vector<string> blanks = card_list[i]->getBlankFields();
            if( blanks.size() )
            {
	       sprintf(buf, "<option value='%u_%u'>%u_%s</option>\n", 
			index, total_cards, index, blanks[0].data());
            }
            else
            {
               /* no blank fields and there are no values at all */
	       sprintf(buf, "<option value='%u_%u'>%s_%u</option>\n", 
	            index, total_cards, imp_obj->getKeyword().data(), index);
            }
	    user_str += buf;
	    continue;
         }

	 vector<string> & var_names = card_list[i]->getVarNames();

   //cout << "VARNAMES=" << var_names.size() << endl;
   //cout << "VARVALUES=" << var_values.size() << endl;

	 if( !var_names.size() )
	 {
	    var_names = card_list[0]->getVarNames();
	    repeatFlag = 1;
	 }

	 data = var_values[0];
	 switch(data->dataType)
	 {
	    case DATA_INT:
	       data->value(&objid);
	       if( repeatFlag )
		  sprintf(buf, "<option value='%u_%u'>%d</option>\n",
			index, total_cards, objid);
	       else
		  sprintf(buf, "<option value='%u_%u'>%d_%s</option>\n", 
		     index, total_cards, objid, var_names[0].data());
	    break;
	    case DATA_DOUBLE:
	       data->value(&d_value);
	       if( repeatFlag )
		  sprintf(buf,"<option value='%u_%u'>%g</option>\n",
				   index, total_cards, d_value);
	       else
		  sprintf(buf, "<option value='%u_%u'>%g_%s</option>\n", 
		       index, total_cards, d_value, var_names[0].data());
	    break;
	    case DATA_CHAR_ARRAY:
	       data->value(&str_value);
	       Generic::RemoveLeadingAndTrailingBlanks(str_value);
	       if( str_value[0] != '\0' )
	       {
		  if( repeatFlag )
		     sprintf(buf, "<option value='%u_%u'>%s</option>\n",
				       index, total_cards, str_value);
		  else
                  {
		     if( !strncmp(imp_obj->getKeyword().data(), "*PART", 5) )
		     {
			Card *card = imp_obj->findCard("PartCard");
			if( card )
			{
			   int pid = card->intValue("PID");
		           sprintf(buf,
                              "<option value='%u_%u'>%s_PID_%d</option>\n",
			             index, total_cards, str_value, pid);
			}
                        else
		           sprintf(buf,"<option value='%u_%u'>%s_%s</option>\n",
			      index,total_cards,str_value,var_names[0].data());
		     }
                     else
		        sprintf(buf, "<option value='%u_%u'>%s_%s</option>\n", 
			   index, total_cards, str_value, var_names[0].data());
                  }
	       }
	       else
	       {
		  if( !strncmp(imp_obj->getKeyword().data(), "*PART", 5) )
		  {
		     Card *card = imp_obj->findCard("PartCard");
		     if( card )
		     {
			int pid = card->intValue("PID");
			if( repeatFlag )
			   sprintf(buf, "<option value='%u_%u'>%d</option>\n",
						index, total_cards, pid);
			else
			  sprintf(buf,"<option value='%u_%u'>PID_%d</option>\n",
						index, total_cards, pid);
		     }
		  }
                  else
		     sprintf(buf, "<option value='%u_%u'>%u_%s</option>\n", 
			index, total_cards, index, var_names[0].data());
	       }
	    break;
	 }
	 user_str += buf;
      }
   }
}

void DBToHtml::getKeywords()
{
   vector<ImportObject *> & impobj_list = manPtr->getImportObjectList();
   vector<ImportObject *>::iterator b = impobj_list.begin(),
				    e = impobj_list.end();
   ImportObject *imp_obj = NULL;
   kwListMap = new StrUIMap;

cout << "NUM OBJ = " << impobj_list.size() << endl;

   for(; b != e; b++)
   {
      imp_obj = *b;
      kwListMap->insert(StrUIPair(imp_obj->getKeyword(), 
                                           imp_obj->getKeywordType()));
   }
}

void DBToHtml::getKeywordsJSCode(string & script_str)
{
   //dynamic loading of keywords that are available from the databse
   script_str += "var name_list = [";
   string values_str = "var value_list = [";

   StrUIIterator bk = kwListMap->begin();

   unsigned int i, num_kws = kwListMap->size()-1;
   const char *ptr;
   char *ptr1;

   for(i = 0; i < num_kws; i++, bk++)
   {
      script_str += "'";
      script_str += bk->first;
      script_str += "',";

      ptr = &(bk->first)[1]; // * is eliminated here

      ptr1 = strchr((char *)ptr, '-');
      if( ptr1 )
         *ptr1 = '_';

      values_str += "'";
      values_str += ptr;
      values_str += "',";
   }

   script_str += "'";
   script_str += bk->first;
   script_str += "'];\n";

   ptr = &(bk->first)[1]; // * is eliminated here

   ptr1 = strchr((char *)ptr, '-');
   if( ptr1 )
      *ptr1 = '_';

   values_str += "'";
   values_str += ptr;
   values_str += "'];\n";

   script_str += values_str;
   script_str += "modifyKWList(model_kw_list, name_list, value_list);\n";
   script_str += "if( model_kw_list.selectedIndex == -1 )\n";
   script_str += "   model_kw_list[0].selected = true;\n";
}

void DBToHtml::cleanAndWriteBlankPage
     (
        char *dir_name,
        GoldenConn *conn,
        FILE     *fp,
        string title
     )
{
   delete conn;
   string html_str = "<html><head><title>";
   html_str += title;
   html_str += "</title><script language='javascript' type='text/javascript' src='/js/jquery.js'></script>\n";
   html_str +="<script language='javascript' type='text/javascript' src='/js/lsd.js'></script>\n";
   html_str += "<script language='javascript' type='text/javascript' src='/js/lsdxmlhttp.js'></script>\n";

   html_str +="<script language='javascript' type='text/javascript'>\n";
   html_str += "var model_kw_list = parent.frames['HeadFrame'].document.mainForm.ModelKWList.options;\n";
   html_str += "var name_list = [];";
   html_str += "var value_list = [];";
   html_str += "modifyKWList(model_kw_list, name_list, value_list);\n";
   html_str += "</script>\n";
   html_str += "</head><body><form name='entityForm' method='post' action=''>";
   html_str += "<table style='width:100%;margin-left:15px' class='fields'><tr><td>";
   html_str += title;
   html_str += "</td></tr>";
   html_str += "</table><div id='testElm'></div></form></body></html>\n";
   fputs(html_str.data(), fp);
   fclose(fp);

   string edit_str = "<?php\nfunction loadData($kw)\n{\n";
   edit_str += "}\n?>\n";

   string file_name = dir_name;
   file_name += "/data.php";
   fp = fopen(file_name.data(), "w");
   fputs(edit_str.data(), fp);
   fclose(fp);
}

void DBToHtml::createEditFile
     (
        unsigned int & card_index, 
        unsigned int & total,
        ImportObject *imp_obj,
        string *edit_str
     )
{
   unsigned int i = card_index, j = 0, max_card = card_index + total;
   vector<Card *> & card_list = imp_obj->getCardList();
   //edit_str->append("   if( isset($_SESSION[\"$kw\"]) )\n      return;");

   if( !card_list.size() )
      return;

   edit_str->append("   $_SESSION[\"$kw_short");
   //edit_str->append(imp_obj->getKeyword());
   //edit_str->append("ABG_1");
   edit_str->append("\"] = \narray(");

cout << "LOOP COUNT=" << ((ExportObject *)imp_obj)->loopCount << endl;

   getCardStr(j, imp_obj, card_list[i], edit_str);

   if( ((ExportObject *)imp_obj)->loopCount )
   {
      char buf[128];
      sprintf(buf, "%u", ((ExportObject *)imp_obj)->loopCount);
      edit_str->append(",\"StarCard\" => array(\"STARVAR\" => \"");
      edit_str->append(buf);
      edit_str->append("\")\n");
   }

   i++;j++;
   for(; i < max_card; i++, j++)
   {
      edit_str->append(",\n");
      getCardStr(j, imp_obj, card_list[i], edit_str);
   }

   //edit_str->append(");\necho \"SID=\" . getVarValue('ABG_1', 'SetInfo', 'SID');?>");
   edit_str->append(");\n");
}

void DBToHtml::getCardStr
     (
        unsigned int & idx, 
        ImportObject *imp_obj, 
        Card *card, 
        string *edit_str
     )
{
   vector<Card *> & card_list = imp_obj->getCardList();

   edit_str->append("\"");
   edit_str->append(card->getName());
   edit_str->append("\" => array(");

   vector<Data *> & var_values = card->getVarValues();
   vector<string> & var_names = card->getVarNames();
   unsigned int num_vars = var_names.size();
   unsigned int num_vals = var_values.size();

cout << "CARD NAME=" << card->getName() << endl;
cout << "NUM VARS=" << num_vars << " NUM VALS=" << num_vals << endl;

   if( !num_vals )
   {
      var_names = card->getBlankFields();
      num_vars = var_names.size();
      if( num_vars )
      {
         edit_str->append("\""); 
         edit_str->append(var_names[0]); 
         edit_str->append("\" => \"\""); 
	 for(unsigned int j = 1; j < num_vars; j++)
	 {
	    edit_str->append(",\""); 
	    edit_str->append(var_names[j]); 
	    edit_str->append("\" => \"\"");
	 }
         edit_str->append(")");
      }
      return;
   }

   if( !num_vars )
      var_names = card_list[idx]->getVarNames();
   num_vars = var_names.size();

   char buf[256];
   unsigned int k = 0;

   getStr(k, card->getName().data(), var_names[k].data(), buf, var_values[k]);
   edit_str->append(buf);

   //this condition is introduced to take care of a dump for this situation
   //when keywords are in sequence like elements, nodes, names of fields in
   //each card is stored only once in the first card. when there is more
   // fields in subsequent cards, the field names are not stored in the
   // first card. Then this situation arises. GUI will not show the values
   // related to this card.TO fix this problem, the fields with more cards
   //can be separated by separate keyword in the deck itself. To fix this
   // problem in the code, the code will run slow and lot of memory is
   // required to store the field names for all the keywords. for example
   //to store all the fields in element and node kw, require lot of memory.
   //this situation arised with model '3cars_shell2_150ms' and
   // kw *ELEMENT_SEATBELT_ACCELEROMETER.
   if( num_vals > num_vars )
   {
cout << "ERROR: " << (num_vals-num_vars) << " values are missed in " 
     << card->getName() << endl;
   }

   num_vals = (num_vals > num_vars) ? num_vars : num_vals;
   //end of condition

   for(k = 1;k < num_vals;k++)
   {
      edit_str->append(",");
      getStr(k, card->getName().data(),var_names[k].data(), buf, var_values[k]);
      edit_str->append(buf);
   }

   edit_str->append(")");
}

void DBToHtml::getStr
     (
        unsigned int & fld_idx,
        const char *card_name, 
        const char *vname, 
        char *buf,
        Data *data
     )
{
   int objid;
   double d_value;
   char *str_value;

   buf[0] = '\0';
cout << "VNAME=" << vname << " DTY=" << data->dataType << endl;

   switch(data->dataType)
   {
      case DATA_INT:
	 data->value(&objid);
cout << "VAL=" << objid << endl;
cout << "Name=" << vname << endl;
	 sprintf(buf,"\"%s\" => \"%d\"", vname, objid);
      break;
      case DATA_DOUBLE:
	 data->value(&d_value);
	 sprintf(buf,"\"%s\" => \"%g\"", vname, d_value);
      break;
      case DATA_CHAR_ARRAY:
         if( strcmp(vname, "UNUSED") )
         {
	    data->value(&str_value);
	    Generic::RemoveLeadingAndTrailingBlanks(str_value);
	    sprintf(buf,"\"%s\" => \"%s\"", vname, str_value);
         }
         else
         {
	    char cname[64], *ptr;
	    strcpy(cname, card_name);
	    ptr = strrchr(cname, '_');
	    if( ptr )
	       *ptr = '\0'; 
   //cout << "DEF CNAME=" << cname << endl;
	    sprintf(buf,"\"UU_%u_%s\" => \"\"", fld_idx+1, cname);
         }
      break;
      case DATA_BLANK:
      {
         /* loop card has name ending with _ and number of the card. so this
          * removes the last number of card name to make unused field name
          * compatible with the web */ 
         char cname[64], *ptr;
         strcpy(cname, card_name);
         ptr = strrchr(cname, '_');
         if( ptr )
            *ptr = '\0'; 
//cout << "CNAME=" << cname << endl;
	 sprintf(buf,"\"UU_%u_%s\" => \"\"", fld_idx+1, cname);
      }
      break;
      default:
      {
         char cname[64], *ptr;
         strcpy(cname, card_name);
         ptr = strrchr(cname, '_');
         if( ptr )
            *ptr = '\0'; 
//cout << "DEF CNAME=" << cname << endl;
	 sprintf(buf,"\"UU_%u_%s\" => \"\"", fld_idx+1, cname);
      }
   }
}

