#include "getkws.h"
#include "card.h"
#include <iostream>

using namespace std;
map<string, string> MyConnection::nvMap;
unsigned int Card::contFlag = 0;

//WARNING
 /* NOTE: for getting keywords seperately, we need all libraries of import 
  * and export for each type of keyword. As this becomes too slow, we 
  * get the keywords from the respective keyword type when the entities 
  * are queried through separate executables. So this file is NOT 
  * NECESSARY AND TAKES LOT OF TIME TO GET THE TYPES. SO THIS FILE IS NOT CODED
  */


int main(int argc, char *argv[])
{
   if( argc < 3 )
   {
      cout << "Usage: getkws dir_name model_name" << endl;
      return 1;
   }

   GoldenConn *goldenConn = MyConnection::get();

   if( !goldenConn )
      return 1;

   vector<string> files_list;
   string js_str = "var options = parent.frames['HeadFrame'].document.mainForm.incFiles.options;\nvar inc_files = [";
   int i, num_files = getIncludeFilesFromDB(argv[2], goldenConn, files_list);

   for(i = 0; i < num_files-1; i++)
   {
      js_str += "\"";
      js_str += files_list[i];
      js_str += "\",";
   }

   js_str += "\"";
   js_str += files_list[i];
   js_str += "\"";
   js_str += "];\n";
   js_str += "modifyKWList(options, inc_files, inc_files);\n";

   string file_name = argv[1];
   file_name += "/";
   file_name += argv[2];
   file_name += "_";
   file_name += argv[0];
   file_name += ".js";

   FILE *fp = fopen(file_name.data(), "w");

   if( !fp )
   {
      cout << "Unable to open the file " << file_name << endl;
      delete goldenConn;
      return 1;
   }

   fputs(js_str.data(), fp);
   fclose(fp);

   return 0;
}

