#include "dbabhybrid.hpp"
#include "dbabhybridjetting.hpp"
#include "dbabhybridjettingcm.hpp"
#include "exptypemap.h"
#include "abexport.h"

void ABExport::initExportHybridTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID, importDBABHybrid) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID_ID, importDBABHybrid) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID_JETTING, importDBABHybridJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID_JETTING_ID, importDBABHybridJetting) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID_JETTING_CM, importDBABHybridJettingCM) );
   expTypeFuncMap.insert( expTypeFuncPair(AIRBAG_HYBRID_JETTING_CM_ID, importDBABHybridJettingCM) );
}
