#include "dbbdryconvecsegment.hpp"
#include "dbbdryconvecset.hpp"
#include "dbbdrynonreflect.hpp"
#include "dbbdrynonreflect2d.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportConvectionTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_CONVECTION_SEGMENT, importDBBdryConvecSegment) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_CONVECTION_SET, importDBBdryConvecSet) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_NON_REFLECTING, importDBBdryNonReflect) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_NON_REFLECTING_2D, importDBBdryNonReflect2D) );
}
