#include "dbbdrypresorientrigidangles.hpp"
#include "dbbdrypresorientrigiddircos.hpp"
#include "dbbdrypresorientrigideulerp.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportOrientTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_ANGLES, importDBBdryPresOrientRigidAngles) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_DIRCOS, importDBBdryPresOrientRigidDirCos) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_EULERP, importDBBdryPresOrientRigidEulerp) );
}
