#include "dbbdryradiationsegment.hpp"
#include "dbbdryradiationsegmentvf.hpp"
#include "dbbdryradiationset.hpp"
#include "dbbdryradiationsetef.hpp"
#include "dbbdryradiationsetvf.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportRadiationTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SEGMENT, importDBBdryRadiationSegment) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SEGMENT_VF_READ, importDBBdryRadiationSegmentVF) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SEGMENT_VF_CALCULATE, importDBBdryRadiationSegmentVF) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SET, importDBBdryRadiationSet) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SET_EF_READ, importDBBdryRadiationSetEF) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SET_EF_CALCULATE, importDBBdryRadiationSetEF) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SET_VF_READ, importDBBdryRadiationSetVF) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_RADIATION_SET_VF_CALCULATE, importDBBdryRadiationSetVF) );
}
