#include "dbbdryspc.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportSpcTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPC_NODE, importDBBdrySpc) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPC_NODE_ID, importDBBdrySpc) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPC_SET, importDBBdrySpc) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_SPC_SET_ID, importDBBdrySpc) );
}
