#include "dbbdrytemperature.hpp"
#include "dbbdrythermalweld.hpp"
#include "exptypemap.h"
#include "bdryexport.h"

void BdryExport::initExportTemperatureTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_TEMPERATURE_NODE, importDBBdryTemperature) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_TEMPERATURE_SET, importDBBdryTemperature) );
   expTypeFuncMap.insert( expTypeFuncPair(BOUNDARY_THERMAL_WELD, importDBBdryThermalWeld) );
}
