#include "dbdampingfrequencyrange.hpp"
#include "dbdampingglobal.hpp"
#include "dbdampingpartmass.hpp"
#include "dbdampingpartstiffness.hpp"
#include "dbdampingrelative.hpp"
#include "exptypemap.h"
#include "dampingexport.h"

void DampingExport::initExportDampingTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DAMPING_FREQUENCY_RANGE, importDBDampingFrequencyRange) );
   expTypeFuncMap.insert( expTypeFuncPair(DAMPING_GLOBAL, importDBDampingGlobal) );
   expTypeFuncMap.insert( expTypeFuncPair(DAMPING_PART_MASS, importDBDampingPartMass) );
   expTypeFuncMap.insert( expTypeFuncPair(DAMPING_PART_STIFFNESS, importDBDampingPartStiffness) );
   expTypeFuncMap.insert( expTypeFuncPair(DAMPING_RELATIVE, importDBDampingRelative) );
}
