#include "dbdatabasebinary.hpp"
#include "dbdatabasebinaryd3plot.hpp"
#include "dbdatabasebinaryd3prop.hpp"
#include "dbdatabasenodalforcegroup.hpp"
#include "exptypemap.h"
#include "databaseexport.h"

void DatabaseExport::initExportBinaryTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3DRLF, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3CRACK, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3DUMP, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3PART, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3PLOT, importDBDatabaseBinaryD3plot) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3PROP, importDBDatabaseBinaryD3prop) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_D3THDT, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_FSIFOR, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_INTFOR, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_RUNRSF, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_BINARY_XTFILE, importDBDatabaseBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_NODAL_FORCE_GROUP, importDBDatabaseNodalForceGroup) );
}
