#include "dbdatabaseextent.hpp"
#include "dbdatabaseextentbinary.hpp"
#include "dbdatabaseextentssstat.hpp"
#include "exptypemap.h"
#include "databaseexport.h"

void DatabaseExport::initExportExtentTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_EXTENT_AVS, importDBDatabaseExtent) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_EXTENT_BINARY, importDBDatabaseExtentBinary) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_EXTENT_MOVIE, importDBDatabaseExtent) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_EXTENT_MPGS, importDBDatabaseExtent) );
   expTypeFuncMap.insert( expTypeFuncPair(DATABASE_EXTENT_SSSTAT, importDBDatabaseExtentSsstat) );
}
