#include "dbdefinecoordinatenodes.hpp"
#include "dbdefinecoordinatesystem.hpp"
#include "dbdefinecoordinatevector.hpp"
#include "dbdefinecurvefunction.hpp"
#include "dbdefinesdorientation.hpp"
#include "dbdefinetransformation.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportCoordTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_COORDINATE_NODES, importDBDefineCoordinateNodes) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_COORDINATE_SYSTEM, importDBDefineCoordinateSystem) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_COORDINATE_VECTOR, importDBDefineCoordinateVector) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_FUNCTION, importDBDefineCurveFunction) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_SD_ORIENTATION, importDBDefineSdOrientation) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_TRANSFORMATION, importDBDefineTransformation) );
}
