#include "dbdefinecurve.hpp"
#include "dbdefinecurvecompensation.hpp"
#include "dbdefinecurvedrawbead.hpp"
#include "dbdefinecurveentity.hpp"
#include "dbdefinecurvefeedback.hpp"
#include "dbdefinecurvetrim.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportCurveTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_3858, importDBDefineCurve) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_5434a, importDBDefineCurve) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_COMPENSATION, importDBDefineCurveCompensation) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_DRAWBEAD, importDBDefineCurveDrawbead) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_ENTITY, importDBDefineCurveEntity) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_FEEDBACK, importDBDefineCurveFeedback) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE, importDBDefineCurve) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_TRIM, importDBDefineCurveTrim) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CURVE_TRIM_3D, importDBDefineCurveTrim) );
}
