#include "dbdefineconstructionstages.hpp"
#include "dbdefinefriction.hpp"
#include "dbdefinesetadaptive.hpp"
#include "dbdefinestagedconstructionpart.hpp"
#include "dbdefinetable.hpp"
#include "dbdefinevector.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportSimpleTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CONSTRUCTION_STAGES, importDBDefineConstructionStages) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_FRICTION, importDBDefineFriction) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_SET_ADAPTIVE, importDBDefineSetAdaptive) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_STAGED_CONSTRUCTION_PART, importDBDefineStagedConstructionPart) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_TABLE, importDBDefineTable) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_VECTOR, importDBDefineVector) );
}
