#include "dbdefineconnectionproperties.hpp"
#include "dbdefinehexspotweldassembly.hpp"
#include "dbdefinehexspotweldassemblyn.hpp"
#include "dbdefinespotweldfailureresultants.hpp"
#include "dbdefinespotweldruptureparameter.hpp"
#include "dbdefinespotweldrupturestress.hpp"
#include "exptypemap.h"
#include "defineexport.h"

void DefineExport::initExportWeldTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CONNECTION_PROPERTIES, importDBDefineConnectionProperties) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_CONNECTION_PROPERTIES_ADD, importDBDefineConnectionProperties) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_HEX_SPOTWELD_ASSEMBLY, importDBDefineHexSpotweldAssembly) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_HEX_SPOTWELD_ASSEMBLY_N, importDBDefineHexSpotweldAssemblyN) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_SPOTWELD_FAILURE_RESULTANTS, importDBDefineSpotweldFailureResultants) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_SPOTWELD_RUPTURE_PARAMETER, importDBDefineSpotweldRuptureParameter) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFINE_SPOTWELD_RUPTURE_STRESS, importDBDefineSpotweldRuptureStress) );
}
