#include "dbdeformabletorigid.hpp"
#include "dbdeformabletorigidautomatic.hpp"
#include "dbdeformabletorigidinertia.hpp"
#include "exptypemap.h"
#include "deformexport.h"

void DeformExport::initExportDeformTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(DEFORMABLE_TO_RIGID, importDBDeformableToRigid) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFORMABLE_TO_RIGID_AUTOMATIC, importDBDeformableToRigidAutomatic) );
   expTypeFuncMap.insert( expTypeFuncPair(DEFORMABLE_TO_RIGID_INERTIA, importDBDeformableToRigidInertia) );
}
