#include "dbefcontrol.hpp"
#include "dbefgrid.hpp"
#include "dbefmaterial.hpp"
#include "dbeftoggles.hpp"
#include "exptypemap.h"
#include "efexport.h"

void EFExport::initExportEFTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(EF_CONTROL, importDBEfControl) );
   expTypeFuncMap.insert( expTypeFuncPair(EF_GRID, importDBEfGrid) );
   expTypeFuncMap.insert( expTypeFuncPair(EF_MATERIAL, importDBEfMaterial) );
   expTypeFuncMap.insert( expTypeFuncPair(EF_TOGGLES, importDBEfToggles) );
}
