#include "dbelementseatbelt.hpp"
#include "dbelementseatbeltaccelerometer.hpp"
#include "dbelementseatbeltpretensioner.hpp"
#include "dbelementseatbeltretractor.hpp"
#include "dbelementseatbeltsensor.hpp"
#include "dbelementseatbeltslipring.hpp"
#include "exptypemap.h"
#include "elementexport.h"

void ElementExport::initExportSeatbeltTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT, importDBElementSeatbelt) );
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT_ACCELEROMETER, importDBElementSeatbeltAccelerometer) );
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT_PRETENSIONER, importDBElementSeatbeltPretensioner) );
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT_RETRACTOR, importDBElementSeatbeltRetractor) );
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT_SENSOR, importDBElementSeatbeltSensor) );
   expTypeFuncMap.insert( expTypeFuncPair(ELEMENT_SEATBELT_SLIPRING, importDBElementSeatbeltSlipring) );
}
