#include "dbeosgasket.hpp"
#include "dbeostabulated.hpp"
#include "dbeostabulatedcompaction.hpp"
#include "dbeosuserdefined.hpp"
#include "exptypemap.h"
#include "eosexport.h"

void EosExport::initExportTableTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(EOS_GASKET, importDBEosGasket) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_TABULATED, importDBEosTabulated) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_TABULATED_COMPACTION, importDBEosTabulatedCompaction) );
   expTypeFuncMap.insert( expTypeFuncPair(EOS_USER_DEFINED, importDBEosUserDefined) );
}
