#ifndef _EXP_TYPE_MAP_H_
#define _EXP_TYPE_MAP_H_

#include "dbcard.h"
#include "goldenconn.h"
#include <map>

using namespace std;

typedef unsigned int (*ExportFunctionPtr)(GoldenConn *, ImportObject *);
typedef std::pair<unsigned int, ExportFunctionPtr> expTypeFuncPair;
typedef std::map<unsigned int, ExportFunctionPtr>::iterator expTypeFuncIterator;

/** Function to take care keywords with no cards at all.
  */
unsigned int importDBNoCards(GoldenConn *gold_conn, ImportObject *imp_obj);
/*
{
   return 0;
}
*/

#endif

