#include "dbinclude.hpp"
#include "dbincludenastran.hpp"
#include "dbincludestampedpart.hpp"
#include "dbincludetransform.hpp"
#include "exptypemap.h"
#include "includeexport.h"

void IncludeExport::initExportIncludeTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE, importDBInclude) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_BINARY, importDBInclude) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_NASTRAN, importDBIncludeNastran) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_PATH, importDBInclude) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_STAMPED_PART_INVERSE, importDBIncludeStampedPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_STAMPED_PART_MATRIX, importDBIncludeStampedPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_STAMPED_PART_SET, importDBIncludeStampedPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_STAMPED_SET, importDBIncludeStampedPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_TRANSFORM, importDBIncludeTransform) );
   expTypeFuncMap.insert( expTypeFuncPair(INCLUDE_TRANSFORM_BINARY, importDBIncludeTransform) );
}
