#include "dbinitialdetonation.hpp"
#include "dbinitialgasmixture.hpp"
#include "dbinitialmomentum.hpp"
#include "dbinitialvehiclekinematics.hpp"
#include "exptypemap.h"
#include "initialexport.h"

void InitialExport::initExportSimpleTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_DETONATION, importDBInitialDetonation) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_GAS_MIXTURE, importDBInitialGasMixture) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_MOMENTUM, importDBInitialMomentum) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VEHICLE_KINEMATICS, importDBInitialVehicleKinematics) );
}
