#include "dbinitialvelocity.hpp"
#include "dbinitialvelocitygeneration.hpp"
#include "dbinitialvelocitynode.hpp"
#include "dbinitialvelocityrigidbody.hpp"
#include "exptypemap.h"
#include "initialexport.h"

void InitialExport::initExportVelocityTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VELOCITY, importDBInitialVelocity) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VELOCITY_GENERATION, importDBInitialVelocityGeneration) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VELOCITY_NODE, importDBInitialVelocityNode) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VELOCITY_RIGID_BODY, importDBInitialVelocityRigidBody) );
}
