#include "dbinitialvoidpart.hpp"
#include "dbinitialvolumefraction.hpp"
#include "dbinitialvolumefractiongeometry.hpp"
#include "exptypemap.h"
#include "initialexport.h"

void InitialExport::initExportVolumeTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VOID_PART, importDBInitialVoidPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VOID_SET, importDBInitialVoidPart) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VOLUME_FRACTION, importDBInitialVolumeFraction) );
   expTypeFuncMap.insert( expTypeFuncPair(INITIAL_VOLUME_FRACTION_GEOMETRY, importDBInitialVolumeFractionGeometry) );
}
