#include "dbmatbamman.hpp"
#include "dbmatbammandamage.hpp"
#include "dbmatlaminatedglass.hpp"
#include "dbmatpowerlawplasticity.hpp"
#include "dbmatratesensitivepowerlawplasticity.hpp"
#include "dbmatresultantplasticity.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportBammanTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_BAMMAN, importDBMatBamman) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_BAMMAN_DAMAGE, importDBMatBammanDamage) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_LAMINATED_GLASS, importDBMatLaminatedGlass) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_POWER_LAW_PLASTICITY, importDBMatPowerLawPlasticity) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_RATE_SENSITIVE_POWERLAW_PLASTICITY, importDBMatRateSensitivePowerlawPlasticity) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_RESULTANT_PLASTICITY, importDBMatResultantPlasticity) );
}
