#include "dbmatcohesiveelastic.hpp"
#include "dbmatcohesivegeneral.hpp"
#include "dbmatcohesivemixedmode.hpp"
#include "dbmatcohesiveth.hpp"
#include "dbmatfhwasoil.hpp"
#include "dbmatfhwasoilnebraska.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportCohesiveTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COHESIVE_ELASTIC, importDBMatCohesiveElastic) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COHESIVE_GENERAL, importDBMatCohesiveGeneral) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COHESIVE_MIXED_MODE, importDBMatCohesiveMixedMode) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_COHESIVE_TH, importDBMatCohesiveTh) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_FHWA_SOIL, importDBMatFhwaSoil) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_FHWA_SOIL_NEBRASKA, importDBMatFhwaSoilNebraska) );
}
