#include "dbmatconcretedamage.hpp"
#include "dbmatconcretedamagerel3.hpp"
#include "dbmatcscmconcrete.hpp"
#include "dbmatwinfrithconcrete.hpp"
#include "dbmatwinfrithconcretereinforcement.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportConcreteTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_CONCRETE_DAMAGE, importDBMatConcreteDamage) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_CONCRETE_DAMAGE_REL3, importDBMatConcreteDamageRel3) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_CSCM_CONCRETE, importDBMatCscmConcrete) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_WINFRITH_CONCRETE, importDBMatWinfrithConcrete) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_WINFRITH_CONCRETE_REINFORCEMENT, importDBMatWinfrithConcreteReinforcement) );
}
