#include "dbmatdamage1.hpp"
#include "dbmatdamage2.hpp"
#include "dbmatdamage3.hpp"
#include "dbmatdampernonlinearviscous.hpp"
#include "dbmatdamperviscous.hpp"
#include "dbmatdruckerprager.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportDamperTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DAMAGE_1, importDBMatDamage1) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DAMAGE_2, importDBMatDamage2) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DAMAGE_3, importDBMatDamage3) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DAMPER_NONLINEAR_VISCOUS, importDBMatDamperNonlinearViscous) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DAMPER_VISCOUS, importDBMatDamperViscous) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_DRUCKER_PRAGER, importDBMatDruckerPrager) );
}
