#include "dbmat1dofgeneralizedspring.hpp"
#include "dbmatarupadhesive.hpp"
#include "dbmatelastic6dofspringdiscretebeam.hpp"
#include "dbmatgeneralnonlinear1dofdiscretebeam.hpp"
#include "dbmatgeneralnonlinear6dofdiscretebeam.hpp"
#include "dbmatinelastic6dofspringdiscretebeam.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportDofTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_1DOF_GENERALIZED_SPRING, importDBMat1dofGeneralizedSpring) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_ARUP_ADHESIVE, importDBMatArupAdhesive) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_ELASTIC_6DOF_SPRING_DISCRETE_BEAM, importDBMatElastic6dofSpringDiscreteBeam) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_GENERAL_NONLINEAR_1DOF_DISCRETE_BEAM, importDBMatGeneralNonlinear1dofDiscreteBeam) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_GENERAL_NONLINEAR_6DOF_DISCRETE_BEAM, importDBMatGeneralNonlinear6dofDiscreteBeam) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_INELASTIC_6DOF_SPRING_DISCRETE_BEAM, importDBMatInelastic6dofSpringDiscreteBeam) );
}
