#include "dbmatmodifiedforcelimited.hpp"
#include "dbmatmodifiedhoneycomb.hpp"
#include "dbmatmodifiedjohnsoncook.hpp"
#include "dbmatmodifiedpiecewiselinearplasticity.hpp"
#include "dbmatmodifiedpiecewiselinearplasticityrate.hpp"
#include "exptypemap.h"
#include "matexport.h"

void MatExport::initExportModifiedTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_FORCE_LIMITED, importDBMatModifiedForceLimited) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_HONEYCOMB, importDBMatModifiedHoneycomb) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_JOHNSON_COOK, importDBMatModifiedJohnsonCook) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY, importDBMatModifiedPiecewiseLinearPlasticity) );
   expTypeFuncMap.insert( expTypeFuncPair(MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_RATE, importDBMatModifiedPiecewiseLinearPlasticityRate) );
}
