#include "dbnodecard.hpp"
#include "dbnoderigidsurface.hpp"
#include "dbnodescalar.hpp"
#include "dbnodescalarvalue.hpp"
#include "dbnodetransform.hpp"
#include "exptypemap.h"
#include "nodexport.h"

void NodExport::initExportNodTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(NODE, importDBNodeCard) );
   expTypeFuncMap.insert( expTypeFuncPair(NODE_RIGID_SURFACE, importDBNodeRigidSurface) );
   expTypeFuncMap.insert( expTypeFuncPair(NODE_SCALAR, importDBNodeScalar) );
   expTypeFuncMap.insert( expTypeFuncPair(NODE_SCALAR_VALUE, importDBNodeScalarValue) );
   expTypeFuncMap.insert( expTypeFuncPair(NODE_TRANSFORM, importDBNodeTransform) );
}
