#include "dbpartadaptivefailure.hpp"
#include "dbpartcomposite.hpp"
#include "dbpartmodes.hpp"
#include "dbpartmove.hpp"
#include "dbpartsensor.hpp"
#include "exptypemap.h"
#include "partcexport.h"

void PartCExport::initExportPartCTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(PART_ADAPTIVE_FAILURE, importDBPartAdaptiveFailure) );
   expTypeFuncMap.insert( expTypeFuncPair(PART_COMPOSITE, importDBPartComposite) );
   expTypeFuncMap.insert( expTypeFuncPair(PART_COMPOSITE_CONTACT, importDBPartComposite) );
   expTypeFuncMap.insert( expTypeFuncPair(PART_MODES, importDBPartModes) );
   expTypeFuncMap.insert( expTypeFuncPair(PART_MOVE, importDBPartMove) );
   expTypeFuncMap.insert( expTypeFuncPair(PART_SENSOR, importDBPartSensor) );
}
