#include "dbperturbationnode.hpp"
#include "dbperturbationshellthickness.hpp"
#include "exptypemap.h"
#include "perturbexport.h"

void PerturbExport::initExportPerturbTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(PERTURBATION_NODE, importDBPerturbationNode) );
   expTypeFuncMap.insert( expTypeFuncPair(PERTURBATION_SHELL_THICKNESS, importDBPerturbationShellThickness) );
}
