#include <iostream>
#include <string>
#include "settype.h"
#include "generic.h"
#include "setkwfromtype.h"

using namespace std;

int getSetKeywordFromType
    (
       unsigned int kw_type,
       string & key_word
    )
{
cout << "KW TYPE=" << kw_type << endl;
   int title_flag = 0;
   if( kw_type >= TITLE_CARD )
   {
      kw_type -= TITLE_CARD;
      title_flag = 1;
   }
cout << "CHANGED KW TYPE=" << kw_type << endl;

   switch(kw_type)
   {
      case SET_NODE:
	 key_word = "*SET_NODE";
	 break;
      case SET_NODE_ADD:
	 key_word = "*SET_NODE_ADD";
	 break;
      case SET_NODE_ADD_ADVANCED:
	 key_word = "*SET_NODE_ADD_ADVANCED";
	 break;
      case SET_NODE_COLUMN:
	 key_word = "*SET_NODE_COLUMN";
	 break;
      case SET_NODE_GENERAL:
	 key_word = "*SET_NODE_GENERAL";
	 break;
      case SET_NODE_LIST:
	 key_word = "*SET_NODE_LIST";
	 break;
      case SET_NODE_LIST_GENERATE:
	 key_word = "*SET_NODE_LIST_GENERATE";
	 break;
      case SET_PART:
	 key_word = "*SET_PART";
	 break;
      case SET_PART_ADD:
	 key_word = "*SET_PART_ADD";
	 break;
      case SET_PART_COLUMN:
	 key_word = "*SET_PART_COLUMN";
	 break;
      case SET_PART_LIST:
	 key_word = "*SET_PART_LIST";
	 break;
      case SET_PART_LIST_GENERATE:
	 key_word = "*SET_PART_LIST_GENERATE";
	 break;
      case SET_SHELL:
	 key_word = "*SET_SHELL";
	 break;
      case SET_SHELL_ADD:
	 key_word = "*SET_SHELL_ADD";
	 break;
      case SET_SHELL_COLUMN:
	 key_word = "*SET_SHELL_COLUMN";
	 break;
      case SET_SHELL_GENERAL:
	 key_word = "*SET_SHELL_GENERAL";
	 break;
      case SET_SHELL_LIST:
	 key_word = "*SET_SHELL_LIST";
	 break;
      case SET_SHELL_LIST_GENERATE:
	 key_word = "*SET_SHELL_LIST_GENERATE";
	 break;
      case SET_TSHELL:
	 key_word = "*SET_TSHELL";
	 break;
      case SET_TSHELL_GENERAL:
	 key_word = "*SET_TSHELL_GENERAL";
	 break;
      case SET_TSHELL_GENERATE:
	 key_word = "*SET_TSHELL_GENERATE";
	 break;
      case SET_BEAM:
	 key_word = "*SET_BEAM";
	 break;
      case SET_BEAM_ADD:
	 key_word = "*SET_BEAM_ADD";
	 break;
      case SET_BEAM_GENERAL:
	 key_word = "*SET_BEAM_GENERAL";
	 break;
      case SET_BEAM_GENERATE:
	 key_word = "*SET_BEAM_GENERATE";
	 break;
      case SET_2D_SEGMENT:
	 key_word = "*SET_2D_SEGMENT";
	 break;
      case SET_2D_SEGMENT_SET:
	 key_word = "*SET_2D_SEGMENT_SET";
	 break;
      case SET_DISCRETE:
	 key_word = "*SET_DISCRETE";
	break;
      case SET_DISCRETE_ADD:
	 key_word = "*SET_DISCRETE_ADD";
	 break;
      case SET_DISCRETE_GENERAL:
	 key_word = "*SET_DISCRETE_GENERAL";
	 break;
      case SET_DISCRETE_GENERATE:
	 key_word = "*SET_DISCRETE_GENERATE";
	 break;
      case SET_MULTI_MATERIAL_GROUP_LIST:
	 key_word = "*SET_MULTI_MATERIAL_GROUP_LIST";
	 break;
      case SET_SEGMENT:
	 key_word = "*SET_SEGMENT";
	 break;
      case SET_SEGMENT_GENERAL:
	 key_word = "*SET_SEGMENT_GENERAL";
	 break;
      case SET_SOLID:
	 key_word = "*SET_SOLID";
	 break;
      case SET_SOLID_ADD:
	 key_word = "*SET_SOLID_ADD";
	 break;
      case SET_SOLID_GENERAL:
	 key_word = "*SET_SOLID_GENERAL";
	 break;
      case SET_SOLID_GENERATE:
	 key_word = "*SET_SOLID_GENERATE";
	 break;
      case SET_NEW_TYPE:
      default:
	 return 1;
   }

   if( title_flag )
      key_word += "_TITLE";
   return 0;
}

