#include "dbsetnode.hpp"
#include "dbsetnodeadd.hpp"
#include "dbsetnodeaddadvanced.hpp"
#include "dbsetnodecolumn.hpp"
#include "dbsetnodegeneral.hpp"
#include "dbsetnodelistgenerate.hpp"
#include "exptypemap.h"
#include "setexport.h"

void SetExport::initExportNodeTypesAndFunctions()
{
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE, importDBSetNode) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_ADD, importDBSetNodeAdd) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_ADD_ADVANCED, importDBSetNodeAddAdvanced) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_COLUMN, importDBSetNodeColumn) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_GENERAL, importDBSetNodeGeneral) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_LIST, importDBSetNode) );
   expTypeFuncMap.insert( expTypeFuncPair(SET_NODE_LIST_GENERATE, importDBSetNodeListGenerate) );
}
