#include "abwangnefske.hpp"
#include "abwangnefskejetting.hpp"
#include "abwangnefskejettingcm.hpp"
#include "abwangnefskemultiplejetting.hpp"
#include "abwangnefskemultiplejettingcm.hpp"
#include "abwangnefskepop.hpp"
#include "typemap.h"
#include "abimport.h"

void ABImport::initWangTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE, importABWangNefske) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_ID, importABWangNefske) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_JETTING, importABWangNefskeJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_ID, importABWangNefskeJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_CM, importABWangNefskeJettingCM) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_JETTING_CM_ID, importABWangNefskeJettingCM) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING, importABWangNefskeMultipleJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_ID, importABWangNefskeMultipleJetting) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM, importABWangNefskeMultipleJettingCM) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM_ID, importABWangNefskeMultipleJettingCM) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_POP, importABWangNefskePop) );
   typeFuncMap.insert( typeFuncPair(AIRBAG_WANG_NEFSKE_POP_ID, importABWangNefskePop) );
}
