#include "bdryconvecsegment.hpp"
#include "bdryconvecset.hpp"
#include "bdrynonreflect.hpp"
#include "bdrynonreflect2d.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initConvectionTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_CONVECTION_SEGMENT, importBdryConvecSegment) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_CONVECTION_SET, importBdryConvecSet) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_NON_REFLECTING, importBdryNonReflect) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_NON_REFLECTING_2D, importBdryNonReflect2D) );
}
