#include "bdrysphflow.hpp"
#include "bdrysphsymplane.hpp"
#include "bdrypresoutflowseg.hpp"
#include "bdrypresoutflowset.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initOutflowTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPH_FLOW, importBdrySphFlow) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPH_SYMMETRY_PLANE, importBdrySphSymPlane) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESSURE_OUTFLOW_SEGMENT, importBdryPresOutflowSeg) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESSURE_OUTFLOW_SET, importBdryPresOutflowSet) );
}
