#include "bdrypresmotion.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initPrescribedTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_NODE, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_NODE_ID, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_ID, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL_ID, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_SET, importBdryPresMotion) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_PRESCRIBED_MOTION_SET_ID, importBdryPresMotion) );
}
