#include "bdryspc.hpp"
#include "typemap.h"
#include "bdryimport.h"

void BdryImport::initSpcTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPC_NODE, importBdrySpc) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPC_NODE_ID, importBdrySpc) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPC_SET, importBdrySpc) );
   typeFuncMap.insert( typeFuncPair(BOUNDARY_SPC_SET_ID, importBdrySpc) );
}
