#include "constjointstiffflextorsion.hpp"
#include "constjointstiffgeneral.hpp"
#include "constjointstifftranslation.hpp"
#include "constshelltosolid.hpp"
#include "constspline.hpp"
#include "consttiebreak.hpp"
#include "consttiednodesfail.hpp"
#include "typemap.h"
#include "constimport.h"

void ConstImport::initStiffnessTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_JOINT_STIFFNESS_FLEXION_TORSION, importConstJointStiffFlexTorsion) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_JOINT_STIFFNESS_GENERALIZED, importConstJointStiffGeneral) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_JOINT_STIFFNESS_TRANSLATIONAL, importConstJointStiffTranslation) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_SHELL_TO_SOLID, importConstShellToSolid) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_SPLINE, importConstSpline) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_TIE_BREAK, importConstTieBreak) );
   typeFuncMap.insert( typeFuncPair(CONSTRAINED_TIED_NODES_FAILURE, importConstTiedNodesFail) );
}
