#include "dampingfrequencyrange.hpp"
#include "dampingglobal.hpp"
#include "dampingpartmass.hpp"
#include "dampingpartstiffness.hpp"
#include "dampingrelative.hpp"
#include "typemap.h"
#include "dampingimport.h"

void DampingImport::initDampingTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DAMPING_FREQUENCY_RANGE, importDampingFrequencyRange) );
   typeFuncMap.insert( typeFuncPair(DAMPING_GLOBAL, importDampingGlobal) );
   typeFuncMap.insert( typeFuncPair(DAMPING_PART_MASS, importDampingPartMass) );
   typeFuncMap.insert( typeFuncPair(DAMPING_PART_STIFFNESS, importDampingPartStiffness) );
   typeFuncMap.insert( typeFuncPair(DAMPING_RELATIVE, importDampingRelative) );
}
