#include "databaseextent.hpp"
#include "databaseextentbinary.hpp"
#include "databaseextentssstat.hpp"
#include "typemap.h"
#include "databaseimport.h"

void DatabaseImport::initExtentTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DATABASE_EXTENT_AVS, importDatabaseExtent) );
   typeFuncMap.insert( typeFuncPair(DATABASE_EXTENT_BINARY, importDatabaseExtentBinary) );
   typeFuncMap.insert( typeFuncPair(DATABASE_EXTENT_MOVIE, importDatabaseExtent) );
   typeFuncMap.insert( typeFuncPair(DATABASE_EXTENT_MPGS, importDatabaseExtent) );
   typeFuncMap.insert( typeFuncPair(DATABASE_EXTENT_SSSTAT, importDatabaseExtentSsstat) );
}
