#include "definealebagbag.hpp"
#include "definealebaghole.hpp"
#include "definealebaginflator.hpp"
#include "definecontactvolume.hpp"
#include "definedeathtimesoption.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initAleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_ALEBAG_BAG, importDefineAlebagBag) );
   typeFuncMap.insert( typeFuncPair(DEFINE_ALEBAG_HOLE, importDefineAlebagHole) );
   typeFuncMap.insert( typeFuncPair(DEFINE_ALEBAG_INFLATOR, importDefineAlebagInflator) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CONTACT_VOLUME, importDefineContactVolume) );
   typeFuncMap.insert( typeFuncPair(DEFINE_DEATH_TIMES_NODES, importDefineDeathTimesOption) );
   typeFuncMap.insert( typeFuncPair(DEFINE_DEATH_TIMES_RIGID, importDefineDeathTimesOption) );
   typeFuncMap.insert( typeFuncPair(DEFINE_DEATH_TIMES_SET, importDefineDeathTimesOption) );
}
