#include "definebox.hpp"
#include "defineboxadaptive.hpp"
#include "defineboxcoarsen.hpp"
#include "defineboxdrawbead.hpp"
#include "defineboxsph.hpp"
#include "definecurvesmooth.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initBoxTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_BOX, importDefineBox) );
   typeFuncMap.insert( typeFuncPair(DEFINE_BOX_ADAPTIVE, importDefineBoxAdaptive) );
   typeFuncMap.insert( typeFuncPair(DEFINE_BOX_COARSEN, importDefineBoxCoarsen) );
   typeFuncMap.insert( typeFuncPair(DEFINE_BOX_DRAWBEAD, importDefineBoxDrawbead) );
   typeFuncMap.insert( typeFuncPair(DEFINE_BOX_SPH, importDefineBoxSph) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_SMOOTH, importDefineCurveSmooth) );
}
