#include "definecoordinatenodes.hpp"
#include "definecoordinatesystem.hpp"
#include "definecoordinatevector.hpp"
#include "definecurvefunction.hpp"
#include "definesdorientation.hpp"
#include "definetransformation.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initCoordTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_COORDINATE_NODES, importDefineCoordinateNodes) );
   typeFuncMap.insert( typeFuncPair(DEFINE_COORDINATE_SYSTEM, importDefineCoordinateSystem) );
   typeFuncMap.insert( typeFuncPair(DEFINE_COORDINATE_VECTOR, importDefineCoordinateVector) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CURVE_FUNCTION, importDefineCurveFunction) );
   typeFuncMap.insert( typeFuncPair(DEFINE_SD_ORIENTATION, importDefineSdOrientation) );
   typeFuncMap.insert( typeFuncPair(DEFINE_TRANSFORMATION, importDefineTransformation) );
}
