#include "defineconnectionproperties.hpp"
#include "definehexspotweldassembly.hpp"
#include "definehexspotweldassemblyn.hpp"
#include "definespotweldfailureresultants.hpp"
#include "definespotweldruptureparameter.hpp"
#include "definespotweldrupturestress.hpp"
#include "typemap.h"
#include "defineimport.h"

void DefineImport::initWeldTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(DEFINE_CONNECTION_PROPERTIES, importDefineConnectionProperties) );
   typeFuncMap.insert( typeFuncPair(DEFINE_CONNECTION_PROPERTIES_ADD, importDefineConnectionProperties) );
   typeFuncMap.insert( typeFuncPair(DEFINE_HEX_SPOTWELD_ASSEMBLY, importDefineHexSpotweldAssembly) );
   typeFuncMap.insert( typeFuncPair(DEFINE_HEX_SPOTWELD_ASSEMBLY_N, importDefineHexSpotweldAssemblyN) );
   typeFuncMap.insert( typeFuncPair(DEFINE_SPOTWELD_FAILURE_RESULTANTS, importDefineSpotweldFailureResultants) );
   typeFuncMap.insert( typeFuncPair(DEFINE_SPOTWELD_RUPTURE_PARAMETER, importDefineSpotweldRuptureParameter) );
   typeFuncMap.insert( typeFuncPair(DEFINE_SPOTWELD_RUPTURE_STRESS, importDefineSpotweldRuptureStress) );
}
