#include "elementbeam.hpp"
#include "elementbeamoffset.hpp"
#include "elementbeamorientation.hpp"
#include "elementbeampid.hpp"
#include "elementbeamscalar.hpp"
#include "elementbeamscalr.hpp"
#include "elementbeamsection.hpp"
#include "elementbeamthickness.hpp"
#include "elementbeamwarpage.hpp"
#include "typemap.h"
#include "elementimport.h"

void ElementImport::initBeamTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM, importElementBeam) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_OFFSET, importElementBeamOffset) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_ORIENTATION, importElementBeamOrientation) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_PID, importElementBeamPid) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_SCALAR, importElementBeamScalar) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_SCALR, importElementBeamScalr) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_SECTION, importElementBeamSection) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_THICKNESS, importElementBeamThickness) );
   typeFuncMap.insert( typeFuncPair(ELEMENT_BEAM_WARPAGE, importElementBeamWarpage) );
}
