#include "eosidealgas.hpp"
#include "eosignitionandgrowthofreactioninhe.hpp"
#include "eosjwl.hpp"
#include "eosjwlb.hpp"
#include "eospropellantdeflagration.hpp"
#include "eostensorporecollapse.hpp"
#include "typemap.h"
#include "eosimport.h"

void EosImport::initJwlTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(EOS_IDEAL_GAS, importEosIdealGas) );
   typeFuncMap.insert( typeFuncPair(EOS_IGNITION_AND_GROWTH_OF_REACTION_IN_HE, importEosIgnitionAndGrowthOfReactionInHe) );
   typeFuncMap.insert( typeFuncPair(EOS_JWL, importEosJwl) );
   typeFuncMap.insert( typeFuncPair(EOS_JWLB, importEosJwlb) );
   typeFuncMap.insert( typeFuncPair(EOS_PROPELLANT_DEFLAGRATION, importEosPropellantDeflagration) );
   typeFuncMap.insert( typeFuncPair(EOS_TENSOR_PORE_COLLAPSE, importEosTensorPoreCollapse) );
}
