#include "includecompensationblankafterspringback.hpp"
#include "includecompensationblankbeforespringback.hpp"
#include "includecompensationcompensatedshape.hpp"
#include "includecompensationcurrenttools.hpp"
#include "includecompensationdesiredblankshape.hpp"
#include "typemap.h"
#include "includeimport.h"

void IncludeImport::initCompensateTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INCLUDE_COMPENSATION_BLANK_AFTER_SPRINGBACK, importIncludeCompensationBlankAfterSpringback) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_COMPENSATION_BLANK_BEFORE_SPRINGBACK, importIncludeCompensationBlankBeforeSpringback) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_COMPENSATION_COMPENSATED_SHAPE, importIncludeCompensationCompensatedShape) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_COMPENSATION_CURRENT_TOOLS, importIncludeCompensationCurrentTools) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_COMPENSATION_DESIRED_BLANK_SHAPE, importIncludeCompensationDesiredBlankShape) );
}
