#include "include.hpp"
#include "includenastran.hpp"
#include "includestampedpart.hpp"
#include "includetransform.hpp"
#include "typemap.h"
#include "includeimport.h"

void IncludeImport::initIncludeTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INCLUDE, importInclude) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_BINARY, importInclude) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_NASTRAN, importIncludeNastran) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_PATH, importInclude) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_STAMPED_PART_INVERSE, importIncludeStampedPart) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_STAMPED_PART_MATRIX, importIncludeStampedPart) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_STAMPED_PART_SET, importIncludeStampedPart) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_STAMPED_SET, importIncludeStampedPart) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_TRANSFORM, importIncludeTransform) );
   typeFuncMap.insert( typeFuncPair(INCLUDE_TRANSFORM_BINARY, importIncludeTransform) );
}
