#include "initialdetonation.hpp"
#include "initialgasmixture.hpp"
#include "initialmomentum.hpp"
#include "initialvehiclekinematics.hpp"
#include "typemap.h"
#include "initialimport.h"

void InitialImport::initSimpleTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INITIAL_DETONATION, importInitialDetonation) );
   typeFuncMap.insert( typeFuncPair(INITIAL_GAS_MIXTURE, importInitialGasMixture) );
   typeFuncMap.insert( typeFuncPair(INITIAL_MOMENTUM, importInitialMomentum) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VEHICLE_KINEMATICS, importInitialVehicleKinematics) );
}
