#include "initialfoamreferencegeometry.hpp"
#include "initialstrainshell.hpp"
#include "initialstrainsolid.hpp"
#include "initialtemperaturenode.hpp"
#include "typemap.h"
#include "initialimport.h"

void InitialImport::initStrainTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INITIAL_FOAM_REFERENCE_GEOMETRY, importInitialFoamReferenceGeometry) );
   typeFuncMap.insert( typeFuncPair(INITIAL_STRAIN_SHELL, importInitialStrainShell) );
   typeFuncMap.insert( typeFuncPair(INITIAL_STRAIN_SOLID, importInitialStrainSolid) );
   typeFuncMap.insert( typeFuncPair(INITIAL_TEMPERATURE_NODE, importInitialTemperatureNode) );
   typeFuncMap.insert( typeFuncPair(INITIAL_TEMPERATURE_SET, importInitialTemperatureNode) );
}
