#include "initialvelocity.hpp"
#include "initialvelocitygeneration.hpp"
#include "initialvelocitynode.hpp"
#include "initialvelocityrigidbody.hpp"
#include "typemap.h"
#include "initialimport.h"

void InitialImport::initVelocityTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(INITIAL_VELOCITY, importInitialVelocity) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VELOCITY_GENERATION, importInitialVelocityGeneration) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VELOCITY_NODE, importInitialVelocityNode) );
   typeFuncMap.insert( typeFuncPair(INITIAL_VELOCITY_RIGID_BODY, importInitialVelocityRigidBody) );
}
