#include "matcompositedamage.hpp"
#include "matcompositefailureshellmodel.hpp"
#include "matenhancedcompositedamage.hpp"
#include "matlaminatedcompositefabric.hpp"
#include "matunifiedcreep.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initCompositeTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_COMPOSITE_DAMAGE, importMatCompositeDamage) );
   typeFuncMap.insert( typeFuncPair(MAT_COMPOSITE_FAILURE_SHELL_MODEL, importMatCompositeFailureShellModel) );
   typeFuncMap.insert( typeFuncPair(MAT_COMPOSITE_FAILURE_SOLID_MODEL, importMatCompositeFailureShellModel) );
   typeFuncMap.insert( typeFuncPair(MAT_ENHANCED_COMPOSITE_DAMAGE, importMatEnhancedCompositeDamage) );
   typeFuncMap.insert( typeFuncPair(MAT_LAMINATED_COMPOSITE_FABRIC, importMatLaminatedCompositeFabric) );
   typeFuncMap.insert( typeFuncPair(MAT_UNIFIED_CREEP, importMatUnifiedCreep) );
}
