#include "matdamage1.hpp"
#include "matdamage2.hpp"
#include "matdamage3.hpp"
#include "matdampernonlinearviscous.hpp"
#include "matdamperviscous.hpp"
#include "matdruckerprager.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initDamperTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_DAMAGE_1, importMatDamage1) );
   typeFuncMap.insert( typeFuncPair(MAT_DAMAGE_2, importMatDamage2) );
   typeFuncMap.insert( typeFuncPair(MAT_DAMAGE_3, importMatDamage3) );
   typeFuncMap.insert( typeFuncPair(MAT_DAMPER_NONLINEAR_VISCOUS, importMatDamperNonlinearViscous) );
   typeFuncMap.insert( typeFuncPair(MAT_DAMPER_VISCOUS, importMatDamperViscous) );
   typeFuncMap.insert( typeFuncPair(MAT_DRUCKER_PRAGER, importMatDruckerPrager) );
}
