#include "matmodifiedforcelimited.hpp"
#include "matmodifiedhoneycomb.hpp"
#include "matmodifiedjohnsoncook.hpp"
#include "matmodifiedpiecewiselinearplasticity.hpp"
#include "matmodifiedpiecewiselinearplasticityrate.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initModifiedTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_FORCE_LIMITED, importMatModifiedForceLimited) );
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_HONEYCOMB, importMatModifiedHoneycomb) );
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_JOHNSON_COOK, importMatModifiedJohnsonCook) );
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY, importMatModifiedPiecewiseLinearPlasticity) );
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_RATE, importMatModifiedPiecewiseLinearPlasticityRate) );
}
