#include "matmodifiedzerilliarmstrong.hpp"
#include "matmooneyrivlinrubber.hpp"
#include "matmts.hpp"
#include "matnonlocal.hpp"
#include "matnull.hpp"
#include "matogdenrubber.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initModifyTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_MODIFIED_ZERILLI_ARMSTRONG, importMatModifiedZerilliArmstrong) );
   typeFuncMap.insert( typeFuncPair(MAT_MOONEY_RIVLIN_RUBBER, importMatMooneyRivlinRubber) );
   typeFuncMap.insert( typeFuncPair(MAT_MTS, importMatMts) );
   typeFuncMap.insert( typeFuncPair(MAT_NONLOCAL, importMatNonlocal) );
   typeFuncMap.insert( typeFuncPair(MAT_NULL, importMatNull) );
   typeFuncMap.insert( typeFuncPair(MAT_OGDEN_RUBBER, importMatOgdenRubber) );
}
