#include "matcscm.hpp"
#include "matspotweld.hpp"
#include "matspotwelddaimlerchrysler.hpp"
#include "matspotwelddamagefailure.hpp"
#include "matwood.hpp"
#include "matwoodpine.hpp"
#include "typemap.h"
#include "matimport.h"

void MatImport::initWeldTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(MAT_CSCM, importMatCscm) );
   typeFuncMap.insert( typeFuncPair(MAT_SPOTWELD, importMatSpotweld) );
   typeFuncMap.insert( typeFuncPair(MAT_SPOTWELD_DAIMLERCHRYSLER, importMatSpotweldDaimlerchrysler) );
   typeFuncMap.insert( typeFuncPair(MAT_SPOTWELD_DAMAGE_FAILURE, importMatSpotweldDamageFailure) );
   typeFuncMap.insert( typeFuncPair(MAT_WOOD, importMatWood) );
   typeFuncMap.insert( typeFuncPair(MAT_WOOD_FIR, importMatWoodPine) );
   typeFuncMap.insert( typeFuncPair(MAT_WOOD_PINE, importMatWoodPine) );
}
