#include "sectiondiscrete.hpp"
#include "sectionpointsource.hpp"
#include "sectionpointsourcemixture.hpp"
#include "sectionshell.hpp"
#include "sectiontshell.hpp"
#include "typemap.h"
#include "sectionimport.h"

void SectionImport::initShellTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(SECTION_DISCRETE, importSectionDiscrete) );
   typeFuncMap.insert( typeFuncPair(SECTION_POINT_SOURCE, importSectionPointSource) );
   typeFuncMap.insert( typeFuncPair(SECTION_POINT_SOURCE_MIXTURE, importSectionPointSourceMixture) );
   typeFuncMap.insert( typeFuncPair(SECTION_SHELL, importSectionShell) );
   typeFuncMap.insert( typeFuncPair(SECTION_SHELL_ALE, importSectionShell) );
   typeFuncMap.insert( typeFuncPair(SECTION_SHELL_EFG, importSectionShell) );
   typeFuncMap.insert( typeFuncPair(SECTION_TSHELL, importSectionTshell) );
}
