#include "setnode.hpp"
#include "setnodeadd.hpp"
#include "setnodeaddadvanced.hpp"
#include "setnodecolumn.hpp"
#include "setnodegeneral.hpp"
#include "setnodelistgenerate.hpp"
#include "typemap.h"
#include "setimport.h"

void SetImport::initNodeTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(SET_NODE, importSetNode) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_ADD, importSetNodeAdd) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_ADD_ADVANCED, importSetNodeAddAdvanced) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_COLUMN, importSetNodeColumn) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_GENERAL, importSetNodeGeneral) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_LIST, importSetNode) );
   typeFuncMap.insert( typeFuncPair(SET_NODE_LIST_GENERATE, importSetNodeListGenerate) );
}
