#include "terminationbody.hpp"
#include "terminationcontact.hpp"
#include "terminationcurve.hpp"
#include "terminationdeletedshells.hpp"
#include "terminationnode.hpp"
#include "typemap.h"
#include "termimport.h"

void TermImport::initTermTypesAndFunctions()
{
   typeFuncMap.insert( typeFuncPair(TERMINATION_BODY, importTerminationBody) );
   typeFuncMap.insert( typeFuncPair(TERMINATION_CONTACT, importTerminationContact) );
   typeFuncMap.insert( typeFuncPair(TERMINATION_CURVE, importTerminationCurve) );
   typeFuncMap.insert( typeFuncPair(TERMINATION_DELETED_SHELLS, importTerminationDeletedShells) );
   typeFuncMap.insert( typeFuncPair(TERMINATION_DELETED_SHELLS_SET, importTerminationDeletedShells) );
   typeFuncMap.insert( typeFuncPair(TERMINATION_NODE, importTerminationNode) );
}
