#ifndef _VALIDATE_H_
#define _VALIDATE_H_

typedef enum _SectionBeamType
{
   SECTION_BEAM_HUGHES_LIU = SECTION_NEW_TYPE,
   SECTION_BEAM_BELYTSCHKO_SCHWER_RESULTANT,
   SECTION_BEAM_TRUSS_RESULTANT,
   SECTION_BEAM_BELYTSCHKO_SCHWER_SOLID,
   SECTION_BEAM_BELYTSCHKO_SCHWER_TUBULAR,
   SECTION_BEAM_DISCRETE_OR_CABLE,
   SECTION_BEAM_2D_PLANE_STRAIN_SHELL,
   SECTION_BEAM_2D_AXISYMMETRIC_SHELL,
   SECTION_BEAM_SPOTWELD,
   SECTION_BEAM_INTEGRATED_WARPED,
   SECTION_BEAM_RESULTANT_WARPED,

   SECTION_BEAM_NEW_TYPE,
   
}
  SectionBeamType;

class Validate
{
public:
   Validate(){}
   ~Validate(){}

/*
   unsigned int createObjectsFromCards();
   unsigned int createNodesFromCards();
   unsigned int createMaterialsFromCards();
   unsigned int createSectionsFromCards();
   unsigned int createEosFromCards();
   unsigned int createHgFromCards();
   unsigned int createPartsFromCards();
   unsigned int createShellElementsFromCards();
   unsigned int getElementTypeFromSectionType
                (
                   unsigned int sec_type
                );
*/
   bool validateMaterialForSectionType
	(
	   unsigned int mat_type, 
	   unsigned int sec_type
	);
};

#endif

