#ifndef _BdryType_h_
#define _BdryType_h_

typedef enum _BdryType
{
   BOUNDARY_ACOUSTIC_COUPLING,
   BOUNDARY_AMBIENT_EOS,
   BOUNDARY_CYCLIC,
   BOUNDARY_MCOL,
   BOUNDARY_PRESCRIBED_ACCELEROMETER_RIGID,
   BOUNDARY_SLIDING_PLANE,
   BOUNDARY_SYMMETRY_FAILURE,
   BOUNDARY_USA_SURFACE,
   BOUNDARY_ELEMENT_METHOD_ACOUSTIC,
   BOUNDARY_ELEMENT_METHOD_CONTROL,
   BOUNDARY_ELEMENT_METHOD_FLOW,
   BOUNDARY_ELEMENT_METHOD_SYMMETRY,
   BOUNDARY_ELEMENT_METHOD_NEIGHBOR,
   BOUNDARY_ELEMENT_METHOD_WAKE,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_ANGLES,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_DIRCOS,
   BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_EULERP,
   BOUNDARY_PRESCRIBED_MOTION_NODE,
   BOUNDARY_PRESCRIBED_MOTION_NODE_ID,
   BOUNDARY_PRESCRIBED_MOTION_RIGID,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_ID,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL,
   BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL_ID,
   BOUNDARY_PRESCRIBED_MOTION_SET,
   BOUNDARY_PRESCRIBED_MOTION_SET_ID,
   BOUNDARY_RADIATION_SEGMENT,
   BOUNDARY_RADIATION_SEGMENT_VF_READ,
   BOUNDARY_RADIATION_SEGMENT_VF_CALCULATE,
   BOUNDARY_RADIATION_SET,
   BOUNDARY_RADIATION_SET_EF_READ,
   BOUNDARY_RADIATION_SET_EF_CALCULATE,
   BOUNDARY_RADIATION_SET_VF_READ,
   BOUNDARY_RADIATION_SET_VF_CALCULATE,
   BOUNDARY_SPC_NODE,
   BOUNDARY_SPC_NODE_ID,
   BOUNDARY_SPC_SET,
   BOUNDARY_SPC_SET_ID,
   BOUNDARY_TEMPERATURE_NODE,
   BOUNDARY_TEMPERATURE_SET,
   BOUNDARY_THERMAL_WELD,
   BOUNDARY_SPH_FLOW,
   BOUNDARY_SPH_SYMMETRY_PLANE,
   BOUNDARY_PRESSURE_OUTFLOW_SEGMENT,
   BOUNDARY_PRESSURE_OUTFLOW_SET,
   BOUNDARY_CONVECTION_SEGMENT,
   BOUNDARY_CONVECTION_SET,
   BOUNDARY_NON_REFLECTING,
   BOUNDARY_NON_REFLECTING_2D,
   BOUNDARY_FLUX_SEGMENT,
   BOUNDARY_FLUX_SET,

   BDRY_NEW_TYPE
}
   BdryType;

#endif

