#ifndef _CONTACT_TYPE_H_
#define _CONTACT_TYPE_H_


typedef enum _ContactOption1Type1
{
   CONTACT_AIRBAG_SINGLE_SURFACE = CONTACT_PRIMARY_MAX,
   CONTACT_AUTOMATIC_GENERAL,
   CONTACT_AUTOMATIC_GENERAL_INTERIOR,
   CONTACT_AUTOMATIC_NODES_TO_SURFACE,
   CONTACT_AUTOMATIC_NODES_TO_SURFACE_SMOOTH ,
   CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE,
   CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK,
   CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_AUTOMATIC_SINGLE_SURFACE,
   CONTACT_AUTOMATIC_SINGLE_SURFACE_SMOOTH,
   CONTACT_AUTOMATIC_SURFACE_TO_SURFACE,
   CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK,
   CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_CONSTRAINT_NODES_TO_SURFACE,
   CONTACT_CONSTRAINT_SURFACE_TO_SURFACE,
   CONTACT_DRAWBEAD,
   CONTACT_DRAWBEAD_INITIALIZE,
   CONTACT_ERODING_NODES_TO_SURFACE,

   CONTACT_OPTION1_TYPE1_MAX,
}
  ContactOption1Type1;

typedef enum _ContactOption1Type2
{
   CONTACT_ERODING_SINGLE_SURFACE = CONTACT_PRIMARY_MAX,
   CONTACT_ERODING_SURFACE_TO_SURFACE,
   CONTACT_FORCE_TRANSDUCER_CONSTRAINT,
   CONTACT_FORCE_TRANSDUCER_PENALTY,
   CONTACT_FORMING_NODES_TO_SURFACE,
   CONTACT_FORMING_NODES_TO_SURFACE_SMOOTH,
   CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE,
   CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_FORMING_SURFACE_TO_SURFACE,
   CONTACT_FORMING_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_NODES_TO_SURFACE,
   CONTACT_NODES_TO_SURFACE_INTERFERENCE,
   CONTACT_NODES_TO_SURFACE_SMOOTH,
   CONTACT_ONE_WAY_SURFACE_TO_SURFACE,
   CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE,
   CONTACT_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_RIGID_NODES_TO_RIGID_BODY,
   CONTACT_RIGID_BODY_ONE_WAY_TO_RIGID_BODY,
   
   CONTACT_OPTION1_TYPE2_MAX,
}
  ContactOption1Type2;

typedef enum _ContactOption1Type3
{
   CONTACT_RIGID_BODY_TWO_WAY_TO_RIGID_BODY = CONTACT_PRIMARY_MAX,
   CONTACT_SINGLE_EDGE,
   CONTACT_SINGLE_SURFACE,
   CONTACT_SLIDING_ONLY,
   CONTACT_SLIDING_ONLY_PENALTY,
   CONTACT_SPOTWELD,
   CONTACT_SPOTWELD_WITH_TORSION,
   CONTACT_SURFACE_TO_SURFACE,
   CONTACT_SURFACE_TO_SURFACE_INTERFERENCE,
   CONTACT_SURFACE_TO_SURFACE_SMOOTH,
   CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT,
   CONTACT_TIEBREAK_NODES_TO_SURFACE,
   CONTACT_TIEBREAK_NODES_ONLY,
   CONTACT_TIEBREAK_SURFACE_TO_SURFACE,
   CONTACT_TIED_NODES_TO_SURFACE,
   CONTACT_TIED_SHELL_EDGE_TO_SURFACE,
   CONTACT_TIED_SURFACE_TO_SURFACE,
   CONTACT_TIED_SURFACE_TO_SURFACE_FAILURE,

   CONTACT_OPTION1_TYPE3_MAX,
}
  ContactOption1Type3;

typedef enum _Contact2DType
{
   CONTACT_2D_SLIDING_ONLY = CONTACT_PRIMARY_MAX,
   CONTACT_2D_TIED_SLIDING,
   CONTACT_2D_SLIDING_VOIDS,
   CONTACT_2D_PENALTY_FRICTION,
   CONTACT_2D_PENALTY,
   CONTACT_2D_AUTOMATIC_SINGLE_SURFACE,
   CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE,
   CONTACT_2D_AUTOMATIC_NODE_TO_SURFACE,
   CONTACT_2D_AUTOMATIC_SURFACE_IN_CONTINUUM,
   CONTACT_2D_AUTOMATIC_TIED,
   CONTACT_2D_AUTOMATIC_TIED_ONE_WAY,
   CONTACT_2D_AUTOMATIC_FLAG,

   CONTACT_2D_TYPE_MAX,
}
  Contact2DType;

typedef enum _ContactGebodType
{
   CONTACT_GEBOD_HEAD = CONTACT_PRIMARY_MAX,
   CONTACT_GEBOD_LEFT_FOOT,
   CONTACT_GEBOD_LEFT_HAND,
   CONTACT_GEBOD_LEFT_LOWER_ARM,
   CONTACT_GEBOD_LEFT_LOWER_LEG,
   CONTACT_GEBOD_LEFT_SHOULDER,
   CONTACT_GEBOD_LEFT_UPPER_ARM,
   CONTACT_GEBOD_LEFT_UPPER_LEG,
   CONTACT_GEBOD_LOWER_TORSO,
   CONTACT_GEBOD_MIDDLE_TORSO,
   CONTACT_GEBOD_NECK,
   CONTACT_GEBOD_RIGHT_FOOT,
   CONTACT_GEBOD_RIGHT_HAND,
   CONTACT_GEBOD_RIGHT_LOWER_ARM,
   CONTACT_GEBOD_RIGHT_LOWER_LEG,
   CONTACT_GEBOD_RIGHT_SHOULDER,
   CONTACT_GEBOD_RIGHT_UPPER_ARM,
   CONTACT_GEBOD_RIGHT_UPPER_LEG,
   CONTACT_GEBOD_UPPER_TORSO,

   CONTACT_GEBOD_TYPE_MAX,
}
  ContactGebodType;

typedef enum _ContactOtherType
{
   CONTACT_AUTO_MOVE = CONTACT_PRIMARY_MAX,
   CONTACT_COUPLING,
   CONTACT_ENTITY,
   CONTACT_GUIDED_CABLE,
   CONTACT_GUIDED_CABLE_ID,
   CONTACT_GUIDED_CABLE_SET,
   CONTACT_GUIDED_CABLE_SET_ID,
   CONTACT_INTERIOR,
   CONTACT_RIGID_SURFACE,
   CONTACT_1D,

   CONTACT_OTHER_TYPE_MAX,
}
  ContactOtherType;

#endif

