#ifndef _ControlType_h_
#define _ControlType_h_

typedef enum _ControlType
{
   CONTROL_ACCURACY = 1,
   CONTROL_ADAPSTEP = 2,
   CONTROL_ADAPTIVE = 3,
   CONTROL_ADAPTIVE_CURVE = 4,
   CONTROL_ALE = 5,
   CONTROL_COARSEN = 6,
   CONTROL_DYNAMIC_RELAXATION = 7,
   CONTROL_EXPLOSIVE_SHADOW = 8,
   CONTROL_REMESHING = 9,
   CONTROL_RIGID = 10,
   CONTROL_SHELL = 11,
   CONTROL_SOLID = 12,
   CONTROL_SOLUTION = 13,
   CONTROL_SPH = 14,
   CONTROL_SPOTWELD_BEAM = 15,
   CONTROL_STAGED_CONSTRUCTION = 16,
   CONTROL_STRUCTURED = 17,
   CONTROL_STRUCTURED_TERM = 18,
   CONTROL_CPU = 19,
   CONTROL_FORMING_POSITION = 20,
   CONTROL_FORMING_PROJECTION = 21,
   CONTROL_FORMING_TEMPLATE = 22,
   CONTROL_FORMING_TRAVEL = 23,
   CONTROL_FORMING_USER = 24,
   CONTROL_OUTPUT = 25,
   CONTROL_PARALLEL = 26,
   CONTROL_SUBCYCLE = 27,
   CONTROL_IMPLICIT_AUTO = 28,
   CONTROL_IMPLICIT_BUCKLE = 29,
   CONTROL_IMPLICIT_DYNAMICS = 30,
   CONTROL_IMPLICIT_INERTIA_RELIEF = 31,
   CONTROL_IMPLICIT_JOINTS = 32,
   CONTROL_IMPLICIT_MODES = 33,
   CONTROL_IMPLICIT_SOLVER = 34,
   CONTROL_IMPLICIT_STABILIZATION = 35,
   CONTROL_IMPLICIT_TERMINATION = 36,
   CONTROL_MPP_DECOMPOSITION_AUTOMATIC = 37,
   CONTROL_MPP_DECOMPOSITION_CHECK_SPEED = 38,
   CONTROL_MPP_DECOMPOSITION_CONTACT_DISTRIBUTE = 39,
   CONTROL_MPP_DECOMPOSITION_CONTACT_ISOLATE = 40,
   CONTROL_MPP_DECOMPOSITION_FILE = 41,
   CONTROL_MPP_DECOMPOSITION_METHOD = 42,
   CONTROL_MPP_DECOMPOSITION_NUMPROC = 43,
   CONTROL_MPP_DECOMPOSITION_SHOW = 44,
   CONTROL_MPP_DECOMPOSITION_TRANSFORMATION = 45,
   CONTROL_MPP_IO_NOD3DUMP = 46,
   CONTROL_MPP_IO_NODUMP = 47,
   CONTROL_MPP_IO_NOFULL = 48,
   CONTROL_MPP_IO_SWAPBYTES = 49,
   CONTROL_NONLOCAL = 50,
   CONTROL_BULK_VISCOSITY = 51,
   CONTROL_CHECK = 52,
   CONTROL_CHECK_SHELL = 53,
   CONTROL_CONTACT = 54,
   CONTROL_COUPLING = 55,
   CONTROL_EFG = 56,
   CONTROL_ENERGY = 57,
   CONTROL_HOURGLASS = 58,
   CONTROL_HOURGLASS_936 = 59,
   CONTROL_IMPLICIT_EIGENVALUE = 60,
   CONTROL_IMPLICIT_GENERAL = 61,
   CONTROL_IMPLICIT_SOLUTION = 62,
   CONTROL_TERMINATION = 63,
   CONTROL_THERMAL_NONLINEAR = 64,
   CONTROL_THERMAL_SOLVER = 65,
   CONTROL_THERMAL_TIMESTEP = 66,
   CONTROL_TIMESTEP = 67,

   CONTROL_NEW_TYPE
}
   ControlType;

#endif

