#ifndef _DatabaseType_h_
#define _DatabaseType_h_

typedef enum _DatabaseType
{
   DATABASE_BINARY_D3DRLF = 1,
   DATABASE_BINARY_D3CRACK = 2,
   DATABASE_BINARY_D3DUMP = 3,
   DATABASE_BINARY_D3PART = 4,
   DATABASE_BINARY_D3PLOT = 5,
   DATABASE_BINARY_D3PROP = 6,
   DATABASE_BINARY_D3THDT = 7,
   DATABASE_BINARY_FSIFOR = 8,
   DATABASE_BINARY_INTFOR = 9,
   DATABASE_BINARY_RUNRSF = 10,
   DATABASE_BINARY_XTFILE = 11,
   DATABASE_NODAL_FORCE_GROUP = 12,
   DATABASE_EXTENT_AVS = 13,
   DATABASE_EXTENT_BINARY = 14,
   DATABASE_EXTENT_MOVIE = 15,
   DATABASE_EXTENT_MPGS = 16,
   DATABASE_EXTENT_SSSTAT = 17,
   DATABASE_AVSFLT = 18,
   DATABASE_BNDOUT = 19,
   DATABASE_DCFAIL = 20,
   DATABASE_DEFGEO = 21,
   DATABASE_DEFORC = 22,
   DATABASE_ELOUT = 23,
   DATABASE_FSI = 24,
   DATABASE_FSI_SENSOR = 25,
   DATABASE_GCEOUT = 26,
   DATABASE_GLSTAT = 27,
   DATABASE_GLSTAT_MASS_PROPERTIES = 28,
   DATABASE_H3OUT = 29,
   DATABASE_JNTFORC = 30,
   DATABASE_MATSUM = 31,
   DATABASE_MOVIE = 32,
   DATABASE_MPGS = 33,
   DATABASE_NCFORC = 34,
   DATABASE_NODFOR = 35,
   DATABASE_NODOUT = 36,
   DATABASE_ABSTAT = 37,
   DATABASE_RBDOUT = 38,
   DATABASE_RCFORC = 39,
   DATABASE_RWFORC = 40,
   DATABASE_SBTOUT = 41,
   DATABASE_SECFORC = 42,
   DATABASE_SLEOUT = 43,
   DATABASE_SPCFORC = 44,
   DATABASE_SPHOUT = 45,
   DATABASE_SSSTAT = 46,
   DATABASE_SSSTAT_MASS_PROPERTIES = 47,
   DATABASE_SWFORC = 48,
   DATABASE_TPRINT = 49,
   DATABASE_TRHIST = 50,
   DATABASE_CROSS_SECTION_PLANE = 51,
   DATABASE_CROSS_SECTION_PLANE_ID = 52,
   DATABASE_CROSS_SECTION_SET = 53,
   DATABASE_CROSS_SECTION_SET_ID = 54,
   DATABASE_TRACER = 55,
   DATABASE_HISTORY_BEAM = 56,
   DATABASE_HISTORY_BEAM_ID = 57,
   DATABASE_HISTORY_BEAM_SET = 58,
   DATABASE_HISTORY_DISCRETE = 59,
   DATABASE_HISTORY_DISCRETE_ID = 60,
   DATABASE_HISTORY_DISCRETE_SET = 61,
   DATABASE_HISTORY_NODE = 62,
   DATABASE_HISTORY_NODE_ID = 63,
   DATABASE_HISTORY_NODE_LOCAL = 64,
   DATABASE_HISTORY_NODE_LOCAL_ID = 65,
   DATABASE_HISTORY_NODE_SET = 66,
   DATABASE_HISTORY_NODE_SET_LOCAL = 67,
   DATABASE_HISTORY_SEATBELT = 68,
   DATABASE_HISTORY_SEATBELT_ID = 69,
   DATABASE_HISTORY_SHELL = 70,
   DATABASE_HISTORY_SHELL_ID = 71,
   DATABASE_HISTORY_SHELL_SET = 72,
   DATABASE_HISTORY_SOLID = 73,
   DATABASE_HISTORY_SOLID_ID = 74,
   DATABASE_HISTORY_SOLID_SET = 75,
   DATABASE_HISTORY_SPH = 76,
   DATABASE_HISTORY_SPH_SET = 77,
   DATABASE_HISTORY_TSHELL = 78,
   DATABASE_HISTORY_TSHELL_ID = 79,
   DATABASE_HISTORY_TSHELL_SET = 80,
   DATABASE_ADAMS = 81,
   DATABASE_FORMAT = 82,
   DATABASE_SPRING_FORWARD = 83,
   DATABASE_SUPERPLASTIC_FORMING = 84,

   DATABASE_NEW_TYPE
}
   DatabaseType;

#endif

