#ifndef _OBJECT_H_
#define _OBJECT_H_

#include <string>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

using namespace std;

/** An abstract base class inherited by Manager and Data objects */
class Object
{
public:
   /** Virtual function to convert sub-classes into strings
     * \param str pointer to get the converted string of object
     */
   virtual void tostring(char *str) = 0;

   /** Virtual function to convert sub-classes into strings
     * \param str pointer to get the converted string of object
     */
   virtual void tostring(string & str)
   {
      str += "";
   }

   virtual ~Object(){}
};

#endif

