#ifndef _MatType_h_
#define _MatType_h_

typedef enum _MatType
{
   MAT_ALE_GAS_MIXTURE,
   MAT_ALE_VACUUM,
   MAT_ALE_VISCOUS,
   MAT_JOHNSON_HOLMQUIST_CERAMICS,
   MAT_JOHNSON_HOLMQUIST_CONCRETE,
   MAT_JOINTED_ROCK,
   MAT_FLD_TRANSVERSELY_ANISOTROPIC,
   MAT_ISOTROPIC_ELASTIC_FAILURE,
   MAT_ISOTROPIC_ELASTIC_PLASTIC,
   MAT_RESULTANT_ANISOTROPIC,
   MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC,
   MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC_ECHANGE,
   MAT_BAMMAN,
   MAT_BAMMAN_DAMAGE,
   MAT_LAMINATED_GLASS,
   MAT_POWER_LAW_PLASTICITY,
   MAT_RATE_SENSITIVE_POWERLAW_PLASTICITY,
   MAT_RESULTANT_PLASTICITY,
   MAT_3_PARAMETER_BARLAT,
   MAT_BARLAT_ANISOTROPIC_PLASTICITY,
   MAT_BARLAT_YLD2000,
   MAT_BARLAT_YLD96,
   MAT_FLD_3_PARAMETER_BARLAT,
   MAT_ADD_EROSION,
   MAT_ADD_THERMAL_EXPANSION,
   MAT_BILKHU_DUBOIS_FOAM,
   MAT_BLATZ_KO_FOAM,
   MAT_BLATZ_KO_RUBBER,
   MAT_BRITTLE_DAMAGE,
   MAT_FORCE_LIMITED,
   MAT_COHESIVE_ELASTIC,
   MAT_COHESIVE_GENERAL,
   MAT_COHESIVE_MIXED_MODE,
   MAT_COHESIVE_TH,
   MAT_FHWA_SOIL,
   MAT_FHWA_SOIL_NEBRASKA,
   MAT_COMPOSITE_DIRECT,
   MAT_COMPOSITE_LAYUP,
   MAT_COMPOSITE_MATRIX,
   MAT_COMPOSITE_MSC,
   MAT_COMPOSITE_MSC_DMG,
   MAT_DESHPANDE_FLECK_FOAM,
   MAT_COMPOSITE_DAMAGE,
   MAT_COMPOSITE_FAILURE_SHELL_MODEL,
   MAT_COMPOSITE_FAILURE_SOLID_MODEL,
   MAT_ENHANCED_COMPOSITE_DAMAGE,
   MAT_LAMINATED_COMPOSITE_FABRIC,
   MAT_UNIFIED_CREEP,
   MAT_CONCRETE_DAMAGE,
   MAT_CONCRETE_DAMAGE_REL3,
   MAT_CSCM_CONCRETE,
   MAT_WINFRITH_CONCRETE,
   MAT_WINFRITH_CONCRETE_REINFORCEMENT,
   MAT_DAMAGE_1,
   MAT_DAMAGE_2,
   MAT_DAMAGE_3,
   MAT_DAMPER_NONLINEAR_VISCOUS,
   MAT_DAMPER_VISCOUS,
   MAT_DRUCKER_PRAGER,
   MAT_GENERAL_JOINT_DISCRETE_BEAM,
   MAT_HYDRAULIC_GAS_DAMPER_DISCRETE_BEAM,
   MAT_LINEAR_ELASTIC_DISCRETE_BEAM,
   MAT_NONLINEAR_ELASTIC_DISCRETE_BEAM,
   MAT_NONLINEAR_PLASTIC_DISCRETE_BEAM,
   MAT_SID_DAMPER_DISCRETE_BEAM,
   MAT_1DOF_GENERALIZED_SPRING,
   MAT_ELASTIC_6DOF_SPRING_DISCRETE_BEAM,
   MAT_GENERAL_NONLINEAR_1DOF_DISCRETE_BEAM,
   MAT_GENERAL_NONLINEAR_6DOF_DISCRETE_BEAM,
   MAT_INELASTIC_6DOF_SPRING_DISCRETE_BEAM,
   MAT_ELASTIC,
   MAT_ELASTIC_FLUID,
   MAT_ELASTIC_PLASTIC_HYDRO,
   MAT_ELASTIC_PLASTIC_HYDRO_SPALL,
   MAT_ELASTIC_PLASTIC_THERMAL,
   MAT_ELASTIC_WITH_VISCOSITY,
   MAT_ELASTIC_WITH_VISCOSITY_CURVE,
   MAT_CELLULAR_RUBBER,
   MAT_CLOSED_CELL_FOAM,
   MAT_CRUSHABLE_FOAM,
   MAT_FRAZER_NASH_RUBBER_MODEL,
   MAT_FU_CHANG_FOAM,
   MAT_STRAIN_RATE_DEPENDENT_PLASTICITY,
   MAT_EMMI,
   MAT_POLYMER,
   MAT_RAMBERG_OSGOOD,
   MAT_SHAPE_MEMORY,
   MAT_SIMPLIFIED_JOHNSON_COOK,
   MAT_TRIP,
   MAT_VISCOUS_FOAM,
   MAT_ARUP_ADHESIVE,
   MAT_BRAIN_LINEAR_VISCOELASTIC,
   MAT_ELASTIC_VISCOPLASTIC_THERMAL,
   MAT_GENERAL_SPRING_DISCRETE_BEAM,
   MAT_THERMO_ELASTO_VISCOPLASTIC_CREEP,
   MAT_VISCOELASTIC_HILL_FOAM,
   MAT_VISCOELASTIC_THERMAL,
   MAT_GURSON,
   MAT_GURSON_JC,
   MAT_GURSON_RCDC,
   MAT_HILL_3R,
   MAT_HILL_FOAM,
   MAT_INV_HYPERBOLIC_SIN,
   MAT_ANISOTROPIC_ELASTIC,
   MAT_HONEYCOMB,
   MAT_JOHNSON_COOK,
   MAT_LOW_DENSITY_FOAM,
   MAT_LOW_DENSITY_VISCOUS_FOAM,
   MAT_RIGID,
   MAT_GAS_MIXTURE,
   MAT_LOW_DENSITY_SYNTHETIC_FOAM,
   MAT_LOW_DENSITY_SYNTHETIC_FOAM_ORTHO,
   MAT_LOW_DENSITY_SYNTHETIC_FOAM_ORTHO_WITH_FAILURE,
   MAT_LOW_DENSITY_SYNTHETIC_FOAM_WITH_FAILURE,
   MAT_MODIFIED_CRUSHABLE_FOAM,
   MAT_TRANSVERSELY_ISOTROPIC_CRUSHABLE_FOAM,
   MAT_VACUUM,
   MAT_MODIFIED_FORCE_LIMITED,
   MAT_MODIFIED_HONEYCOMB,
   MAT_MODIFIED_JOHNSON_COOK,
   MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY,
   MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_RATE,
   MAT_MODIFIED_ZERILLI_ARMSTRONG,
   MAT_MOONEY_RIVLIN_RUBBER,
   MAT_MTS,
   MAT_NONLOCAL,
   MAT_NULL,
   MAT_OGDEN_RUBBER,
   MAT_KINEMATIC_HARDENING_TRANSVERSELY_ANISOTROPIC,
   MAT_MOHR_COULOMB,
   MAT_MOMENT_CURVATURE_BEAM,
   MAT_MUSCLE,
   MAT_ORTHOTROPIC_SMEARED_CRACK,
   MAT_PITZER_CRUSHABLE_FOAM,
   MAT_NONLINEAR_ORTHOTROPIC,
   MAT_ORTHO_ELASTIC_PLASTIC,
   MAT_ORTHOTROPIC_ELASTIC,
   MAT_ORTHOTROPIC_THERMAL,
   MAT_SIMPLIFIED_JOHNSON_COOK_ORTHOTROPIC_DAMAGE,
   MAT_TEMPERATURE_DEPENDENT_ORTHOTROPIC,
   MAT_CABLE_DISCRETE_BEAM,
   MAT_GEOLOGIC_CAP_MODEL,
   MAT_GEPLASTIC_SRATE_2000a,
   MAT_HIGH_EXPLOSIVE_BURN,
   MAT_ORIENTED_CRACK,
   MAT_PSEUDO_TENSOR,
   MAT_USER_DEFINED_MATERIAL_MODELS,
   MAT_PIECEWISE_LINEAR_PLASTICITY,
   MAT_PLASTIC_GREEN_NAGHDI_RATE,
   MAT_PLASTIC_KINEMATIC,
   MAT_PLASTICITY_POLYMER,
   MAT_PLASTICITY_WITH_DAMAGE,
   MAT_PLASTICITY_WITH_DAMAGE_ORTHO,
   MAT_PLASTICITY_WITH_DAMAGE_ORTHO_RCDC,
   MAT_ANISOTROPIC_ELASTIC_PLASTIC,
   MAT_FINITE_ELASTIC_STRAIN_PLASTICITY,
   MAT_LAYERED_LINEAR_PLASTICITY,
   MAT_PLASTICITY_COMPRESSION_TENSION,
   MAT_PLASTICITY_COMPRESSION_TENSION_EOS,
   MAT_CONCRETE_BEAM,
   MAT_CONCRETE_EC2,
   MAT_SAMP_1,
   MAT_SCHWER_MURRAY_CAP_MODEL,
   MAT_SEATBELT,
   MAT_SPECIAL_ORTHOTROPIC,
   MAT_CORUS_VEGTER,
   MAT_HEART_TISSUE,
   MAT_LUNG_TISSUE,
   MAT_MCCORMICK,
   MAT_SEISMIC_BEAM,
   MAT_SEISMIC_ISOLATOR,
   MAT_RATE_SENSITIVE_COMPOSITE_FABRIC,
   MAT_RATE_SENSITIVE_POLYMER,
   MAT_RC_BEAM,
   MAT_RC_SHEAR_WALL,
   MAT_WTM_STM,
   MAT_WTM_STM_PLC,
   MAT_HYPERELASTIC_RUBBER,
   MAT_SIMPLIFIED_RUBBER_FOAM,
   MAT_SIMPLIFIED_RUBBER_FOAM_WITH_FAILURE,
   MAT_SIMPLIFIED_RUBBER_WITH_DAMAGE,
   MAT_SOIL_BRICK,
   MAT_STEEL_CONCENTRIC_BRACE,
   MAT_HYSTERETIC_SOIL,
   MAT_SOIL_AND_FOAM,
   MAT_SOIL_AND_FOAM_FAILURE,
   MAT_STEINBERG,
   MAT_STEINBERG_LUND,
   MAT_THERMAL_USER_DEFINED,
   MAT_ANISOTROPIC_PLASTIC,
   MAT_FABRIC,
   MAT_SPRING_ELASTIC,
   MAT_SPRING_ELASTOPLASTIC,
   MAT_SPRING_GENERAL_NONLINEAR,
   MAT_SPRING_MAXWELL,
   MAT_SPRING_NONLINEAR_ELASTIC,
   MAT_SPRING_SQUAT_SHEARWALL,
   MAT_ACOUSTIC,
   MAT_ELASTIC_SPRING_DISCRETE_BEAM,
   MAT_INELASTIC_SPRING_DISCRETE_BEAM,
   MAT_ISOTROPIC_SMEARED_CRACK,
   MAT_SOFT_TISSUE,
   MAT_SOFT_TISSUE_VISCO,
   MAT_SOIL_CONCRETE,
   MAT_THERMAL_ISOTROPIC,
   MAT_THERMAL_ISOTROPIC_PHASE_CHANGE,
   MAT_THERMAL_ISOTROPIC_TD,
   MAT_THERMAL_ISOTROPIC_TD_LC,
   MAT_THERMAL_ORTHOTROPIC,
   MAT_THERMAL_ORTHOTROPIC_TD,
   MAT_GENERAL_VISCOELASTIC,
   MAT_KELVIN_MAXWELL_VISCOELASTIC,
   MAT_ORTHOTROPIC_VISCOELASTIC,
   MAT_PLASTIC_NONLINEAR_KINEMATIC,
   MAT_QUASILINEAR_VISCOELASTIC,
   MAT_VISCOELASTIC,
   MAT_ANISOTROPIC_THERMOELASTIC,
   MAT_ANISOTROPIC_VISCOPLASTIC,
   MAT_ARRUDA_BOYCE_RUBBER,
   MAT_SPRING_INELASTIC,
   MAT_SPRING_MUSCLE,
   MAT_SPRING_TRILINEAR_DEGRADING,
   MAT_CSCM,
   MAT_SPOTWELD,
   MAT_SPOTWELD_DAIMLERCHRYSLER,
   MAT_SPOTWELD_DAMAGE_FAILURE,
   MAT_WOOD,
   MAT_WOOD_FIR,
   MAT_WOOD_PINE,

   MAT_NEW_TYPE
}
   MatType;

#endif

