<?php

   include '../html_gen_inc.php';

   if ($argc > 0)
   {
      //$web_root = "/home/krishna/WEB_ROOT/lsdyna/";
      $doc_root = getenv("WEB_ROOT");
      if( $doc_root == null )
      {
         echo "set WEB_ROOT enviroment variable\n";
         return;
      }

      $web_root = $doc_root . "/lsdyna/";
//echo "DOC ROOT=$doc_root\n";
      $comp_dir = $web_root . $argv[1] . "/";
      if( !file_exists($comp_dir) )
         mkdir($comp_dir);

      $title_str = getCardsFromXml("../title/title.xml"); 
      $base_str_array = array();

      for($i = 2; $i < $argc; $i++)
      {
echo "SCANNING ********** " . $argv[$i] . "\n";
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
               $comb_str = getCardsFromXml("$argv[$i]/$file"); 
               if( $comb_str )
               {
		  $xml = simplexml_load_file("$argv[$i]/$file");
		  $class_name = $xml['classname'];
	          $base_str_array["$class_name"] = $comb_str;
               }
	    }
	 }
      }

      for($i = 2; $i < $argc; $i++)
      {
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];

	       $card = $xml->card;
	       if( !$card )
		  continue;

	       if( !strcmp($cpp, 'no') )
		  continue;

	       $base_class = $xml->baseclass['name'];
	       $both_str = "";

	       if( strcmp($base_class, "ImportBase") )
	       {
		  if( isset($base_str_array["$base_class"]) )
		  {
		     $both_str .= $base_str_array["$base_class"];
		  }
		 
		  if( isset($base_str_array["$class_name"]) )
		  {
		     $both_str .= $base_str_array["$class_name"];
		  }

		  $base_str_array["$class_name"] = $both_str;
	       }
	    }
	 }
      }

      $link_list = array();
      $kw_num = 0;
      $kw_array = array();
      for($i = 2; $i < $argc; $i++)
      {
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];
	       $base_class = $xml->baseclass['name'];

	       if( !strcmp($cpp, 'no') )
		  continue;

               $kw_5chars = getKWShortName("*$kw");

               $kw_num = $xml['id'];
//echo "KW_NUM=$kw_num\n";
               $kw_short_name = "$kw_5chars" . "_$kw_num";
               $kw_array["$kw"] = $kw_short_name;

               $str = startOfPage($kw, $kw_short_name);

	       $card = $xml->card;
	       if( !$card )
	       {
		  if( isset($base_str_array["$class_name"]) )
		  {
		     $str .= $base_str_array["$class_name"];
		  }

                  $str .= endOfPage($kw, $kw_short_name);
		  
		  $file_name = $comp_dir . strtolower($kw) . ".php";
		  $file_ptr = fopen($file_name, 'w');

                  $str = str_replace("const char *kw = impObj->getKeyword().data();\\nif( strstr(kw,", "if( strstr(\"$kw\",", $str);

                  $str = str_replace("impObj->getKeyword().data()", "\"$kw\"", $str);
                  $str = str_replace("if( strstr(kw,", "if( strstr(\"$kw\",", $str);
                  $str = str_replace("krishna", "$kw_short_name", $str);
                  $repl = "' id=\\\"" . $kw_short_name . "_C";
                  $str = str_replace("' id=\\\"C", $repl, $str);

		  fwrite($file_ptr, $str);
		  fclose($file_ptr);

                  $link_list["$kw"] = $argv[1] . "/" . strtolower($kw) . ".php";

		  continue;
	       }

	       if( isset($base_str_array["$class_name"]) )
	       {
		  $str .= $base_str_array["$class_name"];
                  $str .= endOfPage($kw, $kw_short_name);
	       }

	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');

               $str = str_replace("const char *kw = impObj->getKeyword().data();\\nif( strstr(kw,", "if( strstr(\"$kw\",", $str);
               $str = str_replace("impObj->getKeyword().data()", "\"$kw\"", $str);
               $str = str_replace("if( strstr(kw,", "if( strstr(\"$kw\",", $str);
               $str = str_replace("krishna", "$kw_short_name", $str);


	       fwrite($file_ptr, $str);
	       fclose($file_ptr);

               $link_list["$kw"] = $argv[1] . "/" . strtolower($kw) . ".php";
	    }
	 }

         $title_kw_num = 0;
         //for title added to keyword for define,set,mat,hg,section,eos sep_9_10
	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];
	       $base_class = $xml->baseclass['name'];

               if( !strstr($kw, "DEFINE") && !strstr($kw, "EOS") && 
                  !strstr($kw, "MAT") && !strstr($kw, "HOUR") && 
                     !strstr($kw, "SECTION") && !strstr($kw, "SET") )
                  continue;

	       if( !strcmp($cpp, 'no') )
		  continue;

               $n = sscanf($kw_array["$kw"], "%3s_%d", $kw_abb, $title_kw_num);
               $title_kw_num += 500; //TITLE_CARD=500 and 1 is increment
               $kw .= "_TITLE";

               $kw_5chars = getKWShortName("*$kw");
               $kw_short_name = "$kw_5chars" . "_$title_kw_num";
               $kw_array["$kw"] = $kw_short_name;

               $str = startOfPage($kw, $kw_short_name);
               $str .= $title_str;

	       $card = $xml->card;
	       if( !$card )
	       {
		  if( isset($base_str_array["$class_name"]) )
		  {
		     $str .= $base_str_array["$class_name"];
		  }

                  $str .= endOfPage($kw, $kw_short_name);
		  
		  $file_name = $comp_dir . strtolower($kw) . ".php";
		  $file_ptr = fopen($file_name, 'w');

                  $str = str_replace("const char *kw = impObj->getKeyword().data();\\nif( strstr(kw,", "if( strstr(\"$kw\",", $str);

                  $str = str_replace("impObj->getKeyword().data()", "\"$kw\"", $str);
                  $str = str_replace("if( strstr(kw,", "if( strstr(\"$kw\",", $str);
                  $str = str_replace("krishna", "$kw_short_name", $str);
                  $repl = "' id=\\\"" . $kw_short_name . "_C";
                  $str = str_replace("' id=\\\"C", $repl, $str);

		  fwrite($file_ptr, $str);
		  fclose($file_ptr);

                  $link_list["$kw"] = $argv[1] . "/" . strtolower($kw) . ".php";

		  continue;
	       }

	       if( isset($base_str_array["$class_name"]) )
	       {
		  $str .= $base_str_array["$class_name"];
                  $str .= endOfPage($kw, $kw_short_name);
	       }

	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');

               $str = str_replace("const char *kw = impObj->getKeyword().data();\\nif( strstr(kw,", "if( strstr(\"$kw\",", $str);
               $str = str_replace("impObj->getKeyword().data()", "\"$kw\"", $str);
               $str = str_replace("if( strstr(kw,", "if( strstr(\"$kw\",", $str);
               $str = str_replace("krishna", "$kw_short_name", $str);


	       fwrite($file_ptr, $str);
	       fclose($file_ptr);

               $link_list["$kw"] = $argv[1] . "/" . strtolower($kw) . ".php";
	    }
	 }//end for title kws
      }

      //createLinks($argv[1], $web_root, $link_list);
      createJSFiles($argv[1], $web_root, $link_list);
     
      createKeywordMapFile($argv[1], $web_root, $kw_array);
   }
?>
