<?php

   $id_str = getCardsFromXml("../contact_id.xml");
   $auto_str = getCardsFromXml("contact_2d_auto.xml");
   $no_auto_str = getCardsFromXml("contact_2d_non_auto.xml");
   $thermal_str = getCardsFromXml("contact_2d_thermal.xml");
   $pen_fric_str = getCardsFromXml("contact_2d_pen_fric.xml");

   $gen_file_name = "contact_2d_opt_no_file_";

   $kw_list = array();
   $str = "";

   $con_types[0] = "CONTACT_2D_SLIDING_ONLY";
   $con_types[1] = "CONTACT_2D_TIED_SLIDING";
   $con_types[2] = "CONTACT_2D_SLIDING_VOIDS";
   $con_types[3] = "CONTACT_2D_PENALTY_FRICTION";
   $con_types[4] = "CONTACT_2D_PENALTY";
   $con_types[5] = "CONTACT_2D_AUTOMATIC_SINGLE_SURFACE";
   $con_types[6] = "CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE";
   $con_types[7] = "CONTACT_2D_AUTOMATIC_NODE_TO_SURFACE";
   $con_types[8] = "CONTACT_2D_SURFACE_IN_CONTINUUM";
   $con_types[9] = "CONTACT_2D_AUTOMATIC_TIED";
   $con_types[10] = "CONTACT_2D_AUTOMATIC_TIED_ONE_WAY";

   $thermal_types[0] = "THERMAL";
   $id_type[0] = "TITLE";

   $kw_str = "";
   $i = 0;
   foreach ($con_types as $con_type)
   {
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
               $kw = $con_type . "_" . $thermal . "_" . $id;
               $kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";

               $kw_str .= $thermal_str;

//echo $kw_str;

	       $i++;
         }
      }
   }

   $file_number = 1;
   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";





   $i = 0;
   foreach ($con_types as $con_type)
   {
      foreach ($thermal_types as $thermal)
      {
	    $kw = $con_type . "_" . $thermal;

	    $kw_str .= "*" . $kw . "\n";

               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

	    $kw_str .= $thermal_str;

	    $i++;
      }
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";





   $i = 0;
   foreach ($con_types as $con_type)
   {
      foreach ($id_type as $id)
      {
	    $kw = $con_type . "_" . $id;
               $kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;

               if( strstr($kw, '_AUTO') )
               {
                  $kw_str .= $auto_str;
               }
               else
               {
                  $kw_str .= $no_auto_str;
               }

               if( strstr($kw, 'TY_FR') )
               {
                  $kw_str .= $pen_fric_str;
               }

//echo "TYPE=" . $con_type . "\n";

	    $i++;
      }
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";






   function getCardsFromXml($file_name)
   {
      $xml = simplexml_load_file($file_name);

      $kw = $xml['name'];
      $cpp = $xml['cppfile'];
      $class_name = $xml['classname'];

      $card = $xml->card;
      if( !$card )
	 return "";

      $class_str = "";
      foreach ($xml->card as $card)
      {
	 $j = 0;
	 $head_str = "$";
	 $value_str = "";
	 $str_buff = "";

	 $card_name = $card['name'];

	 foreach($card->field as $field)
	 {
	    $width = (int)$field['width']; 
	    $field_name = $field['name'];
	    $value = $field['value'];
	    $type = $field['type'];
	    $head_format = "";
	    $value_format = "";

	    $value_format = sprintf("%%%ds", $width);
	    if( $j != 0 )
	    {
	       $head_format = sprintf("%%%ds", $width);
	    }
	    else
	    {
	       $head_format = sprintf("%%%ds", $width-1);
	    }

	    $str_buff = sprintf($head_format, $field_name);
	    $head_str .= $str_buff;
	    $str_buff = sprintf($value_format, $value);
	    $value_str .= $str_buff;

	    $j++;
	 }

	 $head_str .= "\n";
	 $value_str .= "\n";

	 $class_str .= $head_str;
	 $class_str .= $value_str;
      }
      
      return $class_str;
   }

?>
