<?php
   include '../html_gen_inc.php';

   $dir_name = "contact/";
   //$web_root = "/home/krishna/WEB_ROOT/lsdyna/";
   $doc_root = getenv("WEB_ROOT");
   if( $doc_root == null )
   {
      echo "set WEB_ROOT enviroment variable\n";
      return;
   }
   $web_root = $doc_root . "/lsdyna/";
   $comp_dir = $web_root . $dir_name;
   if( !file_exists($comp_dir) )
      mkdir($comp_dir);

   $id_str = getCardsFromXml("contact_id.xml");
   $mpp_str = getCardsFromXml("contact_mpp.xml");
   $mand_str = getCardsFromXml("contact_mandatory.xml");
   $thermal_str = getCardsFromXml("contact_thermal.xml");
   $thermal_fric_str = getCardsFromXml("contact_thermal_friction.xml");
   $opt_a_str = getCardsFromXml("contact_option_a.xml");
   $opt_b_str = getCardsFromXml("contact_option_b.xml");
   $opt_c_str = getCardsFromXml("contact_option_c.xml");


   $kw_list = array();
   $link_list = array();
   $str = "";

   $CONTACT_ID_TITLE = 0;
   $CONTACT_MPP = 1;
   $CONTACT_THERMAL = 2;
   $CONTACT_THERMAL_FRICTION = 3;
   $CONTACT_2D_AUTOMATIC = 4;
   $CONTACT_SET = 5;
   $CONTACT_OFFSET = 6;
   $CONTACT_BEAM_OFFSET = 7;
   $CONTACT_CONSTRAINED_OFFSET = 8;




   $con_types[0] = "CONTACT_AIRBAG_SINGLE_SURFACE";
   $con_types[1] = "CONTACT_AUTOMATIC_GENERAL";
   $con_types[2] = "CONTACT_AUTOMATIC_GENERAL_INTERIOR";
   $con_types[3] = "CONTACT_AUTOMATIC_NODES_TO_SURFACE";
   $con_types[4] = "CONTACT_AUTOMATIC_NODES_TO_SURFACE_SMOOTH";
   $con_types[5] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[6] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK";
   $con_types[7] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[8] = "CONTACT_AUTOMATIC_SINGLE_SURFACE";
   $con_types[9] = "CONTACT_AUTOMATIC_SINGLE_SURFACE_SMOOTH";
   $con_types[10] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE";
   $con_types[11] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK";
   $con_types[12] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[13] = "CONTACT_CONSTRAINT_NODES_TO_SURFACE";
   $con_types[14] = "CONTACT_CONSTRAINT_SURFACE_TO_SURFACE";
   $con_types[15] = "CONTACT_DRAWBEAD";
   $con_types[16] = "CONTACT_DRAWBEAD_INITIALIZE";
   $con_types[17] = "CONTACT_ERODING_NODES_TO_SURFACE";
   $con_types[18] = "CONTACT_ERODING_SINGLE_SURFACE";
   $con_types[19] = "CONTACT_ERODING_SURFACE_TO_SURFACE";
   $con_types[20] = "CONTACT_FORCE_TRANSDUCER_CONSTRAINT";
   $con_types[21] = "CONTACT_FORCE_TRANSDUCER_PENALTY";
   $con_types[22] = "CONTACT_FORMING_NODES_TO_SURFACE";
   $con_types[23] = "CONTACT_FORMING_NODES_TO_SURFACE_SMOOTH";
   $con_types[24] = "CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[25] = "CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[26] = "CONTACT_FORMING_SURFACE_TO_SURFACE";
   $con_types[27] = "CONTACT_FORMING_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[28] = "CONTACT_NODES_TO_SURFACE";
   $con_types[29] = "CONTACT_NODES_TO_SURFACE_INTERFERENCE";
   $con_types[30] = "CONTACT_NODES_TO_SURFACE_SMOOTH";
   $con_types[31] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[32] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE";
   $con_types[33] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[34] = "CONTACT_RIGID_NODES_TO_RIGID_BODY";
   $con_types[35] = "CONTACT_RIGID_BODY_ONE_WAY_TO_RIGID_BODY";
   $con_types[36] = "CONTACT_RIGID_BODY_TWO_WAY_TO_RIGID_BODY";
   $con_types[37] = "CONTACT_SINGLE_EDGE";
   $con_types[38] = "CONTACT_SINGLE_SURFACE";
   $con_types[39] = "CONTACT_SLIDING_ONLY";
   $con_types[40] = "CONTACT_SLIDING_ONLY_PENALTY";
   $con_types[41] = "CONTACT_SPOTWELD";
   $con_types[42] = "CONTACT_SPOTWELD_WITH_TORSION";
   $con_types[43] = "CONTACT_SURFACE_TO_SURFACE";
   $con_types[44] = "CONTACT_SURFACE_TO_SURFACE_INTERFERENCE";
   $con_types[45] = "CONTACT_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[46] = "CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT";
   $con_types[47] = "CONTACT_TIEBREAK_NODES_TO_SURFACE";
   $con_types[48] = "CONTACT_TIEBREAK_NODES_ONLY";
   $con_types[49] = "CONTACT_TIEBREAK_SURFACE_TO_SURFACE";
   $con_types[50] = "CONTACT_TIED_NODES_TO_SURFACE";
   $con_types[51] = "CONTACT_TIED_SHELL_EDGE_TO_SURFACE";
   $con_types[52] = "CONTACT_TIED_SURFACE_TO_SURFACE";
   $con_types[53] = "CONTACT_TIED_SURFACE_TO_SURFACE_FAILURE";


   $thermal_types[0] = "THERMAL";
   $mpp_type[0] = "MPP";
   $id_type[0] = "ID";

   $kw_str = "";
   $cnt_num = 0;
   $kw_array = array();
   foreach ($con_types as $con_type)
   {
      $kw_short_name = "CNT_" . $cnt_num;
      $kw_array["$con_type"] = $kw_short_name;
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    foreach ($mpp_type as $mpp)
	    {
               $kw = $con_type . "_" . $thermal . "_" . $id . "_" . $mpp;
               //$kw_str .= "*" . $kw . "\n";
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

//echo $kw_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_THERMAL);
               $bin_flag |= (1 << $CONTACT_MPP);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;

               
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);


               $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	    }
         }
      }
      $cnt_num++;
   }





   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    $kw = $con_type . "_" . $thermal . "_" . $id;
               //$kw_str = startOfPage($kw);
               $kw_str = "";

	    //$kw_str .= "*" . $kw . "\n";
	    $kw_str .= $id_str;
	    $kw_str .= $mand_str;

	    $card4_str = getCard4FromType($con_type);
	    $kw_str .= $card4_str;

	    $kw_str .= $thermal_str;
	    $kw_str .= $opt_a_str;
	    $kw_str .= $opt_b_str;
	    $kw_str .= $opt_c_str;

            $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_THERMAL);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

            $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	    $file_name = $comp_dir . strtolower($kw) . ".php";
	    $file_ptr = fopen($file_name, 'w');
	    fwrite($file_ptr, $kw_str);
	    fclose($file_ptr);
	    $kw_str = "";
         }
      }
   }




   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
	 foreach ($mpp_type as $mpp)
	 {
	    $kw = $con_type . "_" . $thermal . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";

	    //$kw_str .= "*" . $kw . "\n";
	    $kw_str .= $mpp_str;
	    $kw_str .= $mand_str;

	    $card4_str = getCard4FromType($con_type);
	    $kw_str .= $card4_str;

	    $kw_str .= $thermal_str;
	    $kw_str .= $opt_a_str;
	    $kw_str .= $opt_b_str;
	    $kw_str .= $opt_c_str;

      $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;


               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
         }
      }
   }




   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($id_type as $id)
      {
	 foreach ($mpp_type as $mpp)
	 {
	    $kw = $con_type . "_" . $id . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;
	       $kw_str .= $opt_a_str;
	       $kw_str .= $opt_b_str;
	       $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_MPP);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	 }
      }
   }







   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
	 $kw = $con_type . "_" . $thermal;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_THERMAL);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }



   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($id_type as $id)
      {
	 $kw = $con_type . "_" . $id;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

      $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;


               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }



   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      foreach ($mpp_type as $mpp)
      {
	 $kw = $con_type . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

      $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_MPP);
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }



   foreach ($con_types as $con_type)
   {
      $kw_short_name = $kw_array["$con_type"];
      $bin_flag = 0;
      $kw = $con_type;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_type);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
   }





   $con_types[0] = "CONTACT_TIED_NODES_TO_SURFACE";
   $con_types[1] = "CONTACT_TIED_SHELL_EDGE_TO_SURFACE";
   $con_types[2] = "CONTACT_TIED_SURFACE_TO_SURFACE";

   $offset_types[0] = "OFFSET";
   $offset_types[1] = "CONSTRAINED_OFFSET";

   $thermal_types[0] = "THERMAL";
   $mpp_type[0] = "MPP";
   $id_type[0] = "ID";

   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    foreach ($offset_types as $offset_type)
	    {
	       foreach ($mpp_type as $mpp)
	       {
                  $kw_short_name = $kw_array["$con_type"];

		  $kw = $con_types[$j] . "_" . $thermal . "_" . $id . "_" . $offset_type . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	       }
            }
         }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    foreach ($offset_types as $offset_type)
	    {
               $kw_short_name = $kw_array["$con_type"];
	       $kw = $con_types[$j] . "_" . $thermal . "_" . $id . "_" . $offset_type;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_THERMAL);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
            }
         }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($thermal_types as $thermal)
      {
	 foreach ($offset_types as $offset_type)
	 {
	    foreach ($mpp_type as $mpp)
	    {
               $kw_short_name = $kw_array["$con_type"];
	       $kw = $con_types[$j] . "_" . $thermal . "_" . $offset_type . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	    }
	 }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($id_type as $id)
      {
	 foreach ($offset_types as $offset_type)
	 {
	    foreach ($mpp_type as $mpp)
	    {
               $kw_short_name = $kw_array["$con_type"];
	       $kw = $con_types[$j] . "_" . $id . "_" . $offset_type . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_MPP);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	    }
	 }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($thermal_types as $thermal)
      {
	 foreach ($offset_types as $offset_type)
	 {
               $kw_short_name = $kw_array["$con_type"];
	       $kw = $con_types[$j] . "_" . $thermal . "_" . $offset_type;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_THERMAL);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	 }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($id_type as $id)
      {
	 foreach ($offset_types as $offset_type)
	 {
               $kw_short_name = $kw_array["$con_type"];
	       $kw = $con_types[$j] . "_" . $id . "_" . $offset_type;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	 }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($offset_types as $offset_type)
      {
	 foreach ($mpp_type as $mpp)
	 {
            $kw_short_name = $kw_array["$con_type"];
	    $kw = $con_types[$j] . "_" . $offset_type . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_MPP);

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	 }
      }
   }




   for ($j = 0; $j < 3; $j++)
   {
      $con_type = $con_types[$j];
      foreach ($offset_types as $offset_type)
      {
         $kw_short_name = $kw_array["$con_type"];
	 $kw = $con_types[$j] . "_" . $offset_type;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;

               if( $offset_type == "OFFSET" )
                  $bin_flag |= (1 << $CONTACT_OFFSET);
               else if( $offset_type == "CONSTRAINED_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_CONSTRAINED_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }








   $con_types[0] = "CONTACT_TIED_SHELL_EDGE_TO_SURFACE";

   $offset_types[0] = "BEAM_OFFSET";

   $thermal_types[0] = "THERMAL";
   $mpp_type[0] = "MPP";
   $id_type[0] = "ID";

   for ($j = 0; $j < 1; $j++)
   {
      $con_type = $con_types[$j];
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    for($k = 0; $k < 1; $k++) //$offset_types as $offset_type)
	    {
	       foreach ($mpp_type as $mpp)
	       {
		  $kw = $con_types[$j] . "_" . $thermal . "_" . $id . "_" . $offset_types[$k] . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL);

               if( $offset_type == "BEAM_OFFSET" )
                  $bin_flag |= (1 << $CONTACT_BEAM_OFFSET);
                   
               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	       }
            }
         }
      }
   }




   $con_types[0] = "CONTACT_TIED_SHELL_EDGE_TO_SURFACE";
   $con_types[1] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[2] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK";
   $con_types[3] = "CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[4] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE";
   $con_types[5] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK";
   $con_types[6] = "CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[7] = "CONTACT_CONSTRAINT_SURFACE_TO_SURFACE";
   $con_types[8] = "CONTACT_ERODING_SURFACE_TO_SURFACE";
   $con_types[9] = "CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[10] = "CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[11] = "CONTACT_FORMING_SURFACE_TO_SURFACE";
   $con_types[12] = "CONTACT_FORMING_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[13] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE";
   $con_types[14] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE";
   $con_types[15] = "CONTACT_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[16] = "CONTACT_SURFACE_TO_SURFACE";
   $con_types[17] = "CONTACT_SURFACE_TO_SURFACE_INTERFERENCE";
   $con_types[18] = "CONTACT_SURFACE_TO_SURFACE_SMOOTH";
   $con_types[19] = "CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT";
   $con_types[20] = "CONTACT_TIED_SURFACE_TO_SURFACE";
   $con_types[21] = "CONTACT_TIED_SURFACE_TO_SURFACE_FAILURE";

   $thermal_types[0] = "THERMAL_FRICTION";
   $mpp_type[0] = "MPP";
   $id_type[0] = "ID";

   for($j = 0; $j < 22; $j++)
   {
      $con_type = $con_types[$j];
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    foreach ($mpp_type as $mpp)
	    {
	       $kw = $con_types[$j] . "_" . $thermal . "_" . $id . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_fric_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL_FRICTION);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	    }
         }
      }
   }




   for($j = 0; $j < 22; $j++)
   {
      $con_type = $con_types[$j];
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
         foreach ($id_type as $id)
         {
	    $kw = $con_types[$j] . "_" . $thermal . "_" . $id;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $id_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_fric_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_ID_TITLE);
               $bin_flag |= (1 << $CONTACT_THERMAL_FRICTION);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
         }
      }
   }




   for($j = 0; $j < 22; $j++)
   {
      $con_type = $con_types[$j];
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
	 foreach ($mpp_type as $mpp)
	 {
	    $kw = $con_types[$j] . "_" . $thermal . "_" . $mpp;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mpp_str;
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_fric_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_MPP);
               $bin_flag |= (1 << $CONTACT_THERMAL_FRICTION);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
	 }
      }
   }




   for($j = 0; $j < 22; $j++)
   {
      $con_type = $con_types[$j];
      $kw_short_name = $kw_array["$con_type"];
      foreach ($thermal_types as $thermal)
      {
	 $kw = $con_types[$j] . "_" . $thermal;
               //$kw_str = startOfPage($kw);
               $kw_str = "";
               //$kw_str .= "*" . $kw . "\n";
               $kw_str .= $mand_str;

               $card4_str = getCard4FromType($con_types[$j]);
//echo "TYPE=" . $con_type . "\n";
//echo "STR=" . $card4_str . "\n";
               $kw_str .= $card4_str;

               $kw_str .= $thermal_fric_str;
               $kw_str .= $opt_a_str;
               $kw_str .= $opt_b_str;
               $kw_str .= $opt_c_str;

               $bin_flag = 0;
               $bin_flag |= (1 << $CONTACT_THERMAL_FRICTION);

               $kw_short_name .= "_" . $bin_flag;

               $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

               $kw_str .= endOfPage($kw, $kw_short_name);
               $kw_list["$kw"] = $kw_short_name;
               $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
            $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
	       $file_name = $comp_dir . strtolower($kw) . ".php";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $kw_str);
	       fclose($file_ptr);
	       $kw_str = "";
      }
   }

   $dir_name = "contact";
   //createLinks($dir_name, $web_root, $link_list);
   //these 3 lines are commented to combine all contacts together
   //createJSFiles($dir_name, $web_root, $link_list);
   //ksort($kw_list);
   //createKeywordMapFile($dir_name, $web_root, $kw_list);
    
   $keys = array_keys($kw_list);
   $values = array_values($kw_list);
   file_put_contents("keywords", implode(",", $keys));
   file_put_contents("values", implode(",", $values));

   function getCard4FromType(&$con_type)
   {
      switch((string)$con_type)
      {
	 case 'CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK':
	 case 'CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK':
            return getCardsFromXml("contact_auto_surf_to_surf_tiebreak.xml");
	 case 'CONTACT_CONSTRAINT_NODES_TO_SURFACE':
	 case 'CONTACT_CONSTRAINT_SURFACE_TO_SURFACE':
            return getCardsFromXml("contact_const_nodes_to_surf.xml");
	 case 'CONTACT_DRAWBEAD':
            return getCardsFromXml("contact_drawbead.xml");
	 case 'CONTACT_DRAWBEAD_INITIALIZE':
            $str = getCardsFromXml("contact_drawbead.xml");
            $str .= getCardsFromXml("contact_drawbead_init.xml");
            return $str;
	 case 'CONTACT_ERODING_NODES_TO_SURFACE':
	 case 'CONTACT_ERODING_SINGLE_SURFACE':
	 case 'CONTACT_ERODING_SURFACE_TO_SURFACE':
            return getCardsFromXml("contact_erode_nodes_to_surf.xml");
	 case 'CONTACT_NODES_TO_SURFACE_INTERFERENCE':
	 case 'CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE':
	 case 'CONTACT_SURFACE_TO_SURFACE_INTERFERENCE':
            return getCardsFromXml("contact_nodes_to_surf_inter.xml");
	 case 'CONTACT_RIGID_NODES_TO_RIGID_BODY':
	 case 'CONTACT_RIGID_BODY_ONE_WAY_TO_RIGID_BODY':
	 case 'CONTACT_RIGID_BODY_TWO_WAY_TO_RIGID_BODY':
            return getCardsFromXml("contact_rigid_nodes_to_body.xml");
	 case 'CONTACT_TIEBREAK_NODES_TO_SURFACE':
	 case 'CONTACT_TIEBREAK_NODES_ONLY':
            return getCardsFromXml("contact_tiebreak_nodes_to_surf.xml");
	 case 'CONTACT_TIEBREAK_SURFACE_TO_SURFACE':
            return getCardsFromXml("contact_tiebreak_surf_to_surf.xml");
	 case 'CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT':
            return getCardsFromXml("contact_surf_to_surf_contract_joint.xml");
         default:
            return "";
      }
   }
?>
