<?php
   function getCardsFromXml($file_name)
   {
      $xml = simplexml_load_file($file_name);

      $kw = $xml['name'];
      $cpp = $xml['cppfile'];
      $class_name = $xml['classname'];

      $card = $xml->card;
      if( !$card )
	 return "";

      $class_str = "";
      $var_str = "";
      $glb_var_arr = array();
      $field_card_array = array();

      $base_class = $xml->baseclass['name'];

      $card_arr = array();
      $card_array = array();
      $loop_card_arr = array();
      $card_num = 0;

      foreach ($xml->card as $card)
      {
	 $head_str = "echo \"<tr class='fields'>\";\n";
	 $input_str = "echo \"<tr class='fields'>\";\n";

	 $card_name = $card['name'];

	 $ret_var = $card['return'];
	 $ret_type = $card['returntype'];
	 $card_num++;

	 if( $ret_var )
	 {
	    $glb_var_arr["$ret_var"] = $ret_type;
	 }

	 $field_arr = array();
	 $field_num = 0;

	 $cname = $card_name;
	 foreach($card->field as $field)
	 {
	    $width = (int)$field['width']; 
	    $field_name = $field['name'];
	    $value = $field['value'];
	    $type = $field['type'];

            $field_num++;
            $alt_field_name = "C_" . $card_num . "_F_" . $field_num;

	    $col_span = 1;
	    switch($width)
	    {
	       case 8:
	       case 10:
		  $col_span = 1;
		  break;
	       case 16:
	       case 20:
		  $col_span = 2;
		  break;
	       case 70:
		  $col_span = 7;
		  break;
	       case 80:
		  $col_span = 8;
		  break;
	    }

	    if( $col_span == 1 )
	    {
	       $head_str .= "echo \"<td>\";\n";
	    }
	    else
	    {
	       $head_str .= "echo \"<td colspan='$col_span'>\";\n";
	    }

	    $head_str .= "echo \"$field_name\";\n";
	    $head_str .= "echo \"</td>\";\n";

	    if( !strcasecmp($field_name, "unused") )
	    {
	       //$input_str .= "echo \"<td class='textProp'></td>\";\n";
               $unused_name = "UU_" . $field_num . "_C_" . $card_num;
	       $input_str .= "setVarValue('krishna', \"$cname\", \"$unused_name\");\necho \"<td><input readonly='yes' class='textProp' type='text' size='$width' name='$unused_name' onchange=\\\"return sendRequest('krishna', '$cname', '$unused_name', this.value)\\\" value='\" . getVarValue('krishna', \"$cname\", \"$unused_name\") . \"' maxlength='$width' id=\\\"$alt_field_name\\\"></input></td>\";\n";
	       continue;
	    }

	    if( $col_span == 1 )
	    {
	       if( strcmp($field_name, $ret_var) )
	       {
		  $input_str .= "setVarValue('krishna', \"$cname\", \"$field_name\");\necho \"<td><input class='textProp' type='text' size='$width' name='$field_name' onchange=\\\"return sendRequest('krishna', '$cname', '$field_name', this.value)\\\" value='\" . getVarValue('krishna', \"$cname\", \"$field_name\") . \"' maxlength='$width' id=\\\"$alt_field_name\\\"></input></td>\";\n";
	       }
	       else
	       {
		  $input_str .= "setVarValue('krishna', \"$cname\", \"$field_name\");\necho \"<td><input class='textProp' type='text' size='$width' name=\\\"$field_name\\\" onchange=\\\"return sendRequestAndReload('krishna', '$cname', '$field_name', this.value)\\\" value='\" . getVarValue('krishna', \"$cname\", \"$field_name\") . \"' maxlength='$width' id=\\\"$alt_field_name\\\"></input></td>\";\n";
	       }
	    }
	    else
	    {
	       if( strcmp($field_name, $ret_var) )
	       {
		  $input_str .= "setVarValue('krishna', \"$cname\", \"$field_name\");\necho \"<td colspan='$col_span'><input class='textProp' type='text' size='$width' name=\\\"$field_name\\\" onchange=\\\"return sendRequest('krishna', '$cname', '$field_name', this.value)\\\" value='\" . getVarValue('krishna', \"$cname\", \"$field_name\") . \"' maxlength='$width' id=\\\"$alt_field_name\\\"></input></td>\";\n";
	       }
	       else
	       {
		  $input_str .= "setVarValue('krishna', \"$cname\", \"$field_name\");\necho \"<td colspan='$col_span'><input class='textProp' type='text' size='$width' name=\\\"$field_name\\\" onchange=\\\"return sendRequestAndReload('krishna', '$cname', '$field_name', this.value)\\\" value='\" . getVarValue('krishna', \"$cname\", \"$field_name\") . \"' maxlength='$width' id=\\\"$alt_field_name\\\"></input></td>\";\n";
	       }
	    }
	 }

	 $card_arr["$card_name"] = $field_arr;

	 $head_str .= "echo \"</tr>\";\n";
	 $input_str .= "echo \"</tr>\";\n";

	 $loop_str = "";
	 if( $card->loop )
	 {
	    array_push($loop_card_arr, $card_name);
	    $loop_field = strtolower($card->loop['loopfield']);
	    if( $loop_field )
	       $glb_var_arr["$loop_field"] = "int";
	    $start = $card->loop['start'];
	    $end = strtolower($card->loop['end']);
	    if( $loop_field )
	       $end = str_replace($loop_field, "\$$loop_field", $end);
	    $loop_str .= "for(\$i = $start;\$i < (int) $end;\$i++)\n";
	    $loop_str .= "{\n";
	 }

	 if( $loop_str )
	 {
	    $card_array["head_$card_name"] = $loop_str . $head_str;
	    $card_array["input_$card_name"] = $input_str . "}\n";
	 }
	 else
	 {
	    $card_array["head_$card_name"] = $head_str;
	    $card_array["input_$card_name"] = $input_str;
	 }
      }

      foreach ($xml->condition as $cond)
      {
	 $stmt = $cond['statement'];

	 if( $cond->refcard )
	 {
	    foreach ($cond->refcard as $refcard)
	    {
	       $refcard_name = $refcard['name'];
	       foreach ($refcard->reffield as $reffield)
	       {
		  $ref_field = $reffield['name'];
		  $field_card_array["$ref_field"] = $refcard_name;
		  $ref_type = $reffield['type'];
		  $glb_var_arr["$ref_field"] = $ref_type;
	       }
	    }
	 }

	 $glb_var_arr = array_change_key_case($glb_var_arr, CASE_LOWER);
	 $var_keys = array_keys($glb_var_arr);

	 if( $stmt )
	 {
	    $new_stmt = $stmt;
	    foreach ($var_keys as $var)
	    {
	       $new_stmt = str_replace($var, "\$$var", $new_stmt);
	    }
	    
	    $class_str .= $new_stmt;
	    $class_str .= "{\n";

	    $loop_str = "";
	    if( $cond->loop )
	    {
	       $start = $cond->loop['start'];
	       $end = $cond->loop['end'];

	       foreach ($var_keys as $var)
	       {
		  $end = str_replace($var, "\$$var", $end);
	       }

	       $loop_str .= "for(\$i = $start; \$i < (int) $end; \$i++)\n";
	       $loop_str .= "{\n";
	       $class_str .= $loop_str;
	    }

	    foreach ($cond->card as $con_card)
	    {
	       $cname = $con_card['name'];
	       if( $cond->loop )
		  array_push($loop_card_arr, $cname);
	       $class_str .= $card_array["head_$cname"];
	       $class_str .= $card_array["input_$cname"];
	    }

	    if( $loop_str )
	    {
	       $class_str .= "}\n";
	    }

	    $class_str .= "}\n";
	 }
	 else
	 {
	    $loop_str = "";
	    if( $cond->loop )
	    {
	       $start = $cond->loop['start']; 
	       $end = $cond->loop['end']; 

	       foreach ($var_keys as $var)
	       {
		  $end = str_replace($var, "\$$var", $end);
	       }

	       $loop_str .= "for(\$i = $start; \$i < (int) $end; \$i++)\n";
	       $loop_str .= "{\n";
	       $class_str .= $loop_str;
	    }

	    foreach ($cond->card as $con_card)
	    {
	       $cname = $con_card['name'];
	       if( $cond->loop )
		  array_push($loop_card_arr, $cname);
	       $class_str .= $card_array["head_$cname"];
	       $class_str .= $card_array["input_$cname"];
	    }

	    if( $loop_str )
	    {
	       $class_str .= "}\n";
	    }
	 }
      }

      $uniq_var_keys = array_unique($var_keys);

      foreach ($uniq_var_keys as $var)
      {
	 $up_var = strtoupper($var);
	 $var_str .= "\$$var = (" . $glb_var_arr["$var"] . ") getVarValue('krishna', \"" . $field_card_array["$up_var"] . "\", \"" . $up_var . "\");\n";
	 $var_find = "name=\\\"" . strtoupper($var) . "\\\" onchange=\\\"return sendRequestAndReload";
	 $var_find1 = "name=\\\"" . strtoupper($var) . "\\\" onchange=\\\"return sendRequest";
	 if( !strstr($class_str, $var_find) )
	 {
	   $class_str = str_replace($var_find1, $var_find, $class_str);
	 }
      }

      if( $class_str )
      {
	 $uniq_loop_cards = array_unique($loop_card_arr);

	 foreach ($uniq_loop_cards as $card_loop)
	 {
	    $fields = $card_arr["$card_loop"];
	    foreach ($fields as $fld)
	    {
	       $class_str = str_replace("name=\\\"$fld\\\"", "name=\\\"$fld\$i\\\"", $class_str);


	       $find = "'" . $field_card_array["$fld"] . "', '$fld', this.value";
	       $rpl = "'" . $field_card_array["$fld"] . "\$i', '$fld\$i', this.value";
	       $class_str = str_replace($find, $rpl, $class_str);
	       $class_str = str_replace("php', '$fld'", "php', '$fld\$i'", $class_str);


	       $find = "getVarValue('krishna', \"" . $field_card_array["$fld"] . "\", \"$fld\"";
	       $rpl = "getVarValue('krishna', \"" . $field_card_array["$fld"] . "\$i\", \"$fld\$i\"";
	       $class_str = str_replace($find, $rpl, $class_str);


	       $find = "setVarValue('krishna', \"" . $field_card_array["$fld"] . "\", \"$fld\"";
	       $rpl = "setVarValue('krishna', \"" . $field_card_array["$fld"] . "\$i\", \"$fld\$i\"";
	       $class_str = str_replace($find, $rpl, $class_str);
	    }
	 }

	 $comb_str = $var_str . $class_str;
      }

      return $comb_str;
   }

   function createKeywordMapFile(&$dir_name, &$web_root, &$kw_array)
   {
      $kw_str = "<?php\n\$$dir_name" . "_array = array(\n";
      foreach ($kw_keys as $kw_key)
      {
         $kw_str .= "\"$kw_key\" => \"" . $kw_array["$kw_key"] . "\",\n";
      }
      $kw_str .= ");\n?>\n";

      $kw_file = $web_root . $dir_name . "/" . $dir_name . "_array.php";
      $kw_file_ptr = fopen($kw_file, 'w');
      fwrite($kw_file_ptr, $kw_str);
      fclose($kw_file_ptr);
   }

   function startOfPage(&$kw)
   {
      $str = getStartOfPage($kw);

      $str .= "<?php\n";
      $str .= "include '../lsd.php';\n";
      $str .= "?>\n";
      $str .= "<table cellspacing='0' cellpadding='0' border='1'>\n";
      $str .= "<thead align='left'>\n";
      $str .= "<tr>\n<th colspan='7' class='headingTextProp'>*$kw</th><td><a href='help/" . strtolower($kw) . ".html' target='_blank'>Help</a></td></tr>\n</thead>\n";
      $str .= "<?php\n";

      return $str;
   }

   function endOfPage(&$kw, &$kw_short_name)
   {
      $str = "?>\n"; 

      $str .= "<tr><td colspan='4' align='center'><input class='okProp' type='submit' name='OK' value='Save'></input></td>\n";
      $str .= "<td colspan='4' align='center'><input class='resetProp' type='button' name='Reset' value='Reset' onclick=\"return resetRequest('$kw', '$kw_short_name')\"></input></td></tr>\n";
      $str .= "</table>\n";
      $str .= "<div id='testElm'></div>\n";
      $str .= "<input type='hidden' name='$kw_short_name' value='$kw'></input>\n";
      $str .= "</form>\n</body>\n</html>\n";

      return $str;
   }

   function getStartOfPage(&$kw)
   {
      return "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/strict.dtd\">
<html>
<head><title>$kw</title>
<script language=\"JavaScript\" src=\"/js/jquery.js\" type=\"text/javascript\">
<script language=\"JavaScript\" src=\"/js/lsdxmlhttp.js\" type=\"text/javascript\">
</script>
<script language=\"JavaScript\" src=\"/js/lsd.js\" type=\"text/javascript\">
</script>
</head>
<body>
<form action=\"/savetodb.php\" method=\"POST\" name=\"" . strtolower($kw) . "\">\n";
   }

   function createLinks(&$dir_name, &$web_root, &$link_list)
   {
      $link_str = "<html><head><title>" . strtoupper($dir_name) . " KEYWORDS </title></head><body><table>\n";
      ksort($link_list);
      $link_keys = array_keys($link_list);
      foreach ($link_keys as $link)
      {
	 $link_str .= "<tr><td><a href='" . $link_list["$link"] . "'>*$link</a></td></tr>\n";
      }

      $link_str .= "</table></body></html>\n";

      $link_file = $web_root . $dir_name . "_index.html"; 
      echo "LINK FILE = " . $link_file . "\n";

      $link_file_ptr = fopen($link_file, 'w');
      fwrite($link_file_ptr, $link_str);
      fclose($link_file_ptr);
   }
?>
