<?php

   include '../../html_gen_inc.php';

   $dir_name = "contact/";
   //$web_root = "/home/krishna/WEB_ROOT/lsdyna/";
   $doc_root = getenv("WEB_ROOT");
   if( $doc_root == null )
   {
      echo "set WEB_ROOT enviroment variable\n";
      return;
   }
   $web_root = $doc_root . "/lsdyna/";
   $comp_dir = $web_root . $dir_name;
   if( !file_exists($comp_dir) )
      mkdir($comp_dir);

   $kw_list = array();
   $link_list = array();
   $str = "";

   $CONTACT_ID_TITLE = 0;
   $CONTACT_MPP = 1;
   $CONTACT_THERMAL = 2;
   $CONTACT_THERMAL_FRICTION = 3;
   $CONTACT_2D_AUTOMATIC = 4;
   $CONTACT_SET = 5;
   $CONTACT_OFFSET = 6;
   $CONTACT_BEAM_OFFSET = 7;
   $CONTACT_CONSTRAINED_OFFSET = 8;


   $con_types[0] = "CONTACT_AUTO_MOVE";
   $con_types[1] = "CONTACT_COUPLING";
   $con_types[2] = "CONTACT_ENTITY";
   $con_types[3] = "CONTACT_GEBOD_HEAD";
   $con_types[4] = "CONTACT_GEBOD_LEFT_FOOT";
   $con_types[5] = "CONTACT_GEBOD_LEFT_HAND";
   $con_types[6] = "CONTACT_GEBOD_LEFT_LOWER_ARM";
   $con_types[7] = "CONTACT_GEBOD_LEFT_LOWER_LEG";
   $con_types[8] = "CONTACT_GEBOD_LEFT_SHOULDER";
   $con_types[9] = "CONTACT_GEBOD_LEFT_UPPER_ARM";
   $con_types[10] = "CONTACT_GEBOD_LEFT_UPPER_LEG";
   $con_types[11] = "CONTACT_GEBOD_LOWER_TORSO";
   $con_types[12] = "CONTACT_GEBOD_MIDDLE_TORSO";
   $con_types[13] = "CONTACT_GEBOD_NECK";
   $con_types[14] = "CONTACT_GEBOD_RIGHT_FOOT";
   $con_types[15] = "CONTACT_GEBOD_RIGHT_HAND";
   $con_types[16] = "CONTACT_GEBOD_RIGHT_LOWER_ARM";
   $con_types[17] = "CONTACT_GEBOD_RIGHT_LOWER_LEG";
   $con_types[18] = "CONTACT_GEBOD_RIGHT_SHOULDER";
   $con_types[19] = "CONTACT_GEBOD_RIGHT_UPPER_ARM";
   $con_types[20] = "CONTACT_GEBOD_RIGHT_UPPER_LEG";
   $con_types[21] = "CONTACT_GEBOD_UPPER_TORSO";
   $con_types[22] = "CONTACT_GUIDED_CABLE";
   $con_types[23] = "CONTACT_GUIDED_CABLE_ID";
   $con_types[24] = "CONTACT_GUIDED_CABLE_SET";
   $con_types[25] = "CONTACT_GUIDED_CABLE_SET_ID";
   $con_types[26] = "CONTACT_INTERIOR";
   $con_types[27] = "CONTACT_RIGID_SURFACE";
   $con_types[28] = "CONTACT_1D";

   $kw_str = "";
   $cnt_num = 301;
   foreach ($con_types as $con_type)
   {
      $bin_flag = 0;
      $kw = $con_type;
      $kw_short_name = "CNT_" . $cnt_num;
      //$kw_str = startOfPage($kw);
      $kw_str = "";
      $kw_str .= getStringFromKW($kw); 

      if( strstr($kw, "_ID") )
         $bin_flag |= (1 << $CONTACT_ID_TITLE);
      $kw_short_name .= "_" . $bin_flag;

      $kw_str = startOfPage($kw, $kw_short_name) . $kw_str;

      $kw_str .= endOfPage($kw, $kw_short_name);
      $kw_list["$kw"] = $kw_short_name;
      $kw_str = str_replace("krishna", "$kw_short_name", $kw_str);
      $link_list["$kw"] = $dir_name . strtolower($kw) . ".php";
      $file_name = $comp_dir . strtolower($kw) . ".php";
      $file_ptr = fopen($file_name, 'w');
      fwrite($file_ptr, $kw_str);
      fclose($file_ptr);
      $kw_str = "";
      $cnt_num++;
   }

   $dir_name = "contact";
   //createLinks($dir_name, $web_root, $link_list);
   // these 3 lines are commneted to combine all contact keywords
   //createJSFiles($dir_name, $web_root, $link_list);
   //ksort($kw_list);
   //createKeywordMapFile($dir_name, $web_root, $kw_list);

   $keys = array_keys($kw_list);
   $values = array_values($kw_list);
   file_put_contents("keywords", implode(",", $keys));
   file_put_contents("values", implode(",", $values));

   function getStringFromKW(&$kw)
   {
      switch($kw)
      {
	 case "CONTACT_AUTO_MOVE":
            return getCardsFromXml("contact_auto_move.xml");
	 case "CONTACT_COUPLING":
            return getCardsFromXml("contact_coupling.xml");
	 case "CONTACT_ENTITY":
            return getCardsFromXml("contact_entity.xml");
	 case "CONTACT_GEBOD_HEAD":
	 case "CONTACT_GEBOD_LEFT_FOOT":
	 case "CONTACT_GEBOD_LEFT_HAND":
	 case "CONTACT_GEBOD_LEFT_LOWER_ARM":
	 case "CONTACT_GEBOD_LEFT_LOWER_LEG":
	 case "CONTACT_GEBOD_LEFT_SHOULDER":
	 case "CONTACT_GEBOD_LEFT_UPPER_ARM":
	 case "CONTACT_GEBOD_LEFT_UPPER_LEG":
	 case "CONTACT_GEBOD_LOWER_TORSO":
	 case "CONTACT_GEBOD_MIDDLE_TORSO":
	 case "CONTACT_GEBOD_NECK":
	 case "CONTACT_GEBOD_RIGHT_FOOT":
	 case "CONTACT_GEBOD_RIGHT_HAND":
	 case "CONTACT_GEBOD_RIGHT_LOWER_ARM":
	 case "CONTACT_GEBOD_RIGHT_LOWER_LEG":
	 case "CONTACT_GEBOD_RIGHT_SHOULDER":
	 case "CONTACT_GEBOD_RIGHT_UPPER_ARM":
	 case "CONTACT_GEBOD_RIGHT_UPPER_LEG":
	 case "CONTACT_GEBOD_UPPER_TORSO":
            return getCardsFromXml("contact_gebod_lower_torso.xml");
	 case "CONTACT_GUIDED_CABLE":
	 case "CONTACT_GUIDED_CABLE_SET":
            return getCardsFromXml("contact_guided_cable.xml");
	 case "CONTACT_GUIDED_CABLE_ID":
	 case "CONTACT_GUIDED_CABLE_SET_ID":
            $id_str = getCardsFromXml("../contact_id.xml");
            $str = $id_str . getCardsFromXml("contact_guided_cable.xml");
            return $str;
	 case "CONTACT_INTERIOR":
            return getCardsFromXml("contact_interior.xml");
	 case "CONTACT_RIGID_SURFACE":
            return getCardsFromXml("contact_rigid_surface.xml");
	 case "CONTACT_1D":
            return getCardsFromXml("contact_1d.xml");
         default:
            return "";
      }
   }
?>
