<?php

  $imp_class = $argv[1];

  $file_list = scandir(".");

  $str = "void $imp_class::init" . $argv[2] . "TypesAndFunctions()\n";
  $str .= "{\n";

  foreach ($file_list as $file)
  {
     $file_name = basename($file);
     if( strstr($file_name, ".xml") )
     {
        $xml = simplexml_load_file($file);
        $kw = $xml['name'];
        $cpp = $xml['cppfile'];
        $class_name = $xml['classname'];
        if( strcmp($cpp, "no") )
        {
           $str .= "   typeFuncMap.insert( typeFuncPair($kw, import$class_name) );\n";       
           $inc_files["$class_name"] = "#include \"" . strtolower($class_name) . ".hpp\"\n"; 
        }
     }
  }
  $str .= "}\n";

  $str1 = "";
  //for unique file names
  if( !isset($inc_files) )
     return;
  foreach ($inc_files as $inc_file)
  {
     $str1 .= $inc_file;
  }
  $str1 .= "#include \"typemap.h\"\n";
  $str1 .= "#include \"" . strtolower($imp_class) . ".h\"\n";
  $str1 .= "\n";

  $str1 .= $str;

  $file_name = strtolower($argv[2]) . "typemap.cpp";
  $file_ptr = fopen($file_name, 'w');
  fwrite($file_ptr, $str1);
  fclose($file_ptr);

/*
  $str = "#ifndef _AB_TYPE_MAP_HPP_\n";
  $str .= "#define _AB_TYPE_MAP_HPP_\n\n";
  $str .= "#include \"typemap.h\"\n\n";
  $str .= "void initABTypesAndFunctions();\n\n";
  $str .= "#endif\n\n";

  $file_name = "abtypemap.hpp";
  $file_ptr = fopen($file_name, 'w');
  fwrite($file_ptr, $str);
  fclose($file_ptr);
*/
?>
