<?php

   if ($argc > 0)
   {
      $base_str_array["temp"] = "THIS IS TEMP";

      for($i = 1; $i < $argc; $i++)
      {
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];

	       $card = $xml->card;
	       if( !$card )
		  continue;

	       $class_str = "";
	       foreach ($xml->card as $card)
	       {
		  $j = 0;
		  $head_str = "$";
		  $value_str = "";
		  $str_buff = "";

		  $card_name = $card['name'];

		  foreach($card->field as $field)
		  {
		     $width = (int)$field['width']; 
		     $field_name = $field['name'];
		     $value = $field['value'];
		     $type = $field['type'];
		     $head_format = "";
		     $value_format = "";

		     $value_format = sprintf("%%%ds", $width);
		     if( $j != 0 )
		     {
			$head_format = sprintf("%%%ds", $width);
		     }
		     else
		     {
			$head_format = sprintf("%%%ds", $width-1);
		     }

		     $str_buff = sprintf($head_format, $field_name);
		     $head_str .= $str_buff;
		     $str_buff = sprintf($value_format, $value);
		     $value_str .= $str_buff;

		     $j++;
		  }

		  $head_str .= "\n";
		  $value_str .= "\n";

		  $class_str .= $head_str;
		  $class_str .= $value_str;
	       }
	       $base_str_array["$class_name"] = $class_str;
	    }
	 }
      }

      for($i = 1; $i < $argc; $i++)
      {
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];

	       $card = $xml->card;
	       if( !$card )
		  continue;

	       if( !strcmp($cpp, 'no') )
		  continue;

	       $base_class = $xml->baseclass['name'];
	       $both_str = "";

	       if( strcmp($base_class, "ImportBase") )
	       {
		  if( isset($base_str_array["$base_class"]) )
		  {
		     $both_str .= $base_str_array["$base_class"];
		  }
		 
		  if( isset($base_str_array["$class_name"]) )
		  {
		     $both_str .= $base_str_array["$class_name"];
		  }

		  $base_str_array["$class_name"] = $both_str;
	       }
	    }
	 }
      }

      for($i = 1; $i < $argc; $i++)
      {
	 $file_list = scandir($argv[$i]);

	 foreach ($file_list as $file)
	 {
	    $file_name = basename($file);

	    if( strstr($file_name, ".xml") )
	    {
	       $xml = simplexml_load_file("$argv[$i]/$file");

	       $kw = $xml['name'];
	       $cpp = $xml['cppfile'];
	       $class_name = $xml['classname'];
	       $base_class = $xml->baseclass['name'];

	       if( !strcmp($cpp, 'no') )
		  continue;

	       $str = "*" . $kw . "\n";

	       $card = $xml->card;
	       if( !$card )
	       {
		  if( isset($base_str_array["$class_name"]) )
		  {
		     $str .= $base_str_array["$class_name"];
		  }
		  
		  $file_name = strtolower($kw) . ".key";
		  $file_ptr = fopen($file_name, 'w');
		  fwrite($file_ptr, $str);
		  fclose($file_ptr);

		  continue;
	       }

	       if( isset($base_str_array["$class_name"]) )
	       {
		  $str .= $base_str_array["$class_name"];
	       }

   /*
	       foreach ($xml->card as $card)
	       {
		  $j = 0;
		  $head_str = "$";
		  $value_str = "";
		  $str_buff = "";

		  $card_name = $card['name'];

		  //if( !strstr($kw, '_ID') && !strcmp($card_name, 'IDCard') )
		     //continue;

		  foreach($card->field as $field)
		  {
		     $width = (int)$field['width']; 
		     $field_name = $field['name'];
		     $value = $field['value'];
		     $type = $field['type'];
		     $head_format = "";
		     $value_format = "";

		     $value_format = sprintf("%%%ds", $width);
		     if( $j != 0 )
		     {
			$head_format = sprintf("%%%ds", $width);
		     }
		     else
		     {
			$head_format = sprintf("%%%ds", $width-1);
		     }

		     $str_buff = sprintf($head_format, $field_name);
		     $head_str .= $str_buff;
		     $str_buff = sprintf($value_format, $value);
		     $value_str .= $str_buff;

		     $j++;
		  }

		  $head_str .= "\n";
		  $value_str .= "\n";

		  $str .= $head_str;
		  $str .= $value_str;
	       }
   */

	       $file_name = strtolower($kw) . ".key";
	       $file_ptr = fopen($file_name, 'w');
	       fwrite($file_ptr, $str);
	       fclose($file_ptr);
	    }
	 }
      }
   }
?>
