<?php

  $imp_class = $argv[1];

  $file_list = scandir(".");

  $str = "void $imp_class::initExport" . $argv[2] . "TypesAndFunctions()\n";
  $str .= "{\n";

  foreach ($file_list as $file)
  {
     $file_name = basename($file);
     if( strstr($file_name, ".xml") )
     {
        $xml = simplexml_load_file($file);
        $kw = $xml['name'];
        $cpp = $xml['cppfile'];
        $class_name = $xml['classname'];
        $class_name = "DISP" . $class_name;
        if( strcmp($cpp, "no") )
        {
           $str .= "   expTypeFuncMap.insert( expTypeFuncPair($kw, import$class_name) );\n";       
           if( strcmp($class_name, 'DBNoCards') )
              $inc_files["$class_name"] = "#include \"" . strtolower($class_name) . ".hpp\"\n"; 
           else
              $inc_files["$class_name"] = "#include \"nocards.hpp\"\n"; 
        }
     }
  }
  $str .= "}\n";

  $str1 = "";
  //for unique file names
  if( !isset($inc_files) )
     return;
  foreach ($inc_files as $inc_file)
  {
     $str1 .= $inc_file;
  }
  $str1 .= "#include \"exptypemap.h\"\n";
  $str1 .= "#include \"" . strtolower($imp_class) . ".h\"\n";
  $str1 .= "\n";

  $str1 .= $str;

  $file_name = strtolower($argv[2]) . "disptypemap.cpp";
  $file_ptr = fopen($file_name, 'w');
  fwrite($file_ptr, $str1);
  fclose($file_ptr);
?>
