<?php

   $id_str = getCardsFromXml("rigidwall_id.xml");
   $rw_geo = getCardsFromXml("rigidwall_geometric.xml");
   $rw_geo_flat = getCardsFromXml("rigidwall_geometric_flat.xml");
   $rw_geo_pr = getCardsFromXml("rigidwall_geometric_prism.xml");
   $rw_geo_cyl = getCardsFromXml("rigidwall_geometric_cylinder.xml");
   $rw_geo_sp = getCardsFromXml("rigidwall_geometric_sphere.xml");
   $rw_geo_mot = getCardsFromXml("rigidwall_geometric_motion.xml");

   $rw_plan = getCardsFromXml("rigidwall_planar.xml");
   $rw_plan_ortho = getCardsFromXml("rigidwall_planar_ortho.xml");
   $rw_plan_fin = getCardsFromXml("rigidwall_planar_finite.xml");
   $rw_plan_mov = getCardsFromXml("rigidwall_planar_moving.xml");
   $rw_plan_for = getCardsFromXml("rigidwall_planar_forces.xml");

   $gen_file_name = "rigidwall_geo_file_";

   $rwg_types[0] = "_FLAT";
   $rwg_types[1] = "_PRISM";
   $rwg_types[2] = "_CYLINDER";
   $rwg_types[3] = "_SPHERE";

   $id_type[0] = "_ID";
   $mot_type[0] = "_MOTION";

   $kw_str = "";
   $i = 0;
   foreach ($rwg_types as $rwg_type)
   {
      foreach ($id_type as $id)
      {
	 $kw = "RIGIDWALL_GEOMETRIC" . $rwg_type . $mot_type[0] . $id;
	 $kw_str .= "*" . $kw . "\n";
	 $kw_str .= $id_str;
	 $kw_str .= $rw_geo;

	 if( $rwg_type == "_FLAT" )
	 {
	    $kw_str .= $rw_geo_flat;
	 }
	 else if( $rwg_type == "_PRISM" )
	 {
	    $kw_str .= $rw_geo_pr;
	 }
	 else if( $rwg_type == "_CYLINDER" )
	 {
	    $kw_str .= $rw_geo_cyl;
	 }
	 else if( $rwg_type == "_SPHERE" )
	 {
	    $kw_str .= $rw_geo_sp;
	 }

	 $kw_str .= $rw_geo_mot;

	 $i++;
      }
   }

   $file_number = 1;
   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";


   $i = 0;
   foreach ($rwg_types as $rwg_type)
   {
      $kw = "RIGIDWALL_GEOMETRIC" . $rwg_type . $mot_type[0];
      $kw_str .= "*" . $kw . "\n";
      $kw_str .= $rw_geo;

      if( $rwg_type == "_FLAT" )
      {
	 $kw_str .= $rw_geo_flat;
      }
      else if( $rwg_type == "_PRISM" )
      {
	 $kw_str .= $rw_geo_pr;
      }
      else if( $rwg_type == "_CYLINDER" )
      {
	 $kw_str .= $rw_geo_cyl;
      }
      else if( $rwg_type == "_SPHERE" )
      {
	 $kw_str .= $rw_geo_sp;
      }

      $i++;
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";

   $i = 0;
   foreach ($rwg_types as $rwg_type)
   {
      foreach ($id_type as $id)
      {
	 $kw = "RIGIDWALL_GEOMETRIC" . $rwg_type . $id;
	 $kw_str .= "*" . $kw . "\n";
	 $kw_str .= $id_str;
	 $kw_str .= $rw_geo;

	 if( $rwg_type == "_FLAT" )
	 {
	    $kw_str .= $rw_geo_flat;
	 }
	 else if( $rwg_type == "_PRISM" )
	 {
	    $kw_str .= $rw_geo_pr;
	 }
	 else if( $rwg_type == "_CYLINDER" )
	 {
	    $kw_str .= $rw_geo_cyl;
	 }
	 else if( $rwg_type == "_SPHERE" )
	 {
	    $kw_str .= $rw_geo_sp;
	 }

	 $i++;
      }
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";






   $i = 0;
   foreach ($rwg_types as $rwg_type)
   {
      $kw = "RIGIDWALL_GEOMETRIC" . $rwg_type;
      $kw_str .= "*" . $kw . "\n";
      $kw_str .= $rw_geo;

      if( $rwg_type == "_FLAT" )
      {
	 $kw_str .= $rw_geo_flat;
      }
      else if( $rwg_type == "_PRISM" )
      {
	 $kw_str .= $rw_geo_pr;
      }
      else if( $rwg_type == "_CYLINDER" )
      {
	 $kw_str .= $rw_geo_cyl;
      }
      else if( $rwg_type == "_SPHERE" )
      {
	 $kw_str .= $rw_geo_sp;
      }

      $i++;
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";













   $gen_file_name = "rigidwall_plan_file_";
   $file_number = 1;

   $rwp_types[0] = "";
   $rwp_types[1] = "_ORTHO";
   $rwp_types[2] = "_FINITE";
   $rwp_types[3] = "_MOVING";
   $rwp_types[4] = "_FORCES";
   $rwp_types[4] = "_ID";

   $i = 0;
   foreach ($rwp_types as $rwp_type)
   {
      foreach ($rwp_types as $rwp1_type)
      {
	 foreach ($rwp_types as $rwp2_type)
	 {
            if( $rwp_type == $rwp1_type || $rwp_type == $rwp2_type ||
				$rwp1_type == $rwp2_type )
               continue;

            if( $rwp_type == $rwp1_type && $rwp1_type == $rwp2_type )
               continue;

	    $kw = "RIGIDWALL_PLANAR" . $rwp_type . $rwp1_type . $rwp2_type;

	    $kw_str .= "*" . $kw . "\n";
            
	    if( $rwp_type == "_ID" || $rwp1_type == "_ID" 
					|| $rwp2_type == "_ID" )
	    {
	       $kw_str .= $id_str;
            }

	    $kw_str .= $rw_plan;

	    if( $rwp_type == "_ORTHO" || $rwp1_type == "_ORTHO" 
			|| $rwp2_type == "_ORTHO" )
	    {
	       $kw_str .= $rw_plan_ortho;
	    }

	    if( $rwp_type == "_FINITE" || $rwp1_type == "_FINITE" 
			|| $rwp2_type == "_FINITE" )
	    {
	       $kw_str .= $rw_plan_fin;
	    }

	    if( $rwp_type == "_MOVING" || $rwp1_type == "_MOVING" 
			|| $rwp2_type == "_MOVING" )
	    {
	       $kw_str .= $rw_plan_mov;
	    }

	    if( $rwp_type == "_FORCES" || $rwp1_type == "_FORCES" 
			|| $rwp2_type == "_FORCES" )
	    {
	       $kw_str .= $rw_plan_for;
	    }

	    $i++;
         }
      }
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";

   $i = 0;
   foreach ($rwp_types as $rwp_type)
   {
      foreach ($rwp_types as $rwp1_type)
      {
         if( $rwp_type == $rwp1_type )
            continue;

	 $kw = "RIGIDWALL_PLANAR" . $rwp_type . $rwp1_type;

	 $kw_str .= "*" . $kw . "\n";
	 
	 if( $rwp_type == "_ID" || $rwp1_type == "_ID" )
	 {
	    $kw_str .= $id_str;
	 }

	 $kw_str .= $rw_plan;

	 if( $rwp_type == "_ORTHO" || $rwp1_type == "_ORTHO" )
	 {
	    $kw_str .= $rw_plan_ortho;
	 }

	 if( $rwp_type == "_FINITE" || $rwp1_type == "_FINITE" )
	 {
	    $kw_str .= $rw_plan_fin;
	 }

	 if( $rwp_type == "_MOVING" || $rwp1_type == "_MOVING" )
	 {
	    $kw_str .= $rw_plan_mov;
	 }

	 if( $rwp_type == "_FORCES" || $rwp1_type == "_FORCES" )
	 {
	    $kw_str .= $rw_plan_for;
	 }

	 $i++;
      }
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";

   $i = 0;
   foreach ($rwp_types as $rwp_type)
   {
      $kw = "RIGIDWALL_PLANAR" . $rwp_type;

      $kw_str .= "*" . $kw . "\n";
      
      if( $rwp_type == "_ID" )
      {
	 $kw_str .= $id_str;
      }

      $kw_str .= $rw_plan;

      if( $rwp_type == "_ORTHO" )
      {
	 $kw_str .= $rw_plan_ortho;
      }

      if( $rwp_type == "_FINITE" )
      {
	 $kw_str .= $rw_plan_fin;
      }

      if( $rwp_type == "_MOVING" )
      {
	 $kw_str .= $rw_plan_mov;
      }

      if( $rwp_type == "_FORCES" )
      {
	 $kw_str .= $rw_plan_for;
      }

      $i++;
   }

   $file_name = $gen_file_name . $file_number . ".key";
   $file_number++;

   $file_ptr = fopen($file_name, 'w');
   fwrite($file_ptr, $kw_str);
   fclose($file_ptr);
   $kw_str = "";












   function getCardsFromXml($file_name)
   {
      $xml = simplexml_load_file($file_name);

      $kw = $xml['name'];
      $cpp = $xml['cppfile'];
      $class_name = $xml['classname'];

      $card = $xml->card;
      if( !$card )
	 return "";

      $class_str = "";
      foreach ($xml->card as $card)
      {
	 $j = 0;
	 $head_str = "$";
	 $value_str = "";
	 $str_buff = "";

	 $card_name = $card['name'];

	 foreach($card->field as $field)
	 {
	    $width = (int)$field['width']; 
	    $field_name = $field['name'];
	    $value = $field['value'];
	    $type = $field['type'];
	    $head_format = "";
	    $value_format = "";

	    $value_format = sprintf("%%%ds", $width);
	    if( $j != 0 )
	    {
	       $head_format = sprintf("%%%ds", $width);
	    }
	    else
	    {
	       $head_format = sprintf("%%%ds", $width-1);
	    }

	    $str_buff = sprintf($head_format, $field_name);
	    $head_str .= $str_buff;
	    $str_buff = sprintf($value_format, $value);
	    $value_str .= $str_buff;

	    $j++;
	 }

	 $head_str .= "\n";
	 $value_str .= "\n";

	 $class_str .= $head_str;
	 $class_str .= $value_str;
      }
      
      return $class_str;
   }

?>
