#ifndef _KW_GROUP_H_
#define _KW_GROUP_H_

#include <string>
#include "mantypes.h"


#define UNSIGNED_INT_MAX_FLAG (((unsigned int)1)<<31)

using namespace std;

/** Abstart class for getting name of group from type and type from name */
class KWGroup
{
public:
   /** Gets the group type from group name
     * \param name Name of the group
     * \return Type of group from name
     */
   static unsigned int typeFromName(const char *name);

   /** Gets the group name from group type
     * \param grp_type Type of group
     * \param grp_name Name of group from type
     */
   static void nameFromType(unsigned int grp_type, string & grp_name);
};

#endif

