#ifndef _MAP_TYPES_H_
#define _MAP_TYPES_H_

#include <map>
#include <algorithm>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

using namespace std;

/** Struct storing both element and part ids */
typedef struct _PidEidStr
{
   /** Part ID */
   unsigned int pid; 
   /** Element ID */
   unsigned int eid;
}
  PidEidStr, *PidEidPtr;

typedef multimap<unsigned int, unsigned int> UIUIMMap;
typedef multimap<unsigned int, unsigned int>::iterator UIUIMIter;
typedef pair<unsigned int, unsigned int> UIUIMPair;

/*
typedef multimap<float, unsigned int> ZPartMap;
typedef multimap<float, unsigned int>::iterator ZPartIterator;
typedef pair<float, unsigned int> ZPartPair;
*/

typedef multimap<float, PidEidStr> ZPartMap;
typedef multimap<float, PidEidStr>::iterator ZPartIterator;
typedef pair<float, PidEidStr> ZPartPair;

typedef map<unsigned int, unsigned int> UIUIMap;
typedef pair<unsigned int, unsigned int> UIUIPair;
typedef map<unsigned int, unsigned int>::iterator UIUIIter;

typedef map<unsigned int, PidEidStr> IDPIDMap;
typedef pair<unsigned int, PidEidStr> IDPIDPair;
typedef map<unsigned int, PidEidStr>::iterator IDPIDIter;

#endif

