#include <iostream>
#include "mongodb.h"
#include "filegeneric.h"

int main(int argc, char *argv[])
{
   if( argc < 3 )
   {
      cout << "Usage:getplotresults user_dir model_name\n";
      return 1;
   }

   string userDir = argv[1], modelName = argv[2];

   time_t t1, t2;
   time(&t1);
   MongoDB mongoDB("kmarichetty@gmail.com", modelName.data());
   string newPath = userDir + "/" + modelName + "/jsdata/";
   _mkdir(newPath.data());
   mongoDB.SetDirName(newPath);
   mongoDB.GetAllGlobalResults();
   mongoDB.GetAllPartResults();
   time(&t2);

   cout << "TOTAL TIME=" << difftime(t2, t1) << endl;

   return 0;
}
