#include "xtgc.h"
#include "gentime.h"
#include "meminfo.h"
#include <iostream>

using namespace std;

void usage()
{
   cout << "Usage:\ngsslsd\n-dir <dir_name>\n-model <model_name>\n";
   cout << "-data <local | db>\n-width <w>\n-height <h>\n";
}

int main(int argc, char *argv[])
{
   if( argc < 5 )
   {
      usage();
      return 1;
   }

   MemInfo::print();

   XtGC *xtgc = new XtGC();

   int  i;
   string file_name;
   
   for(i = 0; i < argc; i++)
   {
      if( !strcmp(argv[i], "-restore") )
      {
         file_name = argv[i+1];
         break;
      }
   }

   if( i >= argc )
      xtgc->createContext(&argc, argv);
   else
      xtgc->restore(&argc, argv, file_name.data());

   return 0;
}

